#!/usr/bin/env python

import sys, os, time
from subprocess import call, Popen

FILE_NAME = '/tmp/net_conf.txt'

## Come back to original state

## Wait for the TAP interfaces to be
## unregistered properly.
time.sleep( 3 )

data = open( FILE_NAME )

for line in data:
    if line.startswith( 'Device' ):
        name, mac, ip, netmask = line.split()[ 1: ]
	os.system( '/sbin/iptables -D INPUT -i filt_%s -j DROP' % name)
        os.system( '/sbin/ifconfig filt_%s down' % name )
        os.system( '/sbin/nameif %s %s' % ( name, mac ) )
        os.system( '/sbin/ifconfig %s %s netmask %s' % ( name, ip, netmask ) )
	os.system( '/sbin/ifconfig %s arp' % name )
        os.system( '/sbin/ifconfig %s up' % name )

    elif line.startswith( 'Gateway' ):
        gw = line.split()[ 1 ]
        os.system( '/sbin/route add default gw %s' % gw )

os.system( 'rm ' + FILE_NAME )

