#!/bin/bash
. ./environment.sh
. ./environmentOS.sh

SSH="ssh $BCKSERVER_USER@$BCKSERVER_IP"

#Procedure to make an operating system exact backup from one machine to another
#with the same hardware specs and using operating system default tools:
#Master Boot Record backup:
dd if=/dev/$DISK_DEVICE bs=512 count=1 | $SSH cat \> $BCKSERVER_BACKUP_DIR/MBR_BKP.bin

#Partition layout backup:
sfdisk -d /dev/$DISK_DEVICE | $SSH \> $BCKSERVER_BACKUP_DIR/$DISK_BACKUP_FILE

#Remote partition data backup to the local filesystem:
dd if=/dev/$PARTITION bs=8192 | $SSH cat \> $BCKSERVER_BACKUP_DIR/$BACKUP_FILE
