#!/bin/bash 
# OPTENET Generic Application Backup. This script will be in 'tools' directory from every application
. ./environment.sh

if [ $# -lt 2 ]; then
	echo "Backup file and directories to backup must be passed as parameters (in this order)" >&2
	exit
fi

for PARAM in $*; do
	#First parameter must be ignored, because it isn't a directory to backup
	if [ -z "$CHECK" ]; then
		CHECK=1
	else
		DIRECTORIES="$DIRECTORIES $PARAM"
	fi
done

CURRENT_DIR=`pwd`
cd ..
mkdir ../$BACKUP_DIR 2> /dev/null
tar cjf ../$BACKUP_DIR/$1.tbz $DIRECTORIES
cd $CURRENT_DIR
