#!/usr/bin/env python
import sys
import re

def validateLicense(lic):
    if re.match('^[a-z]{4}-[a-z]{4}-[a-z]{4}-[a-z]{4}$', lic) != None:
        return 1
    return 0

def main(argv):
    return validateLicense(argv[0])


if __name__ == "__main__":
    ret = main(sys.argv[1:])
    if ret == 1 :
         #OK
         sys.exit(0) 
    else :
         #Bad
         sys.exit(1)
