/*********************************************************************************************/
function anyClient()
{
	if( !isValidName(ClientId)){
		alert(M_CLIMA_MISS);
		return false;
	}			
	return true;
}
/*********************************************************************************************/
function isValidName(name)
{	
	var regExp = /^[a-zA-Z_]+[\w]$/;
	return regExp.test(name);	
}
/*********************************************************************************************/
function fnAddItem(text, value, list)
{
	if( !anyClient() ) return;
	valueList = document.getElementById(list);
	addToListTextValue(text, value, valueList, 0);
}
/*********************************************************************************************/
function fnDeleteItem(list)
{
	if( !anyClient() ) return;
	var valueList = document.getElementById(list);
	delSelectedFromList(valueList);
}
/*********************************************************************************************/
function fnAddService()
{
	if( !anyClient() ) return;

	var cboService = document.getElementById("h_services");
	if( cboService.selectedIndex < 0 ){
		alert(M_WARN_SEL);
		return;
	}

	var Action = "/components/General/AccountManagement/ClientManagement/srvClientManagement.htmopt?" +
					 gSessionData +	
					 "&h_opt=addService" + 	
					 "&h_clientid=" + ClientId +
					 "&h_service=" + cboService.value +
					 "&h_managerid=" + ManagerId;

	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		'url':Action,
		'onError'	:function(){ },
		'onTimeOut'	:function(){ },
		'onLoading'	:function(){ },
		'onSuccess'	:function(req) {
				

				if( req.responseText.indexOf("OK") == 0 ){
					var cboService = document.getElementById("h_services");
					var modulo = cboService.options[cboService.selectedIndex].parentNode.label;

					//Borrra primero lo que contenía el módulo
					var cboSelService = document.getElementById("h_selServices");
					for(var i=0; i<cboSelService.options.length; i++){
						if(cboSelService.options[i].parentNode.label == modulo){
							cboSelService.removeChild(cboSelService.options[i].parentNode);
							break;
						}
					}
					var data=Array();
					data[0] = Array( cboService.options[cboService.selectedIndex].text,cboService.value);					
					addValGroupToList(modulo ,data, cboSelService, 0 );
				}
		 }
	  }
	);
}
/*********************************************************************************************/
function fnDeleteService()
{
	if( !anyClient() ) return;
	var cboService = document.getElementById("h_selServices");
	if( cboService.selectedIndex < 0 ){
		alert(M_WARN_SEL);
		return;
	}
	if( !confirm(M_CONFIRM1) ) return;

	var Action = "/components/General/AccountManagement/ClientManagement/srvClientManagement.htmopt?" +
					 gSessionData +	
					 "&h_opt=deleteService" + 	
					 "&h_clientid=" + ClientId +
					 "&h_service=" + cboService.options[cboService.selectedIndex].parentNode.label;

	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		'url':Action,
		'onError'	:function(){ },
		'onTimeOut'	:function(){ },
		'onLoading'	:function(){ },
		'onSuccess'	:function(req) {
				if( req.responseText.indexOf("OK") == 0 ){
					var cboService = document.getElementById("h_selServices");
					cboService.removeChild( cboService.options[cboService.selectedIndex].parentNode);
					fnDeleteItem("h_selServices");
				}
		 }
	  }
	);
}   							
/*********************************************************************************************/
function isValidIPRange(iprange)
{
	reg = /^(([01]?\d?\d)|(2[0-4]+\d+)|(25[0-5]+)){1}(\.(([01]?\d?\d)|(2[0-4]+\d+)|(25[0-5]+))){1,3}(-(([01]?\d?\d)|(2[0-4]+\d+)|(25[0-5]+)))?$/;
	return reg.test(iprange);
}
/*********************************************************************************************/
function fnAddIP()
{
	if( !anyClient() ) return;
	var ip = document.getElementById("txtIP");
	var iprange = (ip.value).replace(/\s/g,"");	

	if( !isValidIPRange(iprange) ){
		alert(M_INVALID_IP);
		ip.focus();
		ip.select();
		return;
	}

	var Action = "/components/General/AccountManagement/ClientManagement/srvClientManagement.htmopt?" +
					 gSessionData +	
					 "&h_opt=addIP" + 	
					 "&h_clientid=" + ClientId +
					 "&h_user=" + iprange;

	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		'url':Action,
		'onError'	:function(){ },
		'onTimeOut'	:function(){ },
		'onLoading'	:function(){ },
		'onSuccess'	:function(req) {
				if( req.responseText.indexOf("NOK") == 0 ){
					var error = req.responseText.split("-");
					if( error[1] == "0" )
						alert(M_CLAD_OVERLAPS);
					else
						alert(TR_DCSERVER7);
				}
				else{	
					var response = req.responseText.split(":");
					fnAddItem( response[0], response[1], "h_IPs");					
				}
		 }
	  }
	);
	
	fnAddItem(ip.value, ip.value, list);	
}
/*********************************************************************************************/
function fnDeleteIP()
{
	if( !anyClient() ) return;

	var cboIPs = document.getElementById("h_IPs");
	if( cboIPs.selectedIndex < 0 ){
		alert(M_WARN_SEL);
		return;
	}
	if( !confirm(M_CONFIRM1) ) return;

	var Action = "/components/General/AccountManagement/ClientManagement/srvClientManagement.htmopt?" +
					 gSessionData +	
					 "&h_opt=deleteIP" + 	
					 "&h_clientid=" + ClientId +
					 "&h_user=" + cboIPs.options[cboIPs.selectedIndex].text +
	  				 "&h_usertype=" + cboIPs.value;


	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		'url':Action,
		'onError'	:function(){ },
		'onTimeOut'	:function(){ },
		'onLoading'	:function(){ },
		'onSuccess'	:function(req) {
				if( req.responseText.indexOf("OK") == 0 ){					
					fnDeleteItem("h_IPs");
				}
		 }
	  }
	);
}
/*********************************************************************************************/
function fnAddVlan()
{
	if( !anyClient() ) return;
	var vlan = document.getElementById("txtVlan");
	var vlanId = parseInt(vlan.value);

	if (isNaN(vlanId)  || vlanId < 1 || vlanId > 4096){
		alert (M_CCOTTA_VLAN_ERRIDINVALID + ": " + vlanId);
		vlan.focus();
		vlan.select();
		return;
	}

	var Action = "/components/General/AccountManagement/ClientManagement/srvClientManagement.htmopt?" +
					 gSessionData +	
					 "&h_opt=addVlan" + 	
					 "&h_clientid=" + ClientId +
					 "&h_user=" + vlanId;

	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		'url':Action,
		'onError'	:function(){ },
		'onTimeOut'	:function(){ },
		'onLoading'	:function(){ },
		'onSuccess'	:function(req) {				
				if( req.responseText.indexOf("OK") == 0 ){
					var vlan = document.getElementById("txtVlan");
					fnAddItem(vlan.value, vlan.value, "h_vlans");	
				}
		 }
	  }
	);
}
/*********************************************************************************************/
function fnDeleteVlan()
{
	if( !anyClient() ) return;
	var cboVlans = document.getElementById("h_vlans");
	if( cboVlans.selectedIndex < 0 ){
		alert(M_WARN_SEL);
		return;
	}
	if( !confirm(M_CONFIRM1) ) return;

	var Action = "/components/General/AccountManagement/ClientManagement/srvClientManagement.htmopt?" +
					 gSessionData +	
					 "&h_opt=deleteVlan" + 	
					 "&h_clientid=" + ClientId +
					 "&h_user=" + cboVlans.value;

	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		'url':Action,
		'onError'	:function(){ },
		'onTimeOut'	:function(){ },
		'onLoading'	:function(){ },
		'onSuccess'	:function(req) {
				if( req.responseText.indexOf("OK") == 0 ){					
					fnDeleteItem("h_vlans");
				}
		 }
	  }
	);
}
/*********************************************************************************************/
function fnOnLoad()
{
}
/*********************************************************************************************/
