
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prEnableDisableForm (pForm, pDisabled)
{
	var frm = document.getElementById ("form_" + pForm);
	var Contador;
	
	if (frm == null || frm.elements.length == 0)
		return ;
	
	for (Contador = 0; Contador < frm.elements.length; ++Contador)
	{
		frm.elements [Contador].disabled = pDisabled;
	}
}


//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prSwitchForms (pEnableForm)
{
	if (gCurrentlyEnabled != "")
		prEnableDisableForm (gCurrentlyEnabled, true);
	
	prEnableDisableForm (pEnableForm, false);
	
	gCurrentlyEnabled = pEnableForm;
}


//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


function prSelect(selected)
{
	// deseleccionar todos menos el selected
	opciones = gActionGroups.split("|");
	for (i = 0; i < opciones.length; ++i)
	{
		if (opciones [i] != selected)
		{
			var radio = document.getElementById (opciones [i]);
			radio.checked = false;
		}
	}
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function getSelected() {
	opciones= gActionGroups.split("|");
	for (i= 0; i < opciones.length; i++) {
		var radio = document.getElementById(opciones[i]);
		if (radio != null && radio.checked ) {
			return radio.value;
		}
	}
	return "";
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function getData() {
	// Obtenemos el form seleccionado
	var formselected = getSelected();
	if (formselected == "") {
		alert(M_SELANOPTION);
		return "";
	}
	var form = document.getElementById("form_" + formselected);
	if ( fnValidateForm(form) == false)
		return "";
/*	Accion=	"/components/General/FilteringPolicies/Policies/Action/srvAction.htmopt?" + gSessionData +
			"&h_policy=" +parent.getPolicy() + 
			"&h_actiongroup=" +formselected+ 
			"&h_operation=write"+fnGetForm(form);
 	window.open(Accion, window.name);*/
	return "&h_actiongroup=" +formselected+ "&h_operation=write"+fnGetForm(form);
 	//return true;	
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnValidateForm(frm) {
	var actiongroup = frm.name.replace("form_", "");
	
	if (frm.h_denywithurl != null) {
		// Si existe el checkbox tenemos que verificar solo si esta seleccionado
		var check = true;
		var checkbox_name = "h_" + actiongroup + "_denywith_checkbox"
		var checkbox = eval("document." + frm.name + "." + checkbox_name);
		if (checkbox != null)
			check = checkbox.checked
		if ( check && fnValidateDenyWithAction(frm) == false )
			return false;
	}
	if (frm.h_replace_text != null) {
		// Si existe el checkbox tenemos que verificar solo si esta seleccionado
		var check = true;
		var checkbox_name = "h_" + actiongroup + "_replace_checkbox"
		var checkbox = eval("document." + frm.name + "." + checkbox_name);
		if (checkbox != null)
			check = checkbox.checked
		if ( check && fnValidateReplaceAction(frm) == false )
			return false;
	}
	if (frm.h_mail_text != null) {
		// Si existe el checkbox tenemos que verificar solo si esta seleccionado
		var check = true;
		var checkbox_name = "h_" + actiongroup + "_mail_checkbox"
		var checkbox = eval("document." + frm.name + "." + checkbox_name);
		if (checkbox != null)
			check = checkbox.checked
		if ( check && fnValidateMailAction(frm) == false )
			return false;
	}
	if (frm.h_send_text != null) {
		// Si existe el checkbox tenemos que verificar solo si esta seleccionado
		var check = true;
		var checkbox_name = "h_" + actiongroup + "_send_checkbox"
		var checkbox = eval("document." + frm.name + "." + checkbox_name);
		if (checkbox != null)
			check = checkbox.checked
		if ( check && fnValidateSendAction(frm) == false )
			return false;
	}
	if (frm.h_modify_text != null) {
		// Si existe el checkbox tenemos que verificar solo si esta seleccionado
		var check = true;
		var checkbox_name = "h_" + actiongroup + "_subject_checkbox"
		var checkbox = eval("document." + frm.name + "." + checkbox_name);
		if (checkbox != null)
			check = checkbox.checked
		if ( check && fnValidateSubjectAction(frm) == false )
			return false;
	}
	if (frm.h_header_name != null) {
		// Si existe el checkbox tenemos que verificar solo si esta seleccionado
		var check = true;
		var checkbox_name = "h_" + actiongroup + "_header_checkbox"
		var checkbox = eval("document." + frm.name + "." + checkbox_name);
		if (checkbox != null)
			check = checkbox.checked
		if ( check && fnValidateHeaderAction(frm) == false )
			return false;
	}
	return true;
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnValidateDenyWithAction(frm) {
	if (frm.h_denywithurl.value == "") {
		frm.h_denywithurl.focus();
		alert(TR_ACTI_DENYWITH_EMPTY);
		return false;
	}
	return true;
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnValidateReplaceAction(frm) {
	if (frm.h_replace_text.value == "") {
		frm.h_replace_text.focus();
		alert(TR_ACTI_REPLACE_EMPTY);
		return false;
	}
	return true;
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnValidateMailAction(frm) {
	if (frm.h_mail_text.value == "") {
		frm.h_mail_text.focus();
		alert(TR_ACTI_MAIL_EMPTY);
		return false;
	}

	var emails= frm.h_mail_text.value.split("\n");
	for (i= 0; i < emails.length; i++) {
		if (emails[i].length != 0) {
			if ( !fnIsEmailAddress(emails[i])) {
				frm.h_mail_text.focus();
				alert(TR_ACTI_MAIL_NOTEMAIL);
				return false;
			}
		}
	}

	return true;
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnValidateSendAction(frm) {
	if (frm.h_send_text.value == "") {
		frm.h_send_text.focus();
		alert(TR_ACTI_SEND_EMPTY);
		return false;
	}

	var emails= frm.h_send_text.value.split("\n");
	for (i= 0; i < emails.length; i++) {
		if (emails[i].length != 0) {
			if ( !fnIsEmailAddress(emails[i])) {
				frm.h_send_text.focus();
				alert(TR_ACTI_SEND_NOTEMAIL);
				return false;
			}
		}
	}
	return true;
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnValidateSubjectAction(frm) {
	if (frm.h_modify_text.value == "") {
		frm.h_modify_text.focus();
		alert(TR_ACTI_SUBJECT_EMPTY);
		return false;
	}
	return true;
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnValidateHeaderAction(frm) {
	if (frm.h_header_name.value == "") {
		frm.h_header_name.focus();
		alert(TR_ACTI_HEADER_EMPTY);
		return false;
	}
	if (frm.h_header_value.value == "") {
		frm.h_header_value.focus();
		alert(TR_ACTI_HEADER_VALUE_EMPTY);
		return false;
	}
	return true;
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnGetForm(frm) {
	var retval = "";
	for (var i=0; i<frm.elements.length; i++) {
		if (frm.elements[i].name.search('_checkbox') > 0)  {
			if (frm.elements[i].checked) 
				retval +='&'+frm.elements[i].name + '=on';
			else
				retval +='&'+frm.elements[i].name + '=off';
		}
		else {
			retval +='&'+frm.elements[i].name + '=' +frm.elements[i].value;
		}
	}
	retval = retval.replace(/\n/, "|");
	return retval;
}

function onLoad()
{
	//var myFrame = parent.document.getElementsByName('wTabContent');
	//myFrame[2].height=document.body.scrollHeight ;

	var myFrame = parent.prGetIframe("actions");	
	myFrame.height=document.body.scrollHeight ;

	if (gUser == "AS")
	{
		var chkUserDef = document.getElementById ("UserDefined");
		var frmUserDef = document.getElementById ("form_UserDefined");

		chkUserDef.disabled = true;
		chkUserDef.style.visibility = "hidden";

		frmUserDef.disabled = true;
		frmUserDef.style.visibility = "hidden";
		
	}

	gCurrentlyEnabled = getSelected ();
	prEnableDisableForm (gCurrentlyEnabled, false)
}
