var subPage = 0;
var oStrategy = new CStrategy(gSessionData,true,'/components/General/FilteringPolicies/Policies/Group/Main/srvGetGroups.htmopt');


// Cambia de pestaa y actualiza el estilo de la clase con el del tamao correspondiente
function onChangeCriteria(page)
{
	if (page == lastPage)
		return;
	var criterio = window.document.getElementsByName('Criterio');
	criterio[lastPage].style.display="none";
	criterio[page].style.display="";
	if (criterio[page].src == window.location || criterio[page].src == '') 
			criterio[page].src = myframe[page]+'?'+gSessionData +'&h_group='+window.document.getElementById('txtName').value;	

	var classPestanaActiva = "PestanaActiva";
	var classPestanaInactiva = "PestanaInactiva";
	var pestana1 = window.document.getElementById('Pestana'+page);
   var classActive = pestana1.className;
	var size = classActive[classActive.length-1];
	if (size == 'G' || size == 'S')
		classPestanaActiva += size;
	var pestana2 = window.document.getElementById('Pestana'+lastPage);
	var classInActive = pestana2.className;
	size = classInActive[classInActive.length-1];
	if (size == 'G' || size == 'S')
		classPestanaInactiva += size;
	pestana1.className = classPestanaActiva;
	pestana2.className = classPestanaInactiva;
	lastPage = page;
}

// 
function onEdit()
{
	var selGroup = window.document.getElementById('groups');
	if (selGroup.selectedIndex >= 0) {
		window.document.getElementById('tdAction').innerHTML = EDITLABEL;
		var txtName = window.document.getElementById('txtName');
		txtName.value = selGroup.options[selGroup.selectedIndex].value;
		txtName.readOnly = true;
		reloadTabs();//recarga los iframes con la informacion del perfil seleccionado				
	}		
}

function onNew()
{
	window.document.getElementById('tdAction').innerHTML = NEWLABEL;
	var txtName = window.document.getElementById('txtName');
	txtName.value = "";
	txtName.readOnly = false;
//	reloadTabs();//recarga los iframes con la informacion del perfil seleccionado				
}

function onDeleteSuccess(req)
{
	var result = req.split(':');
	if (result[0] == 'error')  {
		showCtrl("divLoading",false);
		alert(result[1]);
	}
	else{
		reloadGroups(req);
	}
}

// Borra un grupo usanda ajax, y vuelve a cargar a todos los grupos
function onDelete()
{
	if(!confirm(PRDELCONFIRM))
			return false;
	var Action = "srvGroup.htmopt?";
	var selGroup = window.document.getElementById('groups');
	Action +=gSessionData;
	Action += "&h_operation=delete";
	Action += "&h_group="+ selGroup.options[selGroup.selectedIndex].value;
//	window.open(Action, 'aa');
	try
	{
	// Ajax HTTP Request
		AjaxRequest.get(
		  {
			'url':Action,
			'onError'	:function(){ reloadGroups(); },
			'onTimeOut'	:function(){ showCtrl("divLoading",false); },
			'onLoading'	:function()    { showCtrl("divLoading",true);	},
			'onSuccess'	:function(req) { onDeleteSuccess(req.responseText); }
		  }
		);
		//DEBUG: 
	}catch(e){alert('onDelete  ' + e.message);}
}

function reloadGroups() {
	oStrategy.mpLoadElements(document.getElementById('groups'));
	//fnShowGroups();
	onChangeGroup();
	onNew();
}

function onCancel()
{
	onNew();
	reloadTabs();
}

function onAccept()
{	
	GroupName = window.document.getElementById('txtName').value;
	if (fnIsValidInput(GroupName) || (trim(GroupName)=="")) {
		alert(VALIDATENAME);
		return;
	}
	
	var criterio = window.document.getElementsByName('Criterio');
	window.document.getElementById('h_targetgroup').value =GroupName;
	window.document.getElementById('h_operation').value ='Write';
	for (var i=0; i<myframe.length-1; i++) {
		if (criterio[i].src !=  window.location && criterio[i].src !=  "")
		{
			window.document.getElementById(myVal[i]).value = window.frames[i].getData();
			window.document.getElementById(myVal[i]+'Sent').value = '1';
		}		
	}
	if (criterio[i].src !=  window.location && criterio[i].src !=  "") {
		window.document.getElementById('h_Vlan').value = window.frames[i].getData(0);	
		window.document.getElementById('h_VlanSent').value = window.frames[i].isSent(0);	
		window.document.getElementById('h_MAC').value = window.frames[i].getData(1);	
		window.document.getElementById('h_MACSent').value = window.frames[i].isSent(1);	
		window.document.getElementById('h_Interface').value = window.frames[i].getData(2);	
		window.document.getElementById('h_InterfaceSent').value = window.frames[i].isSent(2);	
		window.document.getElementById('h_Modules').value = window.frames[i].getData(3);	
		window.document.getElementById('h_ModulesSent').value = window.frames[i].isSent(3);	
		window.document.getElementById('h_Network').value = window.frames[i].getData(4);
		window.document.getElementById('h_NetworkSent').value = window.frames[i].isSent(4);			
	}
	window.document.frmTargetGroups.submit();
}

function onChangeGroup()			
{
	var selGroup = window.document.getElementById('groups');
	var selDetail = document.getElementById('selDetail');
	clearList(selDetail);
	if (selGroup.selectedIndex >= 0) 
	{	
		oStrategy.mpLoadElementDetail(selGroup.options[selGroup.selectedIndex].value,selDetail);
	}		
}

function onLoad()
{
	reloadGroups();
}

function reloadTabs()
{
	var criterio = window.document.getElementsByName('Criterio');
	for (var page=0; page<7; page++) {
			criterio[page].src = "";
	}
		criterio[lastPage].src = myframe[lastPage]+'?'+gSessionData +'&h_group='+window.document.getElementById('txtName').value;
}

function GetSession()
{
	return gSessionData;
}

function GetGroupName()
{
	return window.document.getElementById('txtName').value;
}
