var ghl = new CControlHighlighter2(	"Formulario_Medio_Disabled", "Formulario_Medio_Error" );
var Erase = "";

function prLoadProperties(Policy, TableName)
{

	if (TableName == null)
		TableName = 'PoliciesTable';
       //Cuando es un administrador de ISP, se debe enviar la columna Service(columna 1) 
	sExtra = "";
	var tmpSessionData = gSessionData;
	try{
         if(gISP_ADMIN=='1'){
	    sExtra= "&h_policy_service="  + window.frames[TableName].GetActiveData(2);
	    if (h_modify == "General")
	      tmpSessionData = tmpSessionData.replace (/General/, window.frames[TableName].GetActiveData(8  ));
	    
	 }
	}catch(e){}
	window.open("/components/General/FilteringPolicies/Policies/Properties/dspProperties.htmopt?" + tmpSessionData + "&h_policy="+Policy + sExtra ,"policyProperties");	
}


//Funcion que movera el scroll en cuanto la politica salga de la parte visible del frame
function MoveScroll(pObj, pFrm, TableName){
    try{
      var rv = document.getElementById(TableName);
      var frmObj = window.frames[TableName];
      var iRowTop = pObj.offsetTop;
      var iRowHeight = pObj.offsetHeight;
      var iDocHeight = pFrm.body.offsetHeight;
      var iFrmHeight = rv.offsetHeight;
      var iFrmScrollTop = pFrm.documentElement["scrollTop"];
     // alert('iRowTop='+ iRowTop + ' iRowHeight='+ iRowHeight + ' iDocHeight=' + iDocHeight + ' iFrmHeight=' + iFrmHeight +  ' iFrmScrollTop=' + iFrmScrollTop);

      //Mueve scroll hacia abajo
      if( (iFrmScrollTop + iRowTop)>=(iFrmHeight-iRowHeight) )	frmObj.scrollBy(0,iRowHeight*1.5);    
     
      //Mueve scroll hacia arriba
      if( iRowTop < iFrmScrollTop ) frmObj.scrollBy(0,iRowHeight*-1.5);    
      
    }catch(e){alert('jscPolicies.js - MoveScroll::' + e.message)}
}
// Mueve hacia arriba la fila de una política para aumentar su prioridad
function up (TableName) {
	var rv = null; 
	
	if (TableName == null)
		TableName = 'PoliciesTable';
	
	if (document.getElementById(TableName).contentDocument){ 
		rv = document.getElementById(TableName).contentDocument; 
	}
	else { 
		rv = document.frames(TableName).document; 
	} 
	var tbl = rv.getElementById('policies');
	var trs = tbl.getElementsByTagName('tr');

	var i = parseInt(rv.getElementById('NumFila').innerHTML);
	var j = i - 1;
	if (i != 0) {
		tbl.tBodies[0].insertBefore(trs[i],trs[j]);
		rv.getElementById('NumFila').innerHTML = j;
	  	MoveScroll(trs[j],rv, TableName);
	}
}

// Mueve hacia abajo la fila de una política para disminuir su prioridad
function down(TableName)
{
	var rv = null;
	
	if (TableName == null)
		TableName = 'PoliciesTable';

	if (document.getElementById(TableName).contentDocument)
	{ 
		rv = document.getElementById(TableName).contentDocument; 
	}
	else
	{ 
		rv = document.frames(TableName).document; 
	} 
	var tbl = rv.getElementById('policies');
	var trs = tbl.getElementsByTagName('tr');

	var i = parseInt(rv.getElementById('NumFila').innerHTML);
	var j = i + 1;
	
	if (j != tbl.rows.length - 1)
	{
		tbl.tBodies[0].insertBefore(trs[j],trs[i]);
		rv.getElementById('NumFila').innerHTML = j;

		MoveScroll(trs[j],rv, TableName);
	}
}

//Ejecuta la accion (edit|new)

function executePolicy (accion, politica)
{
	var lIspAdmin=0;
	if(gISP_ADMIN=='1') lIspAdmin=1;
	gSessionData = gSessionData.replace (/ACCION/, accion);

	if (accion == "edit")
	{
		//Si se va a editar, se debe tener algo seleccionado...
		if (politica == "")
			return 0;

		//Para el caso de la seiccón General, tenemos que averiguar qué servicio es el que se está editando.
		if (h_modify == "General"){
			gSessionData = gSessionData.replace (/General/, window.frames['PoliciesTable'].GetActiveData(7 + lIspAdmin));
			
		}
	}
	szAction = "/components/General/FilteringPolicies/Policies/Main/Edit/dspEdit.htmopt?" + gSessionData + "&h_policy=" + politica;

	//Cuando es un administrador de ISP, se debe enviar la columna Service(columna 2) 
	try{
	    if(gISP_ADMIN=='1')
	      szAction+= "&h_policy_service="  + window.frames['PoliciesTable'].GetActiveData(2); 
	}catch(e){};
  	window.open(szAction, window.name);
}

//Botón borrar
function prDelete (pPolNum)
{
	if (pPolNum < 0)
		return 0;
		
var Doc = window.frames['PoliciesTable'].document;
var tbl = Doc.getElementById ('policies');

	if(gISP_ADMIN=='1')
		Erase += tbl.rows [pPolNum].cells [3].innerHTML +  ':' + tbl.rows [pPolNum].cells [2].innerHTML  +  ':' + tbl.rows [pPolNum].cells [8].innerHTML;
	else
	    	Erase += tbl.rows [pPolNum].cells [2].innerHTML;
	tbl.deleteRow (pPolNum);

	if (Erase != "")
		Erase += "|";
	
	Doc.getElementById ('NumFila').innerHTML = "-1";
}

//Botónc ancelar
function prCancel ()
{
	window.open ("/components/General/FilteringPolicies/Policies/Main/dspPolicies.htmopt?" + gSessionData, window.name);
}


//Botón aplucar
function prOK ()
{
var Doc = window.frames['PoliciesTable'].document;
var tbl = Doc.getElementById ('policies');
var trs = tbl.getElementsByTagName ('tr');

var Params;
var Keys;
var Values;
	
	Params = gSessionData;
	
	Keys = "";
	Values = "";
	
	for (var Contador = 0; Contador < trs.length - 1; Contador ++)
	{
	      //Si es administrador envia el nombre de la politica, nombre del servicio y el modulo al que corresponde
	      // ej: POLTICAWF01:premium:WebFilter
              if(gISP_ADMIN=='1'){
                 Keys += tbl.rows [Contador].cells [3].innerHTML +  ':' + tbl.rows [Contador].cells [2].innerHTML + ':' +  tbl.rows [Contador].cells [8].innerHTML  ;
	      }
	      else
		Keys += tbl.rows [Contador].cells [2].innerHTML;
		//Evita que las politicas tengan un orden menor  a 100 [0-99 estan reservados para politicas ocultas]
		Values += Contador + gOrderOffset;

		if (Contador < trs.length - 2)
		{
			Keys += "|";
			Values += "|";
		}
	}

	Params += "&h_keys=" + Keys + "&h_values=" + Values + "&h_erase=" + Erase;
        //alert(Params)
	window.open ("/components/General/FilteringPolicies/Policies/Main/srvPolicies.htmopt?" + Params, window.name);
//	window.open ("/components/General/FilteringPolicies/Policies/Main/srvPolicies.htmopt?" + Params, 'frmOrder');
}
