//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prAllChecked (pSrvName, pCheckBoxId)
{
	var lServices = document.getElementsByName (pSrvName);
	var objChkBox = document.getElementById (pCheckBoxId);
	var AllChecked = true;


	for (Contador = 0; Contador < lServices.length; ++Contador)
	{
		if (lServices [Contador].checked == false)
		{
			AllChecked = false;
			break;
		}
	}

	objChkBox.checked = AllChecked;
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prOnLoad ()
{
	//Marca las casillas de "all services" para las categoras en las que el usuario ha marcado todos los servicios
	prAllChecked ("s_w", "ms_w");
	prAllChecked ("s_ft", "ms_ft");
	prAllChecked ("s_em", "ms_em");
	prAllChecked ("s_p2p", "ms_p2p");
	prAllChecked ("s_s", "ms_s");
	prAllChecked ("s_im", "ms_im");
	prAllChecked ("s_voip", "ms_voip");
	prAllChecked ("s_an", "ms_an");
	prAllChecked ("s_rd", "ms_rd");
	prAllChecked ("s_ns", "ms_ns");
	prAllChecked ("s_g", "ms_g");
	prAllChecked ("s_o", "ms_o");
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function detserv(serv,tag)
{
	var servicio = document.getElementById('detservicio');
	var nserv = document.getElementById('bserv');
	var trs = servicio.getElementsByTagName('tr');
	var tds = nserv.getElementsByTagName('td');
	var detservicio = document.getElementsByName(serv);
	for (i=5; i<trs.length; i++)
		trs[i].style.display = "none";
	for (i=0; i<tds.length; i++)
		tds[i].style.cssText='color: #555555; background-color: #FFFFFF; vertical-align:top;';
	tag.style.cssText='color: #000000; background-color: #F1F0F2; vertical-align:top;';
	for (i=0; i<detservicio.length; i++)
		detservicio[i].style.display = "";
}


//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

// Funcin para activar todos los servicios en Firewall
function checkall(servName, tag)
{
	elem = document.getElementsByName(servName);
	len = elem.length;
	for (n=0;n<len;n++){
		if (tag.checked)
			elem[n].checked = true;
		else
			elem[n].checked = false;
	}
}


//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


function uncheck(main)
{
	var mainserv = document.getElementById(main);
	mainserv.checked = false;
}


//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function fnCheckedBoxes (pCat, pInitial)
{
	var lServices = gServCats.split ("|");
	var lCats = document.getElementsByName (pCat);
	var Contador, Pos;
	var lRes = "";

	Pos = 0;

	while (lServices [Pos] != pInitial) 
		++Pos;

	for (Contador = 0; Contador < lCats.length; ++Contador)
	{
		if (lCats [Contador].checked == true)
		{
			lRes += lServices [Pos + Contador] + '|';
		}
	}

	return lRes;
}


//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


function fnBotonAceptar(h_profile_name,h_action)
{
	var Accion;
	var Categories = "";
	var lIndex = gServStart.split ("|");
	var Contador;
	
	//Coger categoras
	Categories  = fnCheckedBoxes ("s_w",  lIndex[0]);
	Categories += fnCheckedBoxes ("s_ft", lIndex[1]);
	Categories += fnCheckedBoxes ("s_em", lIndex[2]);
	Categories += fnCheckedBoxes ("s_p2p",lIndex[3]);
	Categories += fnCheckedBoxes ("s_s",  lIndex[4]);
	Categories += fnCheckedBoxes ("s_im", lIndex[5]);
	Categories += fnCheckedBoxes ("s_voip", lIndex[6]);
	Categories += fnCheckedBoxes ("s_ch", lIndex[7]);
	Categories += fnCheckedBoxes ("s_ng", lIndex[8]);
	Categories += fnCheckedBoxes ("s_an", lIndex[9]);
	Categories += fnCheckedBoxes ("s_rd", lIndex[10]);
	Categories += fnCheckedBoxes ("s_db", lIndex[11]);
	Categories += fnCheckedBoxes ("s_ns", lIndex[12]);
	Categories += fnCheckedBoxes ("s_g",  lIndex[13]);
	Categories += fnCheckedBoxes ("s_o",  lIndex[14]);
	
	
	if (Categories.length > 0)
		Categories = Categories.substring (0, Categories.length - 1);
	
 	Accion=	"/components/General/FilteringPolicies/Policies/Profile/Services/srvServices.htmopt?"+gSessionData+
			"&h_profile_name=" + h_profile_name + "&h_action="+h_action + 
			"&h_categs="+Categories;
	window.open(Accion, window.name);
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prMoveLists (txtSrc, txtDst)
{
	var objSource = document.getElementById (txtSrc);
	var objDest   = document.getElementById (txtDst);

	while (objSource.length > 0)
	{
		addToList   (objSource.options [0].value, objDest, 0);
		delFromList (objSource.options [0].value, objSource, 1);
	}
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prMoveService (txtSrc, txtDst)
{
	var objSource = document.getElementById (txtSrc);
	var objDest   = document.getElementById (txtDst);
	
	if (objSource.selectedIndex == -1)
		return ;

	addToList   (objSource.options [objSource.selectedIndex].value, objDest, 0);
	delFromList (objSource.options [objSource.selectedIndex].value, objSource, 1);
}
