var oStrategy;
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prLoadInfo()
{	
	try{		
		var pFile = '/components/General/FilteringPolicies/Policies/Schedule/srvGetData.htmopt';
	
		var dataVars = "h_mode=whens&h_modify=";
		
		oStrategy = new CStrategy(dataVars,true,pFile);				
		oStrategy.mpLoadElements(document.getElementById('h_schedules'));		
	}catch(e){
		alert('prLoadInfo: ' + e.message)
	}//try
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prLoadSchedules(schedules)
{		
	var resp;
	cbo = document.getElementById("sch_detail");
	clearList(cbo);
	
	schedules = schedules.replace(/monday/g, gMonday);
	schedules = schedules.replace(/tuesday/g, gTuesday);
	schedules = schedules.replace(/wednesday/g, gWednesday);
	schedules = schedules.replace(/thursday/g, gThursday);
	schedules = schedules.replace(/friday/g, gFriday);
	schedules = schedules.replace(/satuday/g, gSaturday);
	schedules = schedules.replace(/sunday/g, gSunday);
		
	schedules = schedules.split("|");
	for(var i=0; i<schedules.length; i++){
		resp = "";		
		schedule = schedules[i].split("#");						
		for(var j=0; j<schedule.length; j++){			
			token = schedule[j].split("!");
			resp = resp + (resp == "" ? "" : " ; ");
			resp = resp + token[1].replace(/;/g,",");						
		}
		addToList(resp, cbo, 0);		
	}
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prClearFields()
{
	document.getElementById("scheduleName").value = "";
	document.getElementById("monday").checked = false;
	document.getElementById("tuesday").checked = false;
	document.getElementById("wednesday").checked = false;
	document.getElementById("thursday").checked = false;
	document.getElementById("friday").checked = false;
	document.getElementById("saturday").checked = false;
	document.getElementById("sunday").checked = false;
	document.getElementById("h_date_initial").value = "";
	document.getElementById("h_date_end").value = "";
	document.getElementById("hour_ini").value = "";
	document.getElementById("hour_fin").value = "";	
	clearList(document.getElementById("hours"));
	clearList(document.getElementById("dates"));
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prLoadScheduleDetail(scheduleDetail, scheduleName)
{		

	var resp;		
	var hours = document.getElementById("hours");
	var dates = document.getElementById("dates");

	prClearFields();
	document.getElementById("scheduleName").value = scheduleName;

	scheduleDetail = scheduleDetail.split("|");
	for(var i=0; i<scheduleDetail.length; i++){
		resp = "";		
		schedule = scheduleDetail[i].split("#");						
		for(var j=0; j<schedule.length; j++){			
			token = schedule[j].split("!");
			
			detail = token[1].split(";");
			for( var k=0; k<detail.length; k++){
				if( token[0] == "day" ){
					document.getElementById(detail[k]).checked = true;	
				}
				if( token[0] == "hour" ){
					addToList(detail[k], hours, 0);
				}
				if( token[0] == "date" ){
					addToList(detail[k], dates, 0);
				}
			}			
		}		
		break;
	}
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prGetSchedule(cbo)
{	
	if( cbo.selectedIndex < 0 )
		return;
		
	sn = cbo.options[cbo.selectedIndex].value;

	var Action = "/components/General/FilteringPolicies/Policies/Schedule/srvGetSchedule.htmopt?" + gSessionData +
				 "&h_schedule=" + sn;
	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		'url':Action,
		'onError'	:function(){ },
		'onTimeOut'	:function(){ },
		'onLoading'	:function(){ },
		'onSuccess'	:function(req) { 
				//prLoadSchedules(req.responseText);				
				prLoadScheduleDetail(req.responseText, sn);
		 }
	  }
	);
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prAddDate(cboDates)
{
	var fecini = document.getElementById("h_date_initial").value; //getAttribute("NumFec"));
	var fecfin = document.getElementById("h_date_end").value;

	if( fecini == "" || fecfin == "" || fecini.toString().indexOf("null") >= 0 || fecini.toString().indexOf("null") >= 0)
	{
		alert(M_SCHE_ERRDATE);
		return;
	}
	
	//Validar rango de fechas 
	if (isValidDateRange (fecini, fecfin, gMonthsArr) == false)
	{
		alert (M_SCHE_BADDATE);
		return false;
	}
	
	addToList(fecini + "-" + fecfin, cboDates, 0);
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prAddHour(cboHours)
{
	var hourini = document.getElementById("hour_ini");
	var hourfin = document.getElementById("hour_fin");
		
	reg = /^(([01]?\d)|(2[0-3])){1}:([0-5][0-9])$/;	
	if( !reg.test(hourini.value) ){
		alert(M_SCHE_ERRHOUR);
		hourini.focus();
		hourini.select();
		return;
	}
	
	if( !reg.test(hourfin.value) ){
		alert(M_SCHE_ERRHOUR);
		hourfin.focus();
		hourfin.select();
		return;
	}
	addToList(hourini.value + "-" + hourfin.value, cboHours, 0);
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prDisableEdit(opt)
{
	document.getElementById("scheduleName").disabled = opt;
	document.getElementById("monday").disabled = opt;
	document.getElementById("tuesday").disabled = opt;
	document.getElementById("wednesday").disabled = opt;
	document.getElementById("thursday").disabled = opt;
	document.getElementById("friday").disabled = opt;
	document.getElementById("saturday").disabled = opt;
	document.getElementById("sunday").disabled = opt;
	document.getElementById("h_date_initial").disabled = opt;
	document.getElementById("h_date_end").disabled = opt;
	document.getElementById("hour_ini").disabled = opt;
	document.getElementById("hour_fin").disabled = opt;
	document.getElementById("hours").disabled = opt;
	document.getElementById("dates").disabled = opt;	
	document.getElementById("btnAccept").setAttribute("disabled",opt);
	document.getElementById("anchor1").setAttribute("disabled",opt);
	document.getElementById("anchor2").setAttribute("disabled",opt);
	document.getElementById("btnAdd1").setAttribute("disabled",opt);
	document.getElementById("btnAdd2").setAttribute("disabled",opt);
	document.getElementById("btnDel1").setAttribute("disabled",opt);
	document.getElementById("btnDel2").setAttribute("disabled",opt);
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function isValidName(name)
{
	if( name.toLowerCase() == "never" || name.toLowerCase() == "always")
		return false;

	var regExp = /^[a-zA-Z_]+[\w\s-]+$/;
	return regExp.test(name);	
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prAddSchedule()
{
	var schName = document.getElementById("scheduleName").value;
	var hours = getListValues(document.getElementById("hours"),"|");
	var dates = getListValues(document.getElementById("dates"),"|");
	var daysArr = document.getElementById("chkDays");
	var days = "";
		
	schName = schName.replace(/^\s+|\s+$/g,'');	
	if( !isValidName(schName) ){
		alert(M_SCHE_ERRNAM);
		document.getElementById("scheduleName").focus();
		document.getElementById("scheduleName").select();		
		return;
	}
	
	for( var i=0; i<daysArr.childNodes.length; i++)
		if( daysArr.childNodes[i].type == "checkbox" && daysArr.childNodes[i].checked )
			days = days + (days == "" ? "" : "|") + daysArr.childNodes[i].value;
			
	Action = "srvSchedule.htmopt?" + gSessionData + 
			 "&h_name=" + schName +
			 "&h_hours=" + hours +
			 "&h_dates=" + dates +
			 "&h_days=" + days +
			 "&h_policy=" + gPolicy +
			 "&h_opt=write";
	
	/*AjaxRequest.get(
	  {
		'url':Action,
		'onError'	:function(){ },
		'onTimeOut'	:function(){ },
		'onLoading'	:function(){ },
		'onSuccess'	:function(req) {				
				if( req.responseText == "" )
					alert(M_SCHE_NOADD);
				else{
					addToList( req.responseText, document.getElementById("h_schedules"), 0);					
				}
		 }
	  }
	);*/
	window.open(Action,window.name);
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prDelSchedule(cbo)
{	
	if( cbo.selectedIndex < 0 )
		return;
				
	if( !confirm(M_CONF_CONFIRMDEL) ) return;
		
	sn = cbo.options[cbo.selectedIndex].value;
	var Action = "srvSchedule.htmopt?" + gSessionData +
				 "&h_name=" + sn +				 
				 "&h_hours=" +
				 "&h_dates=" +
				 "&h_days=" +
				 "&h_policy=" + gPolicy +
				 "&h_opt=delete";
	
	AjaxRequest.get(
	  {
		'url':Action,
		'onError'	:function(){ },
		'onTimeOut'	:function(){ },
		'onLoading'	:function(){ },
		'onSuccess'	:function(req) {				
				if( req.responseText == "NOK" )
					alert(M_SCHE_NODEL);
				else{					
					delSelectedFromList(document.getElementById("h_schedules"));
				}
		 }
	  }
	);	
	//window.open(Action,"wTabContent");
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------