var ghl = new CControlHighlighter2(	"Formulario_Medio_Disabled", "Formulario_Medio_Error" );
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnLoad(){
	var h_neighbor = document.getElementById("h_neighbor");
	var NetList = gEnabledNetworks.split ("|");
	var Lst  = document.getElementById ("h_iplist");

	for (Contador = 0; Contador < NetList.length; ++Contador)
	{
		if (NetList [Contador] != "")
			addToList (NetList [Contador], Lst, 0);
	}
	
	if(h_neighbor.value!="")
		prChgNeighbor(h_neighbor);
	
}


//---------------------------------------------------------------------------------------------------------------------------------------------

function prAddIp ()
{
	var FullText;
	var Lst  = document.getElementById ("h_iplist");
	var From = document.getElementById ("txtFromIp").value;
	var IpTo = document.getElementById ("txtToIp").value
	
	if (From == "")
		return ;
	
	FullText = From;
	
	if (IpTo != "")
		FullText += " - " + IpTo;
		
	addToList (FullText, Lst, 0);
}


//---------------------------------------------------------------------------------------------------------------------------------------------

function prRemIp ()
{
	var Lst  = document.getElementById ("h_iplist");

	
	delSelectedFromList (Lst);
}


//---------------------------------------------------------------------------------------------------------------------------------------------

function prNetworksOK ()
{
	var Action;
	var Lst  = document.getElementById ("h_iplist");
	var IPLst = "";
	var Contador;

	//Enabled networks
	for (Contador = 0; Contador < Lst.length; ++Contador)
	{
		IPLst += Lst [Contador].value;

		if (Contador < Lst.length - 1)
			IPLst += "|";
	}
	
	Action = "srvNetworks.htmopt?" + gSessionData +
			"&h_iplist=" + IPLst;
	
	window.open (Action, window.name);
}

//---------------------------------------------------------------------------------------------------------------------------------------------

function changeCTFile()
{
	hct= document.getElementById("h_CTfile");
	var Action=	"dspBGPConfig.htmopt?" + gSessionData +
	"&h_CTfile="+hct.options[hct.selectedIndex].value;
	//alert("&h_CTfile="+hct.options[hct.selectedIndex].value);
	window.open(Action,window.name);		

}
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnValidateData(){
	var qrystring = "";
	


	//BGP Identifier
	var h_bgpIdentifier = document.getElementById("h_bgpIdentifier");
	var lFilter = /^([1-9][0-9]{0,2})+\.([1-9][0-9]{0,2})+\.([1-9][0-9]{0,2})+\.([1-9][0-9]{0,2})+$/;
		
		if(!lFilter.test(escape(h_bgpIdentifier.value))){
			alert(M_GROUP_IP_INVALID);
			ghl.mpSetError(h_bgpIdentifier);
			h_bgpIdentifier.focus();
			h_bgpIdentifier.select();
			return "";
		}
		ghl.mpSetNormal(h_bgpIdentifier);
	//AS
	var h_as = document.getElementById("h_as");
	var lFilter = /^[0-9]+$/;
		
		if(!lFilter.test(escape(h_as.value))){
			alert(M_CONF_ALERT01);
			ghl.mpSetError(h_as);
			h_as.focus();
			h_as.select();
			return "";
		}
		ghl.mpSetNormal(h_as);
		
	//Listening Port
	var h_listening_port = document.getElementById("h_listening_port");
	var lFilter = /^[0-9]+$/;
		
		if(!lFilter.test(escape(h_listening_port.value))){
			alert(M_CONF_ALERT01);
			ghl.mpSetError(h_listening_port);
			h_listening_port.focus();
			h_listening_port.select();
			return "";
		}
		ghl.mpSetNormal(h_listening_port);

	//Interfaces
	var h_interfaces = document.getElementById("h_interfaces");
	var h_interfaces_values = Array();

	for(i=0;i<h_interfaces.options.length;i++)
			h_interfaces_values.push(h_interfaces.options[i].value);
		
		if(h_interfaces.value==""){
			alert(M_CONF_ALERT02);
			//ghl.mpSetError(h_interfaces);
			h_interfaces.focus();
			return "";
		}
		//ghl.mpSetNormal(h_interfaces);


	hct= document.getElementById("h_CTfile");
	
	qrystring = 
				"&h_file=" + hct.options[hct.selectedIndex].value +
				"&h_bgpIdentifier="	+escape(h_bgpIdentifier.value ) 	+ 
				"&h_as="		+escape(h_as.value) 		+
				"&h_listening_port="		+escape(h_listening_port.value) 	+
				"&h_interfaces=" + h_interfaces_values.join('|')+
				"&h_CTfile="+hct.options[hct.selectedIndex].value;	
	
	return qrystring;
}

//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnAccept(){
	var qrystring = fnValidateData();
	if( qrystring == "" ) return;	
	var Action=	"srvBGPConfig.htmopt?" + gSessionData + qrystring ;
	window.open(Action,window.name);		
}

//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prChgNeighbor(pItem,pFormAction)
{
	//gFormAction = 'edit|new'; 
	TheForm=document.forms[0];
	Accion= "/components/General/GeneralManagement/BGPConfig/dspNeighborConfig.htmopt?"+gSessionData
			+ "&h_file=" + gFile 
			+ "&h_neighbor=" + pItem.value
			+ "&h_formaction=" + pFormAction;

	window.open(Accion, "f_Neighbors");
	return true;
} // prChgNeighbor

//----------------------------------------------
//Agrega url al combo
function addKey(sValue,pComboBox)
{
	try
	{
	
		var oComboBox = document.getElementById(pComboBox);

		//var sValue = oText.value;
		//Validaciones para email y domain email
		if(sValue=="")	{
			alert(M_FIELDEMPTYERR);
			return(false);
		}
		addToList(sValue,oComboBox,0);

	}catch(e){
		alert('addKey:' + e.message);
	}
		
}//function
//----------------------------------------------
//Elimina las URLs seleccionadas del combo
function removeKey(pComboBox)
{
	try
	{
		var oComboBox = document.getElementById(pComboBox);
		delSelectedFromList(oComboBox);
	
	}catch(e){
		alert('removeURL:' + e.message);
	}

}//function


//----------------------------------------------
// Mueve el valor de un combo a combo

function moveKey(sSourceName,sDestinyName)
{

		var objSource = document.getElementById(sSourceName);
		var objDestiny = document.getElementById(sDestinyName);
			
		if(objSource.selectedIndex<0){
			alert(M_PRSEL_WARNING)
			return ;
		}
		
		addKey(objSource.options[objSource.selectedIndex].value,sDestinyName);
		removeKey(sSourceName);
} //function

//-------------------------------------------------
// Load  neighbors
function LoadNeighbors(sComboName)
{
	try
	{
		
		hct= document.getElementById("h_CTfile");
		var oComboBox= document.getElementById(sComboName);
		
		var Action =	"srvGetNeighbors.htmopt?" 
			 Action+=   gSessionData ;
			 Action+=   "&h_file=" + hct.options[hct.selectedIndex].value;
	
			clearList(oComboBox);
			// Ajax HTTP Request
			AjaxRequest.get(
		  	{
				'url':Action,
				'onError'	:function()		{ },
				'onLoading'	:function() 	{ 
						//	showCtrl("divLoading",true);	
					},
				'onSuccess'	:function(req) { 	OnLoadInfoSucess(req.responseText,oComboBox);	}
			  }
			);
			
			//DEBUG: 
			//if(this.debug)				window.open(Action,'new'); 
	}	catch(e){
		alert('LoadNeighbors::'+ e.message);
	}
}//function


//Obtiene los neighbors registrados
function OnLoadInfoSucess(txtResponse,oComboBox)
{
		try
		{

			//showCtrl("divLoading",false);

			var aryRows = txtResponse.split('|');
			clearList(oComboBox);
			for(j=0;j<aryRows.length;j++){
				addToList(aryRows[j], oComboBox, 0 );
			}//for
			//oComboBox.selectedIndex=-1;
	
		}catch(e){
				alert("jscBRPConfig.js::OnLoadInfoSucess -> " +  e.message)	;
		}	//catch

}//function


function fnCancel()
{
	document.location = document.location;
}

function deleteNeighbor(){
	var h_neighbor = document.getElementById("h_neighbor").value;
	Accion= "/components/General/GeneralManagement/BGPConfig/srvNeighborConfig.htmopt?"+gSessionData
			+ "&h_file=" + gFile 
			+ "&h_neighbor=" + h_neighbor
			+ "&h_formaction=delete";

	window.open(Accion, "f_Neighbors");
	return true;

}//function
