//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
var gHighlighter = new CControlHighlighter2("frmDisabled", "frmError");
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnVolver()
{
	Action = gRedirect+"?"+gSessionData;
	window.open(Action,window.name);
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnOK()
{
	form = document.forms.ldap;
	if( !fnCheckData(form) ) return;
   
	xPos = form.user_filter_pos.selectedIndex;
	iPos = form.user_filter_pos[xPos].value;
	
	ctrl = document.getElementById("h_type")
	lType= (ctrl)?ctrl.value : "";
	
	Action = '/components/General/GeneralManagement/LDAPConf/srvLDAP.htmopt?'+gSessionData
			+ '&h_network='		+ form.h_network.value
			+ '&h_port=' 	 	+ form.h_port.value
			+ '&h_admin=' 	 	+ escape( form.admin.value )
			+ '&h_password=' 	+ escape( form.password.value )
			+ '&h_base=' 	 	+ escape( form.base.value )
			+ '&h_type=' 	 	+ escape( lType )
			+ '&h_usrquery=' 	+ escape( form.user_query.value )
			+ '&h_usrname='  	+ escape( form.user_name.value )
			+ '&h_usremail='	+ escape( form.user_email.value )
			+ '&h_usralias='	+ escape( form.user_alias.value )
			+ '&h_usrfiltcrit=' + escape( form.user_filter_criterio.value )
			+ '&h_usrfiltpos=' 	+ escape( iPos )
			+ '&h_usrmemquery=' + escape( form.user_membership_query.value )
			+ '&h_grpquery=' 	+ escape( form.group_query.value )
			+ '&h_grpname=' 	+ escape( form.group_name.value )
			+ '&h_grpmemquery=' + escape( form.group_membership_query.value )
			+ '&h_grpnstdmemlv='+ escape( form.group_nested_membership_level.value )
			+ '&h_ldapserver='	+ escape( document.getElementById("serverName").innerHTML == TR_LDAP_SRVGRAL ? "" : document.getElementById("serverName").innerHTML )						
			+ '&h_redirect='	+ escape( gRedirect );
	window.open(Action,window.name);
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnCheckData(form)
{	
	ctrl = document.getElementById("h_type")
	lType= (ctrl)?ctrl.value : "";
	if( lType == "" && document.getElementById("serverName").innerHTML==TR_LDAP_SRVGRAL )
	{
		alert(TR_LDAP2);
	}
	
	if(form.h_port.value!='') {
		// Test Port Value
		nPrtVal = parseInt(form.h_port.value,10);
		if( !isNumber(form.h_port.value) || nPrtVal<0 || nPrtVal>65535 ) {
			gHighlighter.mpSetError(form.h_port);
			form.h_port.focus();
			form.h_port.select();
			alert(TR_LDAP2);
			return false;
		}gHighlighter.mpSetNormal(form.h_port);
	}

	// User Query
	if(form.user_query.value=='' && document.getElementById("serverName").innerHTML==TR_LDAP_SRVGRAL)
	{
		gHighlighter.mpSetError(form.user_query);
		form.user_query.focus();
		form.user_query.select();
		alert(TR_LDAP17);
		return false;
	}gHighlighter.mpSetNormal(form.user_query);
	
	// User Name
	if(form.user_name.value=='' && document.getElementById("serverName").innerHTML==TR_LDAP_SRVGRAL)
	{
		gHighlighter.mpSetError(form.user_name);
		form.user_name.focus();
		form.user_name.select();
		alert(TR_LDAP18);
		return false;
	}gHighlighter.mpSetNormal(form.user_name);

	// Group Query
	if(form.group_query.value==''  && document.getElementById("serverName").innerHTML==TR_LDAP_SRVGRAL)
	{
		gHighlighter.mpSetError(form.group_query);
		form.group_query.focus();
		form.group_query.select();
		alert(TR_LDAP19);
		return false;
	}gHighlighter.mpSetNormal(form.group_query);

	// Group Name
	if(form.group_name.value==''  && document.getElementById("serverName").innerHTML==TR_LDAP_SRVGRAL)
	{
		gHighlighter.mpSetError(form.group_name);
		form.group_name.focus();
		form.group_name.select();
		alert(TR_LDAP20);
		return false;
	}gHighlighter.mpSetNormal(form.group_name);

	// User Membership Query
	if(form.user_membership_query.value=='' && form.group_membership_query.value==''  && document.getElementById("serverName").innerHTML==TR_LDAP_SRVGRAL)
	{
		gHighlighter.mpSetError(form.user_membership_query);
		form.user_membership_query.focus();
		form.user_membership_query.select();
		alert(TR_LDAP21);
		return false;
	}gHighlighter.mpSetNormal(form.user_membership_query);

	if( form.group_membership_query.value!='' && !isNumber(form.group_nested_membership_level.value)  )
	{
		gHighlighter.mpSetError(form.group_nested_membership_level);
		form.group_nested_membership_level.focus();
		form.group_nested_membership_level.select();
		alert(TR_LDAP29);
		return false;
	}gHighlighter.mpSetNormal(form.group_nested_membership_level);

	// user filter
	var aux = form.user_filter_criterio.value;
	if(aux!='' &&  aux.indexOf('*') == -1 )
	{
		gHighlighter.mpSetError(form.user_filter_criterio);
		form.user_filter_criterio.focus();
		form.user_filter_criterio.select();
		alert(TR_LDAP33);
		return false;
	}gHighlighter.mpSetNormal(form.user_filter_criterio);
	return true;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prAddNewServer() 
{		
	server = document.getElementById("serverName").innerHTML == TR_LDAP_SRVGRAL ? "" : document.getElementById("serverName").innerHTML;
	
		
	Accion	=	"/components/Admin/ServerList/dspServerList.htmopt?"+gSessionData+
				"&h_title="+escape("LDAP")+
				"&h_path="+escape("Admin  >> Authentication >> LDAP >> Add Server: "+gType)+
				"&h_intfname=LDAP"+
				"&h_sufix=LDAPServer"+
				"&h_server="+server+
				"&h_updatemode=list"+
				"&h_refresh="+escape("/components/General/GeneralManagement/LDAPConf/dspLDAP.htmopt")+
				"&h_workmode=global"+
				"&h_href=javascript:prLoadServerParams({param})"+
				"&h_hides="+escape("numthreads,lstngport,lstngnetwork");
	var Params= 'menubar=no,toolbar=no,'+
				'width=450,height=410,screenX=200,screenY=200,'+
				'scrollbars=0,statusbar=0,resizable=0';
	window.open(Accion, 'NewServer', Params);
	return true;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prRemoveServer()
{
	TheForm=document.forms.ldap;
	if( document.getElementById("serverName").innerHTML==TR_LDAP_SRVGRAL ) {		
		return false;
	}
	
	var i, srvrNumber = 0, srvrList = document.getElementById("h_serverlist");
	for(i=0; i< srvrList.childNodes.length; i++){
		if(srvrList.childNodes[i])
			if( srvrList.childNodes[i].childNodes.length > 0 ) srvrNumber++;
		if( srvrNumber > 2 ) break;
	}
		
	if( srvrNumber <= 2 ){
		alert(TR_LDAP_REMOVESERVER);
		return;
	}
			
	Accion=	"/components/Admin/ServerList/srvServerListDelete.htmopt?"+gSessionData+
			"&h_intfname=LDAP"+
			"&h_module="+document.getElementById("serverName").innerHTML+
			"&h_updatemode=refresh"+
			"&h_refresh="+escape("/components/General/GeneralManagement/LDAPConf/dspLDAP.htmopt")+
			"&h_redirect="+escape( gRedirect );	
	window.open(Accion, window.name);
	return true;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
/*function fnSetType(pType) {
	Action = "/components/General/GeneralManagement/LDAPConf/dspLDAP.htmopt?"+gSessionData+
			 "&h_type="+pType+
			 "&h_path="+escape(gPath)+
			 "&h_redirect="+escape(gRedirect);
	window.open(Action,window.name);
}*/
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prSetPredefined()
{
	lType = document.forms.ldap.h_type.value;
	//alert('Loading predefs');
	if( lType=="Other" ) {
		LDAP = document.forms.ldap;
		LDAP.user_query.value = '(&(objectClass=user)(objectCategory=person))';
		LDAP.user_name.value = 'sAMAccountName';
		LDAP.user_email.value = ''; 
		LDAP.user_alias.value = '';
		LDAP.user_membership_query.value = '';
		LDAP.group_query.value = '(objectCategory=group)';
		LDAP.group_name.value = 'cn';
		LDAP.group_membership_query.value = '(member=%dn%)';
		LDAP.group_nested_membership_level.value = 0;
	}
	if( lType=="W2k" ) {
		LDAP = document.forms.ldap;
		LDAP.user_query.value = '(objectCategory=person)';
		LDAP.user_name.value = 'sAMAccountName';
		LDAP.user_email.value = 'mail';
                LDAP.user_alias.value = 'proxyAddresses';
		LDAP.user_membership_query.value = '';
		LDAP.group_query.value = '(objectCategory=group)';
		LDAP.group_name.value = 'cn';
		LDAP.group_membership_query.value = '(member=%dn%)';
		LDAP.group_nested_membership_level.value = 0;
	}
	if( lType=="Lotus" ) {
		LDAP = document.forms.ldap;
		LDAP.user_query.value = '(objectClass=dominoPerson)';
		LDAP.user_name.value = 'shortname';
		LDAP.user_email.value = 'mail';
                LDAP.user_alias.value = '';
		LDAP.user_membership_query.value = '';
		LDAP.group_query.value = '(objectClass=dominoGroup)';
		LDAP.group_name.value = 'cn';
		LDAP.group_membership_query.value = '(member=*%dn%)';
		LDAP.group_nested_membership_level.value = 0;
	}
	if( lType=="iPlanet" ) {
		LDAP = document.forms.ldap;
		LDAP.user_query.value = '(objectClass=inetOrgPerson)';
		LDAP.user_name.value = 'uid';
 		LDAP.user_email.value = 'mail';
                LDAP.user_alias.value = '';
		LDAP.user_membership_query.value = '';
		LDAP.group_query.value = '(objectClass=groupOfUniqueNames)';
		LDAP.group_name.value = 'cn';
		LDAP.group_membership_query.value = '(uniqueMember=%dn%)';
		LDAP.group_nested_membership_level.value = 0;
	}
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnSuccess(response) {	
	alert(eval(response));
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prTestConnection(){

	form = document.forms.ldap;	
	if( confirm(TR_LDAP_TEST_ASK) )
	{
		Action = "/components/General/GeneralManagement/LDAPConf/srvLDAPTest.htmopt?h_ldapserver="+document.getElementById("serverName").innerHTML;
		
		AjaxRequest.get(
		{
			'url':Action,
			'timeout' :10000,
			'onTimeout'	:function(req) { alert('Request Timed Out!');  },
			'onLoading'	:function()    {  },
			'onSuccess'	:function(req) { prOnSuccess(req.responseText) }							 
		}
		);
		//window.open(Action,"_new",window.name);
	}
	
	return false;		
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prUpClick() {
	var frm = document.forms.ldap;

	if( frm.h_serverlist.value=="" ) {
		return false;
	}

	Action = "srvLDAPMoveKey.htmopt?"+gSessionData+
			 "&h_redirect="+escape( gRedirect )+
			 "&h_key="+escape(frm.h_serverlist.value)+
			 "&h_direction=up";
	window.open(Action,window.name);
	return true;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prDownClick() {
	frm = document.forms.ldap;

	if( frm.h_serverlist.value=="" ) {
		return false;
	}

	Action = "srvLDAPMoveKey.htmopt?"+gSessionData+
			 "&h_redirect="+escape( gRedirect )+
			 "&h_key="+escape(frm.h_serverlist.value)+
			 "&h_direction=down";
	window.open(Action,window.name);
	return true;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnVoid() {
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prLoadServerParams(server){
	form = document.forms.ldap;
		
	if(server==TR_LDAP_SRVGRAL) {		
		server = "";	
	}
	Action = "dspLDAP.htmopt?"+gSessionData+
			 "&h_redirect="+escape( gRedirect )+
			 "&h_ldapserver="+escape(server);
			 
	window.open(Action,window.name);
	return true;

}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnServerSelected(){
	form = document.forms.ldap;
	prLoadServerParams(form.h_serverlist.value);
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnAddModuleSucces(response) {
	var res = response.split(";");
	if( res[0]=="ok"    )	{ 
		Accion = "/components/General/GeneralManagement/LDAPConf/dspLDAP.htmopt";
		window.open(Accion + "?" + gSessionData, window.name);
	}
	else if( res[0]=="error" )	{ alert("ERROR:"+res[1]); }
	else {	prAlertWindow("Unknown Response",res[0]);	}
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnAddModule()
{
	var frm = document.forms.ldap;

	if( frm.h_modulelist.value=="" ) {
		alert(M_SELANOPTION);
		return false;
	}

	var pServer = frm.h_modulelist.value;
	var pBalancing = ( frm.h_balancing[0].checked )?"Primary":"Secondary";
	var pDisabled = ( frm.h_disabled.checked )?"True":"False";

	var Action	="/components/General/GeneralManagement/ServerAdmin/srvServerList.htmopt?"+gSessionData+
				"&h_intfname=LDAP"+
				"&h_sufix=LDAPServer"+
				"&h_module="+escape(pServer)+
				"&h_balancing="+pBalancing+
				"&h_disabled="+pDisabled+
				"&h_lsteningntwk="+
				"&h_lsteningprt="+
				"&h_threads=";
	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		'url':Action
		,'timeout' :10000
		,'onTimeout'	:function(req) { alert('Request Timed Out!');  }
		,'onLoading'	:function()    {  }
		,'onSuccess'	:function(req) { prOnAddModuleSucces(req.responseText) }
	  }
	);
	return true;
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnEditLDAPServer()
{
	var frm = document.forms.ldap;

	if( frm.h_serverlist.value=="" ) {
		alert(M_SELANOPTION);
		return false;
	}

	var pServer = frm.h_serverlist.value;

	Accion	=	"/components/General/GeneralManagement/ServerAdmin/dspServerAdmin.htmopt?"+gSessionData+
				"&h_title="+escape("LDAP")+
				"&h_path="+escape("LDAP")+
				"&h_intfname=LDAP"+
				"&h_sufix=LDAPServer"+
				"&h_server="+frm.h_serverlist.value+
				"&h_hides=numthreads|lstngnetwork|lstngport"+
				"&h_updatemode=select"+
				"&h_refresh="+escape("/components/General/GeneralManagement/LDAPConf/dspLDAP.htmopt")+
				"&h_workmode=local";
	window.open(Accion, window.name);
	return true;	
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnNewLDAPServer()
{
	frm = document.frmEdit;
	Accion	=	"/components/General/GeneralManagement/ServerAdmin/dspServerAdmin.htmopt?"+gSessionData+
				"&h_title="+escape("LDAP")+
				"&h_path="+escape("LDAP")+
				"&h_intfname=LDAP"+
				"&h_sufix=LDAPServer"+
				"&h_server="+
				"&h_hides=numthreads|lstngnetwork|lstngport"+
				"&h_updatemode=select"+
				"&h_refresh="+escape("/components/General/GeneralManagement/LDAPConf/dspLDAP.htmopt")+
				"&h_workmode=local";
	window.open(Accion, window.name);
	return true;	
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnDelLDAPServerSucces(response) {
	var res = response.split(";");
	if( res[0]=="ok"    )	{ 
		Accion = "/components/General/GeneralManagement/LDAPConf/dspLDAP.htmopt";
		window.open(Accion + "?" + gSessionData, window.name);
	}
	else if( res[0]=="error" )	{ alert("ERROR:"+res[1]); }
	else {	prAlertWindow("Unknown Response",res[0]);	}
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnDelLDAPServer()
{
	var frm = document.forms.ldap;

	if( frm.h_serverlist.value=="" ) {
		alert(M_SELANOPTION);
		return false;
	}

	var pServer = frm.h_serverlist.value;

	var Action	="/components/General/GeneralManagement/ServerAdmin/srvServerListDeleteAjax.htmopt?"+gSessionData+
				"&h_intfname=LDAP"+
				"&h_sufix=LDAPServer"+
				"&h_module="+escape(pServer);
	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		'url':Action
		,'timeout' :10000
		,'onTimeout'	:function(req) { alert('Request Timed Out!');  }
		,'onLoading'	:function()    {  }
		,'onSuccess'	:function(req) { prOnDelLDAPServerSucces(req.responseText) }
	  }
	);
	return true;
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prBack() {
	Accion = "/components/General/GeneralManagement/ExtConnections/dspExtConnections.htmopt";
	window.open(Accion + "?" + gSessionData, window.name);
}
