//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function CServiceProfile() {
// Properties
	this.service = "";
	this.profile = "";
	this.RadiusID = "";
	this.IID = "";
	this.ProviderCode = "";
	this.OwnProfile = "";
	this.File = new Object();
	this.File.Default = "";
	this.File.Rules = "";
	this.File.Template = "";
	this.File.Template_Manager = "";
	this.File.Template_Quarantine = "";
// Functions
	this.loadFromResponse = function(response) 
	{
		var resp = response.split("|");
		this.service = resp[1];
		this.profile = resp[2];
		this.RadiusID = resp[3];
		this.IID = resp[4];
		this.ProviderCode = resp[5];
		this.OwnProfile = resp[6];
		// Files
		this.File.Default = resp[7];
		this.File.Rules = resp[8];
		this.File.Template = resp[9];
		this.File.Template_Manager = resp[10];
		this.File.Template_Quarantine = resp[11];
	}//loadResponse
	this.loadFromForm = function(frm)
	{
		this.service 		= 	frm.h_service.value;
		this.profile 		= 	frm.h_profile.value;
		this.RadiusID 		= 	frm.h_radiusid.value.toUpperCase();
		this.IID 			= 	frm.h_iid.value.toUpperCase();
		this.ProviderCode 	= 	frm.h_providercode.value.toUpperCase();
		this.OwnProfile 	= 	(frm.h_ownprofile.checked)?"True":"False";
		this.File.Default	= 	frm.h_file_default.value;
		this.File.Rules		=	frm.h_file_rules.value;
		this.File.Template	=	frm.h_file_template.value;
		this.File.Template_Manager		=	frm.h_file_template_manager.value;
		this.File.Template_Quarantine	=	frm.h_file_template_quarantine.value;
	}//loadFromForm
	this.saveToForm = function(frm)
	{
		frm.h_service.value= 		this.service;
		frm.h_profile.value= 		this.profile;
		frm.h_radiusid.value= 		this.RadiusID;
		frm.h_iid.value= 			this.IID;
		frm.h_providercode.value= 	this.ProviderCode;
		frm.h_ownprofile.checked= 	(this.OwnProfile=="True");
		frm.h_file_default.value= 	this.File.Default;
		frm.h_file_rules.value= 	this.File.Rules;
		frm.h_file_template.value= 	this.File.Template;
		frm.h_file_template_manager.value= 		this.File.Template_Manager;
		frm.h_file_template_quarantine.value= 	this.File.Template_Quarantine;
	}//saveToForm
	this.getUrlParams = function()
	{
		params = "";
		params +="h_service=" + escape(this.service);
		params +="&h_profile=" + escape(this.profile);
		params +="&h_radiusid=" + escape(this.RadiusID);
		params +="&h_iid=" + escape(this.IID);
		params +="&h_providercode=" + escape(this.ProviderCode);
		params +="&h_ownprofile=" + escape(this.OwnProfile);
		params +="&h_file_default=" + escape(this.File.Default);
		params +="&h_file_rules=" + escape(this.File.Rules);
		params +="&h_file_template=" + escape(this.File.Template);
		params +="&h_file_template_manager=" + escape(this.File.Template_Manager);
		params +="&h_file_template_quarantine=" + escape(this.File.Template_Quarantine);
		return params;
	}//getUrlParams
	this.alertInfo = function()
	{
		alert( 	"service: \t\t\t"+this.service +
				"\nprofile: \t\t\t"+this.profile +
				"\nRadiusID: \t\t"+this.RadiusID +
				"\nIID: \t\t\t"+this.IID +
				"\nProviderCode: \t\t"+this.ProviderCode +
				"\nOwnProfile: \t\t"+this.OwnProfile +
				"\nFile.Default: \t\t"+this.File.Default +
				"\nFile.Rules: \t\t"+this.File.Rules +
				"\nFile.Template: \t\t"+this.File.Template +
				"\nFile.Template_Manager: \t"+this.File.Template_Manager +
				"\nFile.Template_Quarantine: \t"+this.File.Template_Quarantine
			);
	}
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function onOwnProfile(x)
{
	showCtrl('ownprofile', x.checked);


}
