//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
var ghl = new CControlHighlighter2(	"btnDisabled", "btnDisabled" );
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function Finish()
{
	Accion="/components/Quarantine/MsgList/dspMsgList.htmopt?"+gSessionData;
	window.open(Accion,window.name);
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prCheckAll(rootCtrlId, check)
{
	ctrl = document.getElementById( rootCtrlId );
	var elems = ctrl.getElementsByTagName( "input" );
	for(i=0; i<elems.length; i++) {
		if( elems[i].type=="checkbox" && !elems[i].disabled )	{
			elems[i].checked=check;
			if( rootCtrlId=="domainaccounts" ) prSelDomain(elems[i].id)
		}
	}
	//prDisableCtrls("mailaccounts",check);
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function getSelectedAccounts() {
	mails = document.frmEdit.chkMailDomains; // obtain controls array
	items= "";
	for( r=0; r<mails.length; r++) {		
		if( mails[r].checked ) {			
			items += (items!=""?"|":"") + mails[r].id;
		}
	}
	mails = document.frmEdit.chkMailAddresses; // obtain controls array
	for( r=0; r<mails.length; r++) {		
		if( mails[r].checked ) {			
			items += (items!=""?"|":"") + mails[r].id;
		}
	}

	return items;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function AddBlackList()
{
	items = getSelectedAccounts();
	//alert("Selected Accounts: "+items); //return;
	if( items=="" ) Finish();
	action = "srvDelete.htmopt"+
			"?"+gSessionData+
			"&h_senders="+escape(items);
	window.open(action,window.name);
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function GetErrorDesc(code)
{
	switch (code)
	{
		case 1: return TR_QUARANTINE_ERROR_FUNCTION_NOT_FOUND;
		case 2: return TR_QUARANTINE_ERROR_PARAMETER_ERROR;
		case 3: return TR_QUARANTINE_ERROR_ACCESS_DENIED;
		case 4: return TR_QUARANTINE_ERROR_DISC_ERROR;
		case 5: return TR_QUARANTINE_ERROR_NETWORK_ERROR;
		case 6: return TR_QUARANTINE_ERROR_SMTP_UNAVAILABLE;
		default:return TR_QUARANTINE_ERROR_UNKNOWN + "\n(Code: " + code + ")";
	}
}		
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prHideControl(ctrl)
{
	var domain = ctrl.id;
	showCtrl("lbl"+domain,true);
	showCtrl(domain,false);
	ctrl.checked = false;
	ctrl.disabled = true;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prCheckMailList(mails)
{	
	items = 1;
	for( r=0; r<mails.length; r++)
	{
		for( l=0; l<gBlackLst.length; l++)
		{
			var domain = mails[r].id;
			var wlistelem = gBlackLst[l].toLowerCase();
			domain = domain.toLowerCase();
			
			// Is a domain
			if( wlistelem.indexOf('@')<0 && domain.indexOf('@')>0 ) {
				dm = domain.split("@");
				if( dm[1]==wlistelem ) {
					prHideControl( mails[r] );
					items++;
				}
			}
			
			// Is an address
			if ( wlistelem==domain ) {
				prHideControl( mails[r] );
			    items++;
			}
		}
	}
	return items;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnLoad()
{
	frm = document.frmEdit;
	// Check if an error is reported
	var errTxt = "";
	for(var i = 0; i < gResults.length; ++i) {
		var code = parseInt( gResults[i],10 );
		if( code!=0 ) errTxt+= GetErrorDesc(code)+"\n";
	}
	if ( errTxt!="" )	alert(errTxt);
	
	// Check which domains are already in the list
	chkAllDomains = document.getElementById("chkAllDomains");
	if( chkAllDomains ) {
		// 
		mails = frm.chkMailDomains;
		items = prCheckMailList( mails );
		if( items==mails.length ) {
			prHideControl( chkAllDomains );
			frm.chkAllAddresses.disabled = true;
			frm.chkAllAddresses.checked  = false;
			prDisableCtrls('mailaccounts',true);
		}		
		// Disable all mail addresses contained in a domain
		mails = frm.chkMailDomains;
		for( r=0; r<mails.length; r++) {		
			if( mails[r].disabled )
				prSelDomain(mails[r].id);
		}
	}
	
	// Check which addresses are already in the list
	mails  = frm.chkMailAddresses;
	items = prCheckMailList( mails );
	//alert("items "+items+" mails.length "+mails.length);
	if( items==mails.length ) {
		prHideControl( frm.chkAllAddresses );
		prCheckAll('mailaccounts',true);
	}
	
	//  Disable action control
	if( (!chkAllDomains || chkAllDomains.disabled) && frm.chkAllAddresses.disabled ) 
	  ghl.mpSetDisabled( frm.btnAdd );
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prSelDomain(strDomain)
{
	strDomain = strDomain.toLowerCase();
	ctrl =  document.getElementById(strDomain);
	mails = document.frmEdit.chkMailDomains; // obtain controls array
	//if( ctrl.disabled ) 
	//  return;
	mails = document.frmEdit.chkMailAddresses;
	for( r=0; r<mails.length; r++) 
	{
	    var mailaddress = mails[r].id;
		mailaddress = mailaddress.toLowerCase();
	    //alert( mailaddress+".indexOf( "+strDomain+" )=="+mailaddress.indexOf(strDomain) );
		mailDomain = mailaddress.split("@");
	    if( mailDomain[1]==strDomain>0 ) 
	    {
			mails[r].checked  = false;
			mails[r].disabled = ( ctrl.checked || ctrl.disabled );
	    }
	}
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
