
//----------------------------------------------------------------------------------------------------------------------------------------------------------

function SetEmail(field, value)
{
	var pos = value.indexOf('@');
	if (pos >= 0)
	{
		document.forms.find[field + "Domain"].value = value.substr(pos + 1);
		value = value.substr(0, pos);
	}
	document.forms.find[field + "User"].value = value;
}

//----------------------------------------------------------------------------------------------------------------------------------------------------------

function fnLoad()
{
	var dateFin, dateIni;

	if (paramsURL.datemax)
		dateFin = new Date (parseInt(paramsURL.datemax) * 1000);
	else
		dateFin = new Date ();

	if (paramsURL.datemin)
		dateIni = new Date (parseInt(paramsURL.datemin) * 1000);
	else
		dateIni = new Date ();

	document.forms.find.BeginDate.value = (((dateIni.getDate() - 1) < 10)? "0" : "") + (dateIni.getDate() - 1) + 
		"/" + (dateIni.getMonth() < 10? "0" : "") + dateIni.getMonth () + 
		"/" + (dateIni.getFullYear() < 10? "0" : "") + dateIni.getFullYear ();
	document.forms.find.IniHour.selectedIndex = dateIni.getHours ();

	document.forms.find.EndDate.value = (((dateFin.getDate() - 1) < 10)? "0" : "") + (dateFin.getDate() - 1) + 
		"/" + (dateFin.getMonth() < 10? "0" : "") + dateFin.getMonth () + 
		"/" + (dateFin.getFullYear() < 10? "0" : "") + dateFin.getFullYear ();
	document.forms.find.FinHour.selectedIndex = dateFin.getHours();

	if (paramsURL.sender)
		SetEmail("Sender", paramsURL.sender);
	if (paramsURL.receipt)
		SetEmail("Receipt", paramsURL.receipt);
	if (paramsURL.subject)
		document.forms.find.Subject.value = paramsURL.subject;
	if (paramsURL.orderby)
	{
		var sel = document.forms.find.OrderBy;
		for (var i = 0; i < sel.length; ++i)
			if (sel[i].value == paramsURL.orderby)
			{
				sel.selectedIndex = i;
				break;
			}
	}
	if (paramsURL.inverse)
		document.forms.find.Inverse.checked = parseInt(paramsURL.inverse);
	if (paramsURL.pagestart)
		document.forms.find.PageStart.value = paramsURL.pagestart;
	if (paramsURL.pagelen)
		document.forms.find.PageLen.value = paramsURL.pagelen;
}

//----------------------------------------------------------------------------------------------------------------------------------------------------------

function fnAccept()
{
	var Action;
	var iniDateArr = document.forms.find.BeginDate.value.split ("/");
	var endDateArr = document.forms.find.EndDate.value.split   ("/");

	Action = "/components/Quarantine/MsgList/dspMsgList.htmopt?" + gSessData + '&h_currsrvc=' + h_currsrvc;
	firstParameter = true;

	dateIni = new Date();
	dateMin = -1;
	if (iniDateArr [2] >= 1970)
	{
		dateIni.setMonth (iniDateArr [1]);
		dateIni.setDate (iniDateArr [0]);
		dateIni.setFullYear (iniDateArr [2]);
		dateIni.setHours (document.forms.find.IniHour.selectedIndex);
		dateIni.setMinutes (0);
		dateIni.setSeconds (0);
		dateIni.setMilliseconds (0);

		dateMin = dateIni.getTime () / 1000;
	}
	if (dateMin > 0)
		Action += "&dateMin=" + dateMin;
	
	dateFin = new Date();
	dateMax =-1;
	if (endDateArr [2] >= 1970)
	{
		dateFin.setMonth (endDateArr [1]);
		dateFin.setDate (endDateArr [0]);
		dateFin.setFullYear (endDateArr [2]);
		dateFin.setHours (document.forms.find.FinHour.selectedIndex);
		dateFin.setMinutes (0);
		dateFin.setSeconds (0);
		dateFin.setMilliseconds (0);

		dateMax = dateFin.getTime () / 1000;
	}
	if (dateMax > 0)
		Action += "&dateMax=" + dateMax;

	if (dateMin > dateMax)
	{
		alert(TR_QUARANTINE_INVALID_DATE);
		return;
	}

	if (document.forms.find.SenderUser.value != "" && fnIsEmailAddress (document.forms.find.SenderUser.value) == false)
	{
		alert (TR_QUARANTINE_INVALID_SENDER);
		return ;
	}
	else	
		Action += "&sender=" + escape (document.forms.find.SenderUser.value);

	/*	Aparentemente, ya no existe Receipt
	if ((IsAdmin) && (document.forms.find.ReceiptUser.value != "") && (document.forms.find.ReceiptDomain.value != ""))
		Action += "&receipt=" + escape(document.forms.find.ReceiptUser.value + "@" + document.forms.find.ReceiptDomain.value);
	*/

	if (document.forms.find.Subject.value != "")
		Action += "&subject=" + escape(document.forms.find.Subject.value);

	xIni = document.forms.find.OrderBy.selectedIndex;
	Action += "&orderBy=" + document.forms.find.OrderBy[xIni].value;
	
	if (document.forms.find.Inverse.checked)
		Action += "&Inverse=1";
	else
		Action += "&Inverse=0";

	if (document.forms.find.PageStart.value != "")
	{
		if ((document.forms.find.PageStart.value < 0) || (document.forms.find.PageStart.value > 1000))
		{
			alert(TR_QUARANTINE_INVALID_INDEXF);
			return;
		}
		Action = Action + "&pageStart=" + document.forms.find.PageStart.value;
	}

	if (document.forms.find.PageLen.value != "")
	{
		if ((document.forms.find.PageLen.value < 1) || (document.forms.find.PageLen.value > 200))
		{
			alert(TR_QUARANTINE_INVALID_INDEXP);
			return;
		}
		Action = Action + "&pageLen=" + document.forms.find.PageLen.value;
	}
	window.open (Action, window.name);
} 

//----------------------------------------------------------------------------------------------------------------------------------------------------------

function prCancel() 
{
	var Action;

	Action = "/components/Quarantine/MsgList/dspMsgList.htmopt?" + gSessData + '&h_currsrvc=' + h_currsrvc;

	window.open (Action, window.name);
}
