var gHlMedium 		= new CControlHighlighter2( "frmDisabled", "frmError" );
var gQueryInfo 		= new CSectionControler();
var gQueryDisplay 	= new CSectionControler();
var gNavBtnLeft		= new CSectionControler();
var gNavBtnRight	= new CSectionControler();
var gNavBtnBwd		= new CSectionControler();
var gNavBtnFwd		= new CSectionControler();

var INICIO=	"Inicio";
var FIN=	"Fin";
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function CReportOffsets()
{
	this.iniLine	= "-1"; 	// Lnea inicial
	this.iniFile 	= "";		// Nombre del archivo donde se encuentra la lnea inicial
	this.endLine	= "-1"; 	// Lnea final
	this.endFile	= "";		// Nombre del archivo donde se encuentra la lnea final
	
	this.copyFromResult = function( pRes ) {
		this.iniLine	= pRes[2];
		this.iniFile	= pRes[3];
		this.endLine	= pRes[4];
		this.endFile	= pRes[5];
	}
	
	this.copy = function( cobj ) {
		this.iniLine	= cobj.iniLine;
		this.iniFile	= cobj.iniFile;
		this.endLine	= cobj.endLine;
		this.endFile	= cobj.endFile;
	}
	
	this.equals = function( cobj ) {
		if(	this.iniLine == cobj.iniLine &&
			this.iniFile == cobj.iniFile &&
			this.endLine == cobj.endLine &&
			this.endFile == cobj.endFile )	return true;
		return false;
	}
	
	this.alert = function() {
		alert(
			"iniLine:"+this.iniLine+
			"\niniFile:"+this.iniFile+
			"\nendLine:"+this.endLine+
			"\nendFile:"+this.endFile
		);
	}
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function CSelQuery()
{	
	this.mode 			= "";
	this.date_initial 	= "";
	this.date_end 		= "";
	this.hour_initial 	= "0";
	this.hour_end 		= "0";
	this.num_results	= "0";

	this.prLoadQueryInfo = function()	
	{
		qry = gQuery.split(";");
		for( i=0; i<gQuery.length; i++ ) {
			itms = qry[i].split("::=");
			if( itms[0]=="mode" 			) this.mode = itms[1];
			if( itms[0]=="number_results" 	) this.num_results = itms[1];
			if( itms[0]=="date_initial" 	) this.date_initial = itms[1];
			if( itms[0]=="date_end" 		) this.date_end = itms[1];
			if( itms[0]=="hour_initial" 	) this.hour_initial = itms[1];
			if( itms[0]=="hour_end" 		) this.hour_end = itms[1];
		}
	}
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
var 	gTimeIni=	0;
var	gMoveTo=	INICIO;
var	gSelQuery= 	new CSelQuery();
var	gEmptyOffset=	new CReportOffsets();
var	gCurrOffset=	new CReportOffsets();
var	gNextOffset=	new CReportOffsets();
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnLoad()
{
	// Set Exclusive Section
	gQueryInfo.add("idQueryInfo");
	gQueryInfo.add("idError");
	gQueryInfo.add("idLoading");
	// Set Exclusive Section
	gQueryDisplay.add("idLoadingDisplay");
	gQueryDisplay.add("idFrameDisplay");
	// Navigation Buttons
	gNavBtnLeft.add("idleft");
	gNavBtnLeft.add("idleft_dis");
	
	gNavBtnRight.add("idright");
	gNavBtnRight.add("idright_dis");
	
	gNavBtnBwd.add("idbwd");
	gNavBtnBwd.add("idbwd_dis");
	
	gNavBtnFwd.add("idfwd");
	gNavBtnFwd.add("idfwd_dis");
	// Start Task
	gNavBtnFwd.set("idfwd_dis");
	gNavBtnRight.set("idright_dis");
	gNavBtnLeft.set("idleft_dis");
	gNavBtnBwd.set("idbwd_dis");
	prOnStartReport();
	gSelQuery.prLoadQueryInfo();
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnStartReport()
{
	prClearInfoWindow();
	gQueryInfo.setText(M_STARTINGPROC+"... ");	
	//gQueryDisplay.set("idLoadingDisplay");
	// --- store initial time
	d = new Date();
	gTimeIni = d.getTime();
	// ---
	Accion = "srvDisplayLog.htmopt?"+gSessionData+
			 "&h_callback="+escape("prOnOK")+
			 "&h_moveto="+ INICIO +
			 "&h_offsetini=-1"+
			 "&h_fileini="+ 
			 "&h_offsetend=-1" + 
			 "&h_filefin="+
			 "&h_choice="+ escape( gQuery )+
			 "&h_repuser="+ escape(gRepUser);			 
	window.open(Accion,"frameDisplay");
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prReload(pMoveTo,pOffset)
{
	prClearInfoWindow();
	gQueryInfo.setText(M_STARTINGPROC+"... ");	
	gQueryDisplay.set("idLoadingDisplay");
	// Guardamos los offsets antiguos, en caso que necesitemos recargar la pgina
	gMoveTo = pMoveTo;
	gCurrOffset.copy( pOffset );
	/*DEBUG
	alert( "MoveTo: "+pMoveTo+"\n"	);
	pOffset.alert();
	*/
	// --- store initial time
	d = new Date();
	gTimeIni = d.getTime();
	// ---
	Accion = "srvDisplayLog.htmopt?"+gSessionData+
			 "&h_callback="+escape("prOnOK")+
			 "&h_moveto="+pMoveTo + 
			 "&h_offsetini="+pOffset.iniLine + 
			 "&h_fileini="+pOffset.iniFile + 
			 "&h_offsetend="+pOffset.endLine + 
			 "&h_filefin="+pOffset.endFile + 
			 "&h_choice="+escape( gQuery )+
			 "&h_repuser="+escape(gRepUser);
	window.open(Accion,"frameDisplay");
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prClearInfoWindow()
{
	gQueryInfo.set("idLoading");
	gQueryDisplay.set("idFrameDisplay");
	clearList( document.getElementById("idLoading") );
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function getStatusDesc(sts)
{
	if( sts=="0") return M_EM_LOGSTART;
	if( sts=="1") return M_EM_LOGFWD;
	if( sts=="2") return M_EM_LOGBCKWD;
	if( sts=="3") return M_EM_LOGEOF;
	return M_UNKNOWNERR+' code: '+sts;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnOK(txt)
{	
	gQueryDisplay.set("idFrameDisplay");	
	txt = txt.split("|");
	if( txt[0]=='ok' ) {
		gQueryInfo.set("idQueryInfo");
		var status	= txt[1];
		newOffset = new CReportOffsets();
		newOffset.copyFromResult(txt);
		// Si cambiaron los offsets
		if( !gNextOffset.equals(newOffset) ) {
			gNextOffset.copy(newOffset);// Actualizamos los offsets
		}
		/* DEBUG
		alert(
				"status: "+status+"\n"+
				"MoveTo: "+gMoveTo+"\n"+
				"Offset Ini: "+gCurrOffset.iniLine+"\n"+
				"Offset End: "+gCurrOffset.endLine
		);
		gNextOffset.alert();
		*/
		prQueryInfo(status);
		// actualizamos la posicin a la que movemos el archivo
		// 0: Estamos en el inicio ( Slo podemos movernos hacia adelante )
		// 1: Nos estamos moviendo al inicio
		// 2: Nos estamos moviendo al final
		// 3: Estamos en el Final (Slo podemos movernos hacia atrs)
		if( status=="0" ) {	gNavBtnLeft.set("idleft_dis");	gNavBtnBwd.set("idbwd_dis");	} 
		else {	gNavBtnLeft.set("idleft");	gNavBtnBwd.set("idbwd");	}
		if( status=="3" ) {	gNavBtnRight.set("idright_dis");	gNavBtnFwd.set("idfwd_dis");	}
		else {	gNavBtnRight.set("idright");	gNavBtnFwd.set("idfwd");	}
	}
	if( txt[0]=='error' ) {
		gQueryInfo.set("idError");
		gQueryInfo.setText(txt[1]);
	}
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prQueryInfo(status)
{	
	gQueryInfo.set("idQueryInfo");
	dtNow = new Date();
	dtDiff = ( dtNow.getTime() - gTimeIni )/1000; // seconds
	if( dtDiff>60 ) {
		dtDiff = dtDiff / 60; // minutes
		timeunits = " mins";
	} else {
		timeunits = " segs";
	}
	/*
	gNextOffset.alert();
	gSelQuery.date_initial
	gSelQuery.date_end
	gSelQuery.hour_initial
	gSelQuery.hour_end
	*/
	prSetElementText("reportmode",gSelQuery.mode);
	prSetElementText("reportdate",dtNow.toString());
	prSetElementText("cursorstatus",getStatusDesc(status));
	prSetElementText("recordsperpage",gSelQuery.num_results);
	prSetElementText("fileini",gNextOffset.iniFile);
	prSetElementText("offsetini",gNextOffset.iniLine);
	prSetElementText("executiontime",dtDiff+timeunits);
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
