var gHlMedium 		= new CControlHighlighter2( "frmDisabled", "frmError" );
var gQueryTimeout 	= new CTimeOut();
var gQueryInfo 		= new CSectionControler();
var gQueryDisplay 	= new CSectionControler();
var gPDFExport		= false;
var gParam		= "";

var gImgStop		= new Image(); gImgStop.src=  	"/images/Distribution/OPT/incorrecto01.gif";
var gImgStopDis		= new Image(); gImgStopDis.src= "/images/Distribution/OPT/incorrecto02.gif";
var gImgInfo		= new Image(); gImgInfo.src=  	"/images/info.gif";
var gImgAlert		= new Image(); gImgAlert.src= 	"/images/alert.gif";

var gSecTimeOut  = 10; //Time to wait reporter response
var gSecTimeBetweenRequests = 5; //Time between requests
var gMaxTryCount = 5;	// Max number of failures
var gnTryCount   = 0;	// tries counter 
//----------------------------------------------------------------------------------------------------------------
function setImage(imgId,imgCtrl)
{
	var ctrl = document.getElementById(imgId);
	if( ctrl ) ctrl.src = imgCtrl.src;
}
//----------------------------------------------------------------------------------------------------------------
function prOnLoad()
{
	ctrl = document.getElementById("idLoadingDisplay");
	//Set user values to Requests timer
	if(parseInt(gUsrSecTimeOut,10) > 0) gSecTimeOut  = gUsrSecTimeOut; 				//Tiempo que espera la respuesta del reporter
	if(parseInt(gUsrSecTimeBetweenRequests,10) > 0 ) gSecTimeBetweenRequests = gUsrSecTimeBetweenRequests; //tiempo de espera entre peticiones
	if(parseInt(gUsrMaxTryCount,10) >0 ) gMaxTryCount = gUsrMaxTryCount;				// Numero m�imo de intentos fallidos antes de mostrar mensaje
	
	// Set Exclusive Section
	gQueryInfo.addImgId("imgInfo");
	gQueryInfo.add("idQueryInfo");
	gQueryInfo.add("idError");
	gQueryInfo.add("idLoading");
	prSetElementText("lblLoadingInfo"," ");
	// Set Exclusive Section
	gQueryDisplay.add("idLoadingDisplay");
	gQueryDisplay.add("idFrameDisplay");
	gQueryDisplay.add("idEmptyDisplay");
	// Start Task
	prOnStartReport();
}
//----------------------------------------------------------------------------------------------------------------
function prOnStartReport()
{
	gnTryCount=0;
	prClearInfoWindow();
	gQueryInfo.setText(M_STARTINGPROC+"... "); prSetElementText("lblLoadingInfo",M_STARTINGPROC+"... ");
	if( gRepMode=="task" )			prReportTask("start",true);
	else if( gRepMode=="programmed" ) 	prReportTask("programmed",false);
	else /*( gRepMode=="report" ) */	prReportTask("getreport",false);
}
//----------------------------------------------------------------------------------------------------------------
function prOnAjaxSuccess(response)
{
	setImage("imgStop",gImgStopDis);
	// alert( response );
	gQueryTimeout.finishTimeOut();
	frm = document.frmEdit;
	var resp=response.split("|");
	var opResult=resp[0];
	// Process response
	if( opResult=="ok" )		prOnOK(response);
	else if( opResult=="error" ) 	prOnError(response);
	else {/* UNKNOWN RESPONSE */	
		prAlertWindow(M_UNKNOWN_RESPONSE,response);
		gQueryInfo.set("idError",gImgAlert);		
		gQueryInfo.setText(M_UNKNOWN_RESPONSE+": "+response);
		gHlMedium.mpSetIdError("idInfoSection");
		gQueryDisplay.set("idEmptyDisplay");
	}
}
//----------------------------------------------------------------------------------------------------------------
function prOnOK(response)
{
	var res = response.split("|");
	var opResult = res[0];
	var opStatus = res[1];
	var lnsproc	 = res[2];
	var filename = res[3];
	gnTryCount=0; //resetea el numero de intentos fallidos
//	alert(opStatus);
	if( opStatus=="reportstopped" ) {
		prClearInfoWindow();
		gQueryInfo.setText(M_REPSTOPPED);
		alert(M_REPSTOPPED);
	}
	if( opStatus=="READY" || opStatus=="RUNNING" ) {
		
		gQueryInfo.set("idLoading",gImgInfo);  gHlMedium.mpSetIdNormal("idInfoSection");
		gQueryInfo.setText(M_LOADING+"... "+lnsproc+" "+M_LINESCOMPLETED);
		prSetElementText("lblLoadingInfo",lnsproc+" "+M_LINESCOMPLETED);
		gQueryDisplay.set("idLoadingDisplay");
		prReportTask("query",true);
	}
	if( opStatus=="FINISHED" ) {
		gQueryDisplay.set("idFrameDisplay");
		gQueryInfo.setText(M_REPFINISHED);
		prSetElementText("lblLoadingInfo",M_REPFINISHED);
		prReportTask("getdata",true);
	}
	if( opStatus=="displayreport" && gPDFExport==false ) {
		gQueryDisplay.set("idLoadingDisplay");
		//alert(filename);
		Accion = "srvDisplayRep.htmopt?"+gSessionData+
				"&h_filename="+ filename+
				"&h_linesprocessed="+escape(lnsproc)+
				"&h_callback="+escape("prQueryInfo")+
				"&h_choice="+ escape( gQuery );		
		window.open(Accion,"frameDisplay");
	}
	if( opStatus=="displayreport" && gPDFExport==true ) {
		gPDFExport = false;
		gQueryInfo.set("idQueryInfo",gImgInfo);  gHlMedium.mpSetIdNormal("idInfoSection");
		gQueryInfo.setText(M_EXPORTPDF);
		gQueryDisplay.set("idFrameDisplay");
		
		Accion = "srvDisplayPDFRep.htmopt?"+gSessionData+
				"&h_filename="+ escape(filename)+
				"&h_linesprocessed="+escape(lnsproc)+
				"&h_query="+ escape( gQuery );
		window.open(Accion,"frameDisplayPDF");
	}
}
//----------------------------------------------------------------------------------------------------------------
function prOnError(response)
{ 
	var res = response.split("|");
	var opResult = res[0];
	var errCode  = res[1];
	var cmdInfo	 = res[2];
	
	gQueryInfo.set("idError",gImgAlert); gHlMedium.mpSetIdError("idInfoSection");
	gQueryInfo.setText( getErrorText(errCode,cmdInfo) );
	gQueryDisplay.set("idEmptyDisplay");
}
//----------------------------------------------------------------------------------------------------------------
function prOnTimeOut(mode) 
{
	gnTryCount++; //aumenta el numero de intentos fallidos
	if(gnTryCount>gMaxTryCount) {
		if( confirm(M_REQTIMEDOUT+"\n "+M_RELAUNCHTASK) ) {
			gnTryCount=0;
			prReportTask(mode,true);
		}
		else {
			gQueryDisplay.set("idEmptyDisplay");
			gQueryInfo.set("idError",gImgAlert); gHlMedium.mpSetIdError("idInfoSection");
			setImage("imgStop",gImgStopDis);
			gQueryInfo.setText(M_REQTIMEDOUT);
			prSetElementText("lblLoadingInfo",M_REQTIMEDOUT);
		}
	} else
		prReportTask(mode,true);//relanza la peticion al terminar el timeout
}
//----------------------------------------------------------------------------------------------------------------
function prOnStopReport()
{
	// stop report
	if( gQueryTimeout.hasStarted() ) {
		prReportTask("stop",true);
	}
	//else alert(M_NOQUERYRUNNING);
}
//----------------------------------------------------------------------------------------------------------------
function prOnPDF()
{
	// Si el modo de presentaci� de los datos es en gr�ica, mostramos una advertencia
	// para decir que al exportar a PDF, se har�como tabla
	if( gQuery.indexOf("graph::=yes")>=0 )
	if( !confirm(M_PDFEXPORTWARNING) ) return;
	gQueryInfo.set("idLoading",gImgInfo);  gHlMedium.mpSetIdNormal("idInfoSection");
	gQueryInfo.setText(M_EXPORTPDF);
	gPDFExport = true;
	prOnStartReport();
}
//----------------------------------------------------------------------------------------------------------------
function prClearInfoWindow()
{
	gQueryInfo.set("idQueryInfo",gImgInfo);  
	gHlMedium.mpSetIdNormal("idInfoSection");
	gQueryDisplay.set("idEmptyDisplay");
	clearList( document.getElementById("idQueryInfo") );
}
//----------------------------------------------------------------------------------------------------------------
function getErrorText(errCode,cmdInfo)
{
	// Generic Call Errors
	if( errCode=='ERR_SOAP' ) 	return M_COMUNICATIONERR+" : "+cmdInfo;
	if( errCode=='EC=1' 	) 	return M_REP_SOAPERR01+' "'+cmdInfo+'"';
	if( errCode=='EC=2' 	) 	return M_REP_SOAPERR02+' "'+cmdInfo+'"';
	if( errCode=='EC=3' 	) 	return M_REP_SOAPERR03+' "'+cmdInfo+'"';
	if( errCode=='EC=4'	)	return M_REP_SOAPERR04+' "'+cmdInfo+'"';
	if( errCode=='EC=5' 	) 	return M_REP_SOAPERR05+' "'+cmdInfo+'"';
	if( errCode=='EC=6' 	) 	return M_REP_SOAPERR06+' "'+cmdInfo+'"';
	if( errCode=='EC=7' 	) 	return M_REP_SOAPERR07+' "'+cmdInfo+'"';

	if( cmdInfo=='start' || cmdInfo=='query' ) {	
		if( errCode=='ERR::=1')	return M_REPTASKERR01;
		if( errCode=='ERR::=2')	return M_REPTASKERR02;
		if( errCode=='ERR::=3')	return M_REPTASKERR03;
		if( errCode=='ERR::=4')	return M_REPTASKERR04;
		if( errCode=='ERR::=5')	return M_REPTASKERR05;
	}
	else if( cmdInfo=='stop' ) {	
		if( errCode=='ERR::=1')	return M_REPSTOPERR01;
		if( errCode=='ERR::=2')	return M_REPSTOPERR02;
	}
	else if( cmdInfo=='programmed' ) {	
		if( errCode=='ERR::=1')	return M_REPPRGERR01;
		if( errCode=='ERR::=2')	return M_REPPRGERR02;
		if( errCode=='ERR::=3')	return M_REPPRGERR03;
	}
	return M_UNKNOWNERR+' code: '+errCode;
}
//----------------------------------------------------------------------------------------------------------------
function prReportTask(mode,timeout)
{
	setImage("imgStop",gImgStop);
	var Action=	"srvReportTask.htmopt?"+gSessionData+
			"&h_repname="+escape(gRepName)+
			"&h_instance="+escape(gRepInst)+
			"&h_status="+escape(mode)+
			"&h_param="+escape(gParam)+
			"&h_query="+escape(gQuery);

//	alert('srvReportTask.htmopt'+mode);
	// Ajax HTTP Request
//	alert(Action);
//	if (mode == 'getdata') 
//	window.open(Action, mode+timeout);
	if( timeout ) {
		lSecTimeout=0;
	}
	AjaxRequest.get(
	{
		'url':Action,
		'timeout' 	:lSecTimeout*1000 , //timeout
		'onTimeout'	:function(req) { prOnTimeOut(mode); /*alert(M_REQTIMEDOUT);*/ },
		'onLoading'	:function()    { gQueryDisplay.set("idLoadingDisplay");	},
		'onSuccess'	:function(req)  { 

			if(lSecTimeout>0){
						//alert('Iniciando otra peticion en ' + gSecTimeBetweenRequests + ' segs');
				gQueryTimeout.startTimeOut("prOnAjaxSuccess('"+req.responseText+"');",gSecTimeBetweenRequests * 1000);
			}
			else
				prOnAjaxSuccess(req.responseText); 
		}//onSuccess
	}
	);
	gParam = "";
	return true;
}
//----------------------------------------------------------------------------------------------------------------
function prQueryInfo(mytxt)
{
	prSetElementText("lblLoadingInfo"," ");
	gQueryDisplay.set("idFrameDisplay");
	gQueryInfo.set("idQueryInfo",gImgInfo);  gHlMedium.mpSetIdNormal("idInfoSection");
	txt = mytxt.split("|");
	// Get control
	elem = document.getElementById("idQueryInfo");
	if( !elem ) return;
	// Display data
	clearList( elem );
	tbl = document.createElement("table");
	var rws = 0;
	for( i=0; i<txt.length; i++ ) 
	{
		if( txt[i]!="" ) {
			var rw = tbl.insertRow(rws); rws++;
			var cll = rw.insertCell(0);
			cll.className="Formulario";
			cll.style.border="0px;";
			cll.style.margin="0px;";
			cll.style.padding="0px;";
			cll.appendChild( document.createTextNode(txt[i]) );
		}
	}
	elem.appendChild( tbl );
}
//----------------------------------------------------------------------------------------------------------------
