/*
	Author:	Robbe D. Morris
	Date:		September 29, 2002
	URL:		http://www.robbemorris.com
	--------------------------------------------------------
	Modified by:Jonathan Vitela
	Date: 	June, 2005
	URL: 		http://www.optenet.com
*/

//=======================================================================================================================================
 var BarGraphBarColor = '#330066'; // default color
 var BarGraphBarBorder = '2';
 var BarGraphMaxWidth=400; 

//=======================================================================================================================================
 function getDisplayWidth(nWeight,fMaxVal) {
	return ( (nWeight*BarGraphMaxWidth)/(fMaxVal+1) );
 }
 
//=======================================================================================================================================
// Esconde  muestra un control del documento
// recibe el id del control a esconder y una variable bool que indica si se muestra  se esconde
	function showCtrl( id ) {
		ctrl  = document.getElementById(id);
		shown = ctrl.style.display;
		ctrl.style.display = (shown=="none")? "" : "none";
	}
	
//=======================================================================================================================================

	function getElement(aId)
	{
		return (document.getElementById) ? document.getElementById (aId)
			: document.all[aId];
	}
	
	function BarGraphDrawTable(GraphArrays,BarGraphId)
	{
		var sH='';
		var Idx=0;
		var oBarGraphRow;
		var nWidth=0;
		var nWeight=0;
		// work variables
		var sBarGraphBarBorder='';
		var sBarGraphName='';
		var sBarGraphImgDiv='';
		var sBarGraphWgt='';
	  
		// If not specified use default
		if( !BarGraphId ) BarGraphId='BarGraphTable';
		var oBarGraph = document.getElementById(BarGraphId);
		
		var oBarGraphDIV;
		var fMaxVal = 0.0;
		
		/* try */
		{
			if (GraphArrays.length<1) { return false; }
			// Table Declaration
			sH += '<table border=0 cellpadding=0 cellspacing=2 >'; //width=400px 
			
			for (Idx=0; Idx<GraphArrays.length; Idx++) {		
				oBarGraphRow = GraphArrays[Idx];
				// get max value
				if( fMaxVal<parseFloat(oBarGraphRow[idxBarGraphDisplayWeight]) ) {
					fMaxVal = parseFloat(oBarGraphRow[idxBarGraphDisplayWeight]);
				}
				sBarGraphName = 'id=div_'+BarGraphId+Idx+'';
				sBarGraphWgt  = 'id=txt_'+BarGraphId+Idx + ' name=txt_'+BarGraphId+Idx+'';
				
				sH += '<tr>';	
				// Nombre de la barra
				var strName;
				if( oBarGraphRow[idxBarGraphAdditional] )
					strName = '<a href="javascript:showCtrl(\'tr_'+BarGraphId+Idx+'\')">' +
					//strName = '<a href="javascript:showCtrl(\'Test001\')">' +
					oBarGraphRow[idxBarGraphDisplayName] + '</a>';
				else
					strName = oBarGraphRow[idxBarGraphDisplayName];
				strName = strName.replace(/\\/g, "\\ ");
				strName = strName.replace(/\//g, "/ ");
				sH += '<td align=left valign=middle><small>' + strName + '</small></td>';
				
				// Barra
				sH += '<td align=left valign=top height=20px nowrap>'; //width=200px 
				
				if( oBarGraphRow[idxBarGraphDisplayColor] ) {
					BarGraphBarColor = oBarGraphRow[idxBarGraphDisplayColor];
					sBarGraphBarBorder='BORDER-RIGHT: ' + BarGraphBarBorder + 'px outset ' + BarGraphBarColor + '; BORDER-LEFT: ' + BarGraphBarBorder + 'px outset ' + BarGraphBarColor + '; BORDER-TOP: ' + BarGraphBarBorder + 'px outset ' + BarGraphBarColor + '; BORDER-BOTTOM: ' + BarGraphBarBorder + 'px outset ' + BarGraphBarColor;
				}
				sH += '<div ' + sBarGraphName + ' style="' + sBarGraphBarBorder + ';position:relative;left:0px;top:0px;height:20pt;width:0;valign:top;BACKGROUND-COLOR:' + BarGraphBarColor + ';"></div>';
				sH += '</td>';
				// Valor
				sH += '<td align=right '+sBarGraphWgt+' width=25px>' + oBarGraphRow[1] + '</td>';
				// Additional data
				sH += '</tr><tr id="tr_'+BarGraphId+Idx+'" style="display:none"><td width=50px>&nbsp;</td><td ' +
				      ' id="sub_'+BarGraphId+Idx+'">&nbsp;</tr>';
				
			}
				
			sH += '<tr><td align=center colspan=100%>&nbsp;</td></tr>'; // footer space
			sH += '</table>';
			
			oBarGraph.innerHTML=sH;
			
			for (Idx=0; Idx<GraphArrays.length; Idx++) {				
				oBarGraphRow = GraphArrays[Idx];
				
				oBarGraphDIV = document.getElementById('div_'+BarGraphId+Idx);					
				nWeight = parseFloat(oBarGraphRow[idxBarGraphDisplayWeight]);	
				nWidth = getDisplayWidth(nWeight,fMaxVal);
				nWidth = BarGraphRoundNumber(nWidth,3);
				oBarGraphDIV.style.width = nWidth+'pt';
				document.getElementById("txt_" +BarGraphId+Idx).innerText = nWeight;
			}
			//BarGraphSaveElements(GraphArrays);
		}
		/* catch (exception) 
		{ 
			if (exception.description == null) { alert("BarGraph Draw Error: " + exception.message); }  
			else {  alert("BarGraph Draw Error: " + exception.description); }
		}*/
	}

//=======================================================================================================================================
	  function BarGraphRoundNumber(number,X)
  {
	  
		var number2;
		var TmpNum;

		 X=(!X ? 1:X);
	
		number2 = Math.round(number*Math.pow(10,X))/Math.pow(10,X);
		TmpNum = "" + number2;
		var TmpArray = TmpNum.split(".");
		if (TmpArray.length <2) { number2 = number2 + ".0"; }
	 
	    return number2;
  }
//======================================================================================================================================= 
