var ghl = new CControlHighlighter2(	"frmDisabled", "frmError" );
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnSuccess(req) {
	response = req.responseText;
	showCtrl("lblStatus",false);
	
	var frm = document.frmEdit;
	var items = response.split("|");
	clearList(frm.selWorkMode);
	for( i=0; i<items.length; i++ ) {
		addToList(items[i],frm.selWorkMode,0);
	}
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnLoad()
{
	var frm = document.frmEdit;
	var module = frm.selLogServer.value;
	
	if( module!="" ) prLoadWorkModes( module );
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prLoadWorkModes( module ) 
{
	var Action=	"srvGetWorkModeLst.htmopt?"+gSessionData+
				"&h_module="+escape(module);
	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		'url':Action,
		'timeout' :10000,
		'onTimeout'	:function(req) { alert(M_REQTIMEDOUT);  },
		'onLoading'	:function()    { showCtrl("lblStatus",true);   },
		'onSuccess'	:function(req) { prOnSuccess(req) }
	  }
	);
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnNewLogServer()
{
	var frm = document.frmEdit;
	var module = frm.selNewModule.value;
	var workmodes = getListValues(frm.selNewWorkMode,"|");
	
	if( module=="" ) {
		alert(M_SELANOPTION);
		frm.selNewModule.focus();
		ghl.mpSetError(frm.selNewModule);
		return;
	}
	if( workmodes=="" ) {
		alert(M_CONF_ALERT02);
		frm.selNewWorkMode.focus();
		ghl.mpSetError(frm.selNewWorkMode);
		return;
	}
	if( valueExistsInList(module,frm.selLogServer) ) {
		for(i=0; i<frm.selLogServer.options.length; i++)
			if( frm.selLogServer.options[i].value == module ){
				module = frm.selLogServer.options[i].text;
				break;
			}
				
		alert(M_VALUEEXISTS+" ( "+module+" )");
		frm.selNewModule.focus();
		ghl.mpSetError(frm.selNewModule);
		return;
	}

	ghl.mpSetNormal(frm.selNewModule);
	ghl.mpSetNormal(frm.selNewWorkMode);	
	
	var Action=	"srvLogServer.htmopt?"+gSessionData+
				"&h_action="+escape("newserver")+
				"&h_module="+escape(module)+
				"&h_workmodes="+escape(workmodes);

	window.open(Action,window.name);
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnDelLogServer()
{
	var frm = document.frmEdit;
	var module = frm.selLogServer.value;
	
	if( module=="" ) {
		alert(M_CONF_ALERT02);
		frm.selLogServer.focus();
		ghl.mpSetError(frm.selLogServer);
		return;
	}
	
	ghl.mpSetNormal(frm.selLogServer);
	
	var Action=	"srvLogServer.htmopt?"+gSessionData+
				"&h_action="+escape("delserver")+
				"&h_module="+escape(module);

	window.open(Action,window.name);
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnDelWorkMode()
{
	var frm = document.frmEdit;
	var module = frm.selLogServer.value;
	var workmodes = frm.selWorkMode.value;
	
	if( module=="" ) {
		alert(M_SELANOPTION);
		frm.selLogServer.focus();
		ghl.mpSetError(frm.selLogServer);
		return;
	}
	if( workmodes=="" ) {
		alert(M_CONF_ALERT02);
		frm.selWorkModeLst.focus();
		ghl.mpSetError(frm.selWorkModeLst);
		return;
	}	
	
	ghl.mpSetNormal(frm.selLogServer);
	ghl.mpSetNormal(frm.selWorkModeLst);	
	
	var Action=	"srvLogServer.htmopt?"+gSessionData+
				"&h_action="+escape("delwkmode")+
				"&h_module="+escape(module)+
				"&h_workmodes="+escape(workmodes);

	window.open(Action,window.name);
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnAddWorkMode()
{
	var frm = document.frmEdit;
	var module = frm.selLogServer.value;
	var workmodes = frm.selWorkModeLst.value;
	
	if( module=="" ) {
		alert(M_SELANOPTION);
		frm.selLogServer.focus();
		ghl.mpSetError(frm.selLogServer);
		return;
	}
	if( workmodes=="" ) {
		alert(M_CONF_ALERT02);
		frm.selWorkModeLst.focus();
		ghl.mpSetError(frm.selWorkModeLst);
		return;
	}	
	ghl.mpSetNormal(frm.selLogServer);
	ghl.mpSetNormal(frm.selWorkModeLst);
	
	var Action=	"srvLogServer.htmopt?"+gSessionData+
				"&h_action="+escape("addwkmode")+
				"&h_module="+escape(module)+
				"&h_workmodes="+escape(workmodes);

	window.open(Action,window.name);
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
