//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function COptionDepends()
{
	this.m_opts = new Array();
	
	this.add = function(opt1,opt2) {
		this.m_opts[ this.m_opts.length ] = { a:opt1, b:opt2 };
	}//add
	
	this.validate = function(opt1,opt2) {
		for( i=0; i<this.m_opts.length; i++ ) {
			/* Debug alert( "opt1= -"+opt1+"-\n"+	"this.m_opts[i].a= -"+this.m_opts[i].a+"-\n"+	"opt2= -"+opt2+"-\n"+  this.m_opts[i].b= -"+this.m_opts[i].b+"-\n" ); */
			if( opt1==this.m_opts[i].a && 
				opt2==this.m_opts[i].b ) {
				return true;
			}
		}
		return false;		
	}//validate
	
	this.getOptionsStr = function() {
		var stropts = "";
		for( i=0; i<this.m_opts.length; i++ ) {
			opt1 = this.m_opts[i].a; if( opt1=="" ) opt1="-";
			opt2 = this.m_opts[i].b; if( opt2=="" ) opt2="-";
			stropts+= opt1+", "+opt2+"\n";
		}
		return stropts;
	}
}

gCrits = new COptionDepends();
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOpenCrit(frm)
{
	rMode = frm.h_repmode.value;
	//"/components/Reporter/SelCriteria/dspSelCriteria.htmopt?" 
	var Action= "/components/common/SelCriteria/dspCriteria.htmopt?"
				+lRedirectUrlData
				+"&h_RepMode="+escape(rMode)
				+"&h_hiddencriteria="+escape(frm.h_hiddencriteria.value)
				+"&";

	var Params=	'menubar=no,toolbar=no,'+
				'width=450,height=350,'+
				'screenX=200,screenY=200,'+
				'scrollbars=1,statusbar=0,'+
				'resizable=1';
	window.open(Action,'Crit',Params);
} // prOpenCrit
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prChangeMode()
{
	frm = document.Reports;
	frm.h_whereview.value = "";
	frm.h_where.value = "";
	frm.action = "dspSelector.htmopt";
	frm.method = "GET";
	frm.submit();
}
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------			
function prOpenRange(pCtrl, pAnchor)
{				
	var cal = new CalendarPopup();
	cal.setMonthNames(	TR_ENERO,      TR_FEBRERO, TR_MARZO,     TR_ABRIL,   
						TR_MAYO,       TR_JUNIO,   TR_JULIO,     TR_AGOSTO,
						TR_SEPTIEMBRE, TR_OCTUBRE, TR_NOVIEMBRE, TR_DICIEMBRE);
	cal.setDayHeaders( TR_DO, TR_LU, TR_MA, TR_MI, TR_JU, TR_VI, TR_SA);
	cal.setTodayText(TR_HOY);
	// cal.showYearNavigation();
	cal.showNavigationDropdowns()
	cal.select(pCtrl,pAnchor,"dd/NNN/yyyy",pCtrl.value); 
} // prOpenRange
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prBody_onLoad()
{
	var frm = document.Reports;
	/* DEBUG
	alert("Mode: "+lMode);
	alert('Hidden Where: '+frm.h_hiddenwhere.value);
	END DEBUG */
	frm.h_repmode.value= 		lMode;
	frm.h_date_initial.value= 	lFechaDesde;
	frm.h_hour_initial.value= 	lHoraIni;
	frm.h_date_end.value= 		lFechaHasta;
	frm.h_hour_end.value= 		lHoraFin;
	frm.h_numresults.value= 	lNumRes;
	frm.h_where.value=			lWhere;
	frm.h_whereview.value=		lWhereView;
	
	/////////
	field = valueExistsInList("UserName",frm.h_group_by)?"UserName":"SourceIP";	
	gCrits.add(field,"");
	gCrits.add(field,"Category");
	gCrits.add(field,"Uri");
	gCrits.add("Category",field);
	gCrits.add("Uri",field);
	gCrits.add("Category","");
	gCrits.add("Uri","");	
}
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnValidQueryCondition()
{
	frm = document.Reports;

	// Valid  General Group By
	var grp01 = frm.h_group_by.value;
	var grp02 = frm.h_group_by2.value;
	if( grp01==grp02 ) {
		alert(M_SAMEGRPBY);
		return false;
	}
	
	// Valid NavigationTime Groping
	if( frm.h_type.value=="NavigationTime" && 
		!gCrits.validate(grp01,grp02) ) {
		alert( M_INVALIDGRPBY+"\n"+M_VALIGRPLST+":\n\n"+gCrits.getOptionsStr() );
		return false;
	}
	//Graphic mode warning
	if( frm.h_graph ) {
		numresults = parseInt( frm.h_numresults.value,10 );
		if( frm.h_graph.value!="no" && numresults>500 ) {		
			return confirm(M_GRAPHICNUMRESERR);;
		}
	}
	
	return true;
}
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnOkClick()
{
	if( !fnValidQueryCondition() ) return false;
	
	frm = document.Reports;
	
	if (frm.h_date_initial.value > frm.h_date_end.value)
	{
		alert (M_SCHE_BADDATE);
		return ;
	}
	
	var qry =	"mode::="+frm.h_repmode.value+";";
	qry +=	"type::="+frm.h_type.value+";";
	// NavigationTime
	if( frm.h_type.value=="NavigationTime" ) {
		qry +=	"navunits::="+frm.h_navigationtime.value+";";
	}
	// Source Path
	if( frm.h_sourcepath.value!="" )  {
		qry+= "sourcepath::="+frm.h_sourcepath.value+";";
		// Path base
		qry+= "pathbase::=";
		qry+= ( frm.h_pathbase.checked )?"true;":"false;";
	}
	// Group By [second parameter is optional]
	qry +=	"group_by::="+frm.h_group_by.value;	
	if( frm.h_group_by2.value!="" ) qry += "&"+frm.h_group_by2.value;	
	qry+= ";"
	
	// Where clause [Optional]
	if( frm.h_where.value!="" ) {
		qry +=	"where::="+frm.h_where.value;
		if( frm.h_hiddenwhere.value!="" ) qry += "&" + frm.h_hiddenwhere.value;
		qry +=	";";
	} else if( frm.h_hiddenwhere.value!="" ) {
		qry +=	"where::="+frm.h_hiddenwhere.value+";";
	}
	
	//Validar rango de fechas 
	if (isValidDateRange (frm.h_date_initial.value, frm.h_date_end.value, gMonthsArr) == false)
	{
		alert (M_SCHE_BADDATE);
		return false;
	}
	
	//
	qry +=	"date_initial::="+frm.h_date_initial.value+";";
	qry +=	"date_end::="+frm.h_date_end.value+";";
	qry +=	"hour_initial::="+parseInt(frm.h_hour_initial.value,10)+";";
	qry +=	"hour_end::="+parseInt(frm.h_hour_end.value,10)+";";
	if( frm.h_graph ) {
		graph = (frm.h_graph.value=="no")?"no":"yes";
		qry +=	"graph::="+graph+";";
		qry +=	"graphstyle::="+frm.h_graph.value+";";
	}
	qry +=	"porcentage::="+frm.h_porcentage.value+";";
	qry +=	"number_results::="+frm.h_numresults.value+";";
	qry +=	"order::="+(frm.h_order.checked?"yes;":"no;");		
	// Remplazamos los _AND_ que devuelve la ventana de dspCriteria por "&"
	qry = qry.replace(/_AND_/g, "&");
	
	// Execute callback
	fnCallBack = null;
	if(	window.parent ) fnCallBack= window.parent.onQuerySelector;
	if(	window.opener ) fnCallBack= window.opener.onQuerySelector;
	if(  fnCallBack   )	fnCallBack(qry); else alert("Callback function <parent::onQuerySelector(str)> not Found!");
	
	// Close window
	if( gCloseOnAccept ) window.close();
}
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnTypeChange()
{
	frm = document.Reports;
	var show = (frm.h_type.value=="NavigationTime");
	showCtrl("idNavigationTime",show);
}
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnDisableCtrl(ctrl,isChecked) {
	ctrl.disabled = !isChecked;
	if( !ctrl.disabled ) {
		ctrl.select();
		ctrl.focus();
	} else {
		ctrl.checked=false;
		ctrl.value="";
	}
} // fnDisableCtrl
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnBotonAceptar() {
	frm = document.Reports;
	frm.h_where.value=  "";
	frm.h_whereview.value= "";
					
	for (i=0; i<frm.ck.length; i++) {
		if (frm.ck[i].checked == true) {
			var separator = (frm.ckDeny[i].checked==true)?"notin":"in";
			prAddVal    (frm.ck[i].id,frm.txt[i].value,separator);
			prAddValView(frm.ck[i].id,frm.txt[i].value,separator);
		}
	}
}
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnBotonCancelar() {
	frm = document.Reports;
	for (i=0; i<frm.ck.length; i++) {
		frm.ck[i].checked=false;
		fnDisableCtrl(frm.ckDeny[i],false);
		fnDisableCtrl(frm.txt[i],false);
	}
}
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prAddSep()
{
	frm = document.Reports;
	if (frm.h_where.value != "")
		frm.h_where.value= frm.h_where.value + "_AND_";
} // prAddSep
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prAddVal(pKey,pVal,pSeparator)
{
	frm = document.Reports;
	prAddSep();
	frm.h_where.value= frm.h_where.value + pKey + ' ' + pSeparator + ' ' + pVal; //"="
} // prAddVal
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prAddSepView()
{
	frm = document.Reports;
	if (frm.h_whereview.value != "")
		frm.h_whereview.value= frm.h_whereview.value + '\n';
} // prAddSepView
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prAddValView(pKey,pVal,pSeparator)
{
	frm = document.Reports;
	prAddSepView();
	frm.h_whereview.value= frm.h_whereview.value + pKey + ' ' + pSeparator + ' ' + pVal; //"="
} // prAddValView
