var gHighlighter = new CControlHighlighter(
	"Formulario frmPeque",
	"Formulario frmPeque frmDisabled",
	"Formulario frmPeque frmError");

var gHighlighterBig = new CControlHighlighter(
	"Formulario frmGrande",
	"Formulario frmGrande frmDisabled",
	"Formulario frmGrande frmError");
	
var gMultiHighlighter = new CControlHighlighter(
	"Formulario",
	"Formulario frmDisabled",
	"Formulario frmError");

function fnIterate(pObject)
{
	lRet = "";
	for (iPart in pObject)	{
		lRet += (iPart + "\n");
	}
	return lRet;
}

function fnIsEmailAddress(pEmail)
{
	pEmail = pEmail.replace(/[\r]+/g,'');	// quitamos retornos de carro
	pEmail = pEmail.replace(/[\n]+/g,'');	// quitamos saltos de lnea
	var lFilter = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
	return lFilter.test (pEmail);
}

function fnIsMailServer(pMailServer) {
	var lFilter = /^(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
	return lFilter.test (pMailServer);
}

function prUpdateTimeSettingWidgets(txtFrm)
{
	var lForm = document.getElementById (txtFrm);
	var lDisable = !lForm.h_block_users.checked;
	lForm.h_blockpage.disabled = lDisable;
	lForm.h_sendmail.disabled = lDisable;
	if (lDisable)
	{
		gHighlighter.mpSetDisabled(lForm.h_blockingtime);
		gHighlighter.mpSetDisabled(lForm.h_controltime);
		gHighlighter.mpSetDisabled(lForm.h_maxblockings);
		gHighlighter.mpSetDisabled(lForm.h_blockingtype[0]);
		gHighlighter.mpSetDisabled(lForm.h_blockingtype[1]);
		gHighlighter.mpSetDisabled(lForm.UsuariosSi);
	}
	else
	{
		gHighlighter.mpSetNormal(lForm.h_blockingtime);
		gHighlighter.mpSetNormal(lForm.h_controltime);
		gHighlighter.mpSetNormal(lForm.h_maxblockings);
		gHighlighter.mpSetNormal(lForm.h_blockingtype[0]);
		gHighlighter.mpSetNormal(lForm.h_blockingtype[1]);
		gHighlighter.mpSetNormal(lForm.UsuariosSi);
	}
	
}

function prUpdateBlockingPage (txtFrm)
{
	var lForm = document.getElementById (txtFrm);
	var lDisable = lForm.h_blockpagechk.checked;

	if( !lDisable || !lForm.h_block_users.checked )
	{
		gHighlighterBig.mpSetDisabled(lForm.h_blockpage);
		gHighlighterBig.mpSetDisabled(lForm.h_blockpage);
	}
	else
	{
		gHighlighterBig.mpSetNormal(lForm.h_blockpage);
		gHighlighterBig.mpSetNormal(lForm.h_blockpage);
	}

	var StopCode = document.getElementById ("h_stopcode");
	
	if (StopCode)
		StopCode.checked = false;
	
}

function prUpdateSendMessage (txtFrm)
{
	var lForm = document.getElementById (txtFrm);
	var lDisable = !lForm.h_sendmail.checked;

	if (lDisable)
		gMultiHighlighter.mpSetDisabled(lForm.h_mailaddresses);
	else
		gMultiHighlighter.mpSetNormal(lForm.h_mailaddresses);
}

function prUpdateAll(txtFrm)
{
	/*prUpdateTimeSettingWidgets(txtFrm);
	prUpdateSendMessage(txtFrm);
	prUpdateBlockingPage(txtFrm);*/
	
	var lForm = document.getElementById (txtFrm);
	
	var BlockType = document.getElementById ("BLOCKTYPE_" + txtFrm);
	var BlockTime = document.getElementById ("BLOCKTIME_" + txtFrm);
	var BlockCode = document.getElementById ("BLOCKPAGE_" + txtFrm);
	var BlockMail = document.getElementById ("BLOCKMAIL_" + txtFrm);
	var BlockUser = document.getElementById ("BLOCKUSER_" + txtFrm);

	if (lForm.h_block_users.checked)
	{
		BlockType.style.display = "";
		BlockTime.style.display = "";
		BlockCode.style.display = "";
		BlockMail.style.display = "";
		BlockUser.style.display = "";
	}
	else
	{
		BlockType.style.display = "none";
		BlockTime.style.display = "none";
		BlockCode.style.display = "none";
		BlockMail.style.display = "none";
		BlockUser.style.display = "none";
	}
}

function prSetError(pControl, pMessage, pHighlighter)
{
	if( !pHighlighter ) pHighlighter = gHighlighter;
	
	pHighlighter.mpSetError(pControl);
	alert(pMessage);
}

function prUnchekRadio (Radio)
{
	var Form = document.getElementById (txtForm);
	var Radio =	Form.getElementByName (txtRadio);
	
	Radio.checked = false;
}
