function fnEscapeParameter(szParameter)
{
   var i=0;
   szEscapedParameter = '';

   for(i=0;i<szParameter.length;i++)
   {
	szChar = szParameter.charAt(i);
	if(szChar==' ') szChar = '%20';
	else if(szChar=='/') szChar = '%2F';
	else if(szChar==':') szChar = '%3A';
	else if(szChar=='%') szChar = '%25';
	else if(szChar=='&') szChar = '%26';
	else if(szChar=='=') szChar = '%3D';
	else if(szChar=='#') szChar = '%23';
	else if(szChar=='+') szChar = '%2B';
	
	szEscapedParameter = szEscapedParameter + szChar;
   }

   return szEscapedParameter;
}

function fnCaracterValido(car)
{
	var x;
	var carPermitidos = new Array(64);

	carPermitidos[0]  = 'a'; carPermitidos[1]  = 'b'; carPermitidos[2]  = 'c';
	carPermitidos[3]  = 'd'; carPermitidos[4]  = 'e'; carPermitidos[5]  = 'f';
	carPermitidos[6]  = 'g'; carPermitidos[7]  = 'h'; carPermitidos[8]  = 'i';
	carPermitidos[9]  = 'j'; carPermitidos[10] = 'k'; carPermitidos[11] = 'l';
	carPermitidos[12] = 'm'; carPermitidos[13] = 'n'; carPermitidos[14] = 'o';
	carPermitidos[15] = 'p'; carPermitidos[16] = 'q'; carPermitidos[17] = 'r';
	carPermitidos[18] = 's'; carPermitidos[19] = 't'; carPermitidos[20] = 'u';
	carPermitidos[21] = 'v'; carPermitidos[22] = 'w'; carPermitidos[23] = 'x';
	carPermitidos[24] = 'y'; carPermitidos[25] = 'z';
	carPermitidos[26] = 'A'; carPermitidos[27] = 'B'; carPermitidos[28] = 'C';
	carPermitidos[29] = 'D'; carPermitidos[30] = 'E'; carPermitidos[31] = 'F';
	carPermitidos[32] = 'G'; carPermitidos[33] = 'H'; carPermitidos[34] = 'I';
	carPermitidos[35] = 'J'; carPermitidos[36] = 'K'; carPermitidos[37] = 'L';
	carPermitidos[38] = 'M'; carPermitidos[39] = 'N'; carPermitidos[40] = 'O';
	carPermitidos[41] = 'P'; carPermitidos[42] = 'Q'; carPermitidos[43] = 'R';
	carPermitidos[44] = 'S'; carPermitidos[45] = 'T'; carPermitidos[46] = 'U';
	carPermitidos[47] = 'V'; carPermitidos[48] = 'W'; carPermitidos[49] = 'X';
	carPermitidos[50] = 'Y'; carPermitidos[51] = 'Z';
	carPermitidos[52] = '0'; carPermitidos[53] = '1'; carPermitidos[54] = '2';
	carPermitidos[55] = '3'; carPermitidos[56] = '4'; carPermitidos[57] = '5';
	carPermitidos[58] = '6'; carPermitidos[59] = '7'; carPermitidos[60] = '8';
	carPermitidos[61] = '9'; carPermitidos[62] = '-'; carPermitidos[63] = '_';

	for (x=0;x<64;x++)
	{
		if (carPermitidos[x] == car)
		{		
			return true;
		}
	}
	return  false;
}

function fnCaracterValidoNoSignoMenos(car)
{
	var x;
	var carPermitidos = new Array(64);

	carPermitidos[0]  = 'a'; carPermitidos[1]  = 'b'; carPermitidos[2]  = 'c';
	carPermitidos[3]  = 'd'; carPermitidos[4]  = 'e'; carPermitidos[5]  = 'f';
	carPermitidos[6]  = 'g'; carPermitidos[7]  = 'h'; carPermitidos[8]  = 'i';
	carPermitidos[9]  = 'j'; carPermitidos[10] = 'k'; carPermitidos[11] = 'l';
	carPermitidos[12] = 'm'; carPermitidos[13] = 'n'; carPermitidos[14] = 'o';
	carPermitidos[15] = 'p'; carPermitidos[16] = 'q'; carPermitidos[17] = 'r';
	carPermitidos[18] = 's'; carPermitidos[19] = 't'; carPermitidos[20] = 'u';
	carPermitidos[21] = 'v'; carPermitidos[22] = 'w'; carPermitidos[23] = 'x';
	carPermitidos[24] = 'y'; carPermitidos[25] = 'z';
	carPermitidos[26] = 'A'; carPermitidos[27] = 'B'; carPermitidos[28] = 'C';
	carPermitidos[29] = 'D'; carPermitidos[30] = 'E'; carPermitidos[31] = 'F';
	carPermitidos[32] = 'G'; carPermitidos[33] = 'H'; carPermitidos[34] = 'I';
	carPermitidos[35] = 'J'; carPermitidos[36] = 'K'; carPermitidos[37] = 'L';
	carPermitidos[38] = 'M'; carPermitidos[39] = 'N'; carPermitidos[40] = 'O';
	carPermitidos[41] = 'P'; carPermitidos[42] = 'Q'; carPermitidos[43] = 'R';
	carPermitidos[44] = 'S'; carPermitidos[45] = 'T'; carPermitidos[46] = 'U';
	carPermitidos[47] = 'V'; carPermitidos[48] = 'W'; carPermitidos[49] = 'X';
	carPermitidos[50] = 'Y'; carPermitidos[51] = 'Z';
	carPermitidos[52] = '0'; carPermitidos[53] = '1'; carPermitidos[54] = '2';
	carPermitidos[55] = '3'; carPermitidos[56] = '4'; carPermitidos[57] = '5';
	carPermitidos[58] = '6'; carPermitidos[59] = '7'; carPermitidos[60] = '8';
	carPermitidos[61] = '9'; 
	//estos caracteres dan problemas en clasificacion de urls si una 
	//categoria de usuario los tiene
	//carPermitidos[62] = '-'; carPermitidos[63] = '_';

	for (x=0;x<64;x++)
	{
		if (carPermitidos[x] == car)
		{		
			return true;
		}
	}
	return  false;
}

function fnEscapeQuery(szQuery)
{
   nQuery = szQuery.indexOf('?');
   szEscapedQuery = szQuery.substr(0,nQuery+1);

   for(i=nQuery+1;i<szQuery.length;i++)
   {
	szChar = szQuery.charAt(i);
	if(szChar==' ') szChar = '%20';
	else if(szChar=='/') szChar = '%2F';
	else if(szChar==':') szChar = '%3A';
	
	szEscapedQuery = szEscapedQuery + szChar;
   }

   return szEscapedQuery;
}

function fnUTF8Latin1(szUTF8)
{
   if(szUTF8.length==0) return '';

   szLatin1 = '';
   nIdx = 0;
   do
   {
	if(szUTF8.charCodeAt(nIdx)<128)
	{
	   szLatin1 = szLatin1 + szUTF8.charAt(nIdx);
	   nIdx++;
        }
	else if(szUTF8.charCodeAt(nIdx)<224)
	{
	   nCharCode = szUTF8.charCodeAt(nIdx+1) + 64*(szUTF8.charCodeAt(nIdx)%2);
	   szLatin1 = szLatin1 + String.fromCharCode(nCharCode);
	   nIdx += 2;		
	}
	else
	{
	   do
	   {
		szLatin1 = szLatin1 + szUTF8.charAt(nIdx);
		nIdx++;
	   }
	   while(szUTF8.charAt(nIdx)>=128);	
	}
   }
   while(nIdx<szUTF8.length);

   return szLatin1;
}

function fnLatin1UTF8(szLatin1)
{
   if(szLatin1.length==0) return '';

   szUTF8 = '';
   nIdx = 0;
   do
   {
	nCharCode = szLatin1.charCodeAt(nIdx);
	if(nCharCode<128)
	{
	   szUTF8 = szUTF8 + szLatin1.charAt(nIdx);
	   nIdx++;
	}
	else if(nCharCode<192)
	{
	   szUTF8 = szUTF8 + String.fromCharCode(194,nCharCode);
	   nIdx++;
	}
	else
	{
	   szUTF8 = szUTF8 + String.fromCharCode(195,nCharCode-64);
	   nIdx++;
	}
   }
   while(nIdx<szLatin1.length);

   return szUTF8;
}
