//=======================================================================================================================================
// Valida el contenido del campo
	function valText(txt, invChrs)
	{
		if( txt=="" ) return false;
		for( i=0; i<invChrs.length; i++)
		{
			if( txt.indexOf( invChrs.charAt(i) )!=-1 ) {
				return false;
			}
		}
		return true;
	}
//=======================================================================================================================================
// Esconde  muestra un control del documento
// recibe el id del control a esconder y una variable bool que indica si se muestra  se esconde
	function showCtrl( id, show ) {
			document.getElementById(id).style.display = show ? '' : 'none';
	}
//=======================================================================================================================================
// Almacena los elementos de list en un string, separando cada elemento con el caracter '|'
	function getListValues(list)
	{
		result = "";
		var it = list.firstChild; 
		while (it){
			if( it.value )
				result += it.value + "|";
			it = it.nextSibling;
		}
		return result;
	}
//=======================================================================================================================================
// Agrega el texto 'text' al control lista 'list', si max>0 entonces valida que la lista no contenga mas de 'max' elementos
	function addToList(text, list, max )
	{
		if (list.length >= max && max>0 ) return;
		
		var it = list.firstChild; 
		while (it) {
			if( it.value==text )
				return;
			it = it.nextSibling;
		}
		var newOpt = document.createElement("OPTION");
		newOpt.value = text;
		newOpt.appendChild( document.createTextNode(text) );
		list.insertBefore(newOpt, it);
	}

//=======================================================================================================================================
// Borra todos los elementos seleccionados de la lista
	function delSelectedFromList(list)
	{
		var it = list.firstChild;
		
		while(it) {
			var tmp = it;
			it = it.nextSibling;
			if(tmp.selected) {
				list.removeChild(tmp);
			}
		}
	}