/*------------------------Funciones para manipulacion de iframes (crossbrowser) Firefox , Netscape, IE7 y Opera -------------------------------*/

/* 
 * fnFrame_doReload
 * Recarga el contenido del iframe 
 * piFrameID	  String    Identificador del iframe
 *
 */
  function fnFrame_doReload(piFrameID)   {
      try {
          if(document.getElementById(piFrameID).contentWindow)
	      document.getElementById(piFrameID).contentWindow.location.reload(0);
	    

      }catch(e){
	alert("jscTableBehavior.js - " +  e.message);
      }//try
  }//function 


/* 
 * fnFrame_doSubmit
 * Ejecuta el metodo submit de algun formulario dentro del iframe 
 * piFrameID	  String    Identificador del iframe
 * pFormID	  String    Identificador del formulario
 *
 */
  function fnFrame_doSubmit(piFrameID,pFormID)   {

     try {
          if(document.getElementById(piFrameID).contentWindow)
              document.getElementById(piFrameID).contentWindow.document.forms[pFormID].submit();


      }catch(e){
        alert("jscTableBehavior.js-" +  e.message);
      }//try

  }//function 


/* 
 * fnFrame_doChangeLocation
 * Recarga otra pagina en el iframe 
 * piFrameID	  String    Identificador del iframe
 * pURL		  String    Url destino
 *
 */
  function fnFrame_doChangeLocation(piFrameID,pURL)   {
      try {
          if(document.getElementById(piFrameID).contentWindow)
              document.getElementById(piFrameID).contentWindow.location = pURL;


      }catch(e){
        alert("jscTableBehavior.js" +  e.message);
      }//try


  }//function 



/* 
 * fnFrame_doCallFunction
 * Recarga otra pagina en el iframe 
 * piFrameID	  String    Identificador del iframe
 * pFunctionName  String    Nombre de la funcion
 * pAryParams	  Array	    Arreglo con los valores de los parametros
 *
 */
  function fnFrame_doCallFunction(piFrameID,pFunctionName , pAryParams)   {
      try {
	  var lReturn ="";

          if(document.getElementById(piFrameID).contentWindow){
	  // Parsea los parametros 
    	  var aryParams = Array();	
	  for (var i = 0; i < pAryParams.length; i++) {
	      var element = pAryParams[i];
	      if (typeof element == 'string')
	        aryParams.push("'" + element + "'") ;
	      else
               aryParams.push( element ) ;
	  }

	      eval('lReturn=document.getElementById("'+ piFrameID + '").contentWindow.' + pFunctionName + '(' + aryParams + ')');
	     return  lReturn;
	  }//if

      }catch(e){
        alert("jscTableBehavior.js - " +  e.message);
      }//try

  }//function 


/*------------------------Funciones para la para el contenedor del iframe -------------------------------*/

//Funcion que movera el scroll en cuanto el elemento seleccionado  salga de la parte visible del frame
function MoveScroll(pObj, pFrm, TableName){
    try{
      var rv = document.getElementById(TableName);
      var frmObj = window.frames[TableName];
      var iRowTop = pObj.offsetTop;
      var iRowHeight = pObj.offsetHeight;
      var iDocHeight = pFrm.body.offsetHeight;
      var iFrmHeight = rv.offsetHeight;
      var iFrmScrollTop = pFrm.documentElement["scrollTop"];

      //Mueve scroll hacia abajo
      if( (iFrmScrollTop + iRowTop)>=(iFrmHeight-iRowHeight) )  frmObj.scrollBy(0,iRowHeight*1.5);

      //Mueve scroll hacia arriba
      if( iRowTop < iFrmScrollTop ) frmObj.scrollBy(0,iRowHeight*-1.5);

    }catch(e){alert('jscTableBehavior.js - MoveScroll::' + e.message)}
}

// Mueve hacia arriba la fila de un elemento para aumentar su prioridad
function up (TableName) {
        var rv = null;

        if (TableName == null)
                TableName = 'PoliciesTable';

        if (document.getElementById(TableName).contentDocument){
                rv = document.getElementById(TableName).contentDocument;
        }
        else {
                rv = document.frames(TableName).document;
        }
        var tbl = rv.getElementById(TableName );
        var trs = tbl.getElementsByTagName('tr');

        var i = parseInt(rv.getElementById('NumFila').innerHTML);
        var j = i - 1;
        if (i != 0) {
                tbl.tBodies[0].insertBefore(trs[i],trs[j]);
                rv.getElementById('NumFila').innerHTML = j;
                MoveScroll(trs[j],rv, TableName);
        }
}
// Mueve hacia abajo la fila de un elemento para disminuir su prioridad
function down(TableName)
{
        var rv = null;

        if (TableName == null)
                TableName = 'PoliciesTable';

        if (document.getElementById(TableName).contentDocument)
        {
                rv = document.getElementById(TableName).contentDocument;
        }
        else
        {
                rv = document.frames(TableName).document;
        }
        var tbl = rv.getElementById(TableName );
        var trs = tbl.getElementsByTagName('tr');

        var i = parseInt(rv.getElementById('NumFila').innerHTML);
        var j = i + 1;

        if (j != tbl.rows.length - 1)
        {
                tbl.tBodies[0].insertBefore(trs[j],trs[i]);
                rv.getElementById('NumFila').innerHTML = j;

                MoveScroll(trs[j],rv, TableName);
        }
}

//Ejecuta la accion (edit|new)
function executeElement (pActionFile,pTarget,accion,pKeyName, pElement)
{
	gSessionData = gSessionData.replace (/ACCION/, accion);

	if (accion == "edit" || accion=="del")
	{
		//Si se va a editar, se debe tener algo seleccionado...
		if (pElement== "")
			return 0;
		
	}

	szAction = pActionFile + '?' +  gSessionData + "&" + pKeyName +  "=" + pElement  + '&frm_action=' + accion;
	if(pTarget=="") pTarget=window.name;
  	window.open(szAction, pTarget);
}

//Botón borrar
function prDelete (TableName,pPolNum)
{
	if (pPolNum < 0)
		return 0;
      var Doc = document.getElementById(gWListElements).contentWindow
//      var Doc = window.frames[TableName].document;//TablePolicies
      var tbl = Doc.getElementById (TableName); //policies

   	Erase += tbl.rows [pPolNum].cells [1].innerHTML;
	tbl.deleteRow (pPolNum);

	if (Erase != "")
		Erase += "|";
	
	Doc.getElementById ('NumFila').innerHTML = "-1";
}

//Botónc ancelar
function prCancel ()
{
	window.open ("/components/General/FilteringPolicies/Policies/Main/dspPolicies.htmopt?" + gSessionData, window.name);
}


//Botón aplucar
function prOK ()
{
var Doc = window.frames['PoliciesTable'].document;
var tbl = Doc.getElementById ('policies');
var trs = tbl.getElementsByTagName ('tr');

var Params;
var Keys;
var Values;
	
	Params = gSessionData;
	
	Keys = "";
	Values = "";
	
	for (var Contador = 0; Contador < trs.length - 1; Contador ++)
	{
	      //Si es administrador envia el nombre de la politica, nombre del servicio y el modulo al que corresponde
	      // ej: POLTICAWF01:premium:WebFilter
              if(gISP_ADMIN=='1'){
                 Keys += tbl.rows [Contador].cells [2].innerHTML +  ':' + tbl.rows [Contador].cells [1].innerHTML + ':' +  tbl.rows [Contador].cells [7].innerHTML  ;
	      }
	      else
		Keys += tbl.rows [Contador].cells [1].innerHTML;
		Values += Contador;

		if (Contador < trs.length - 2)
		{
			Keys += "|";
			Values += "|";
		}
	}

	Params += "&h_keys=" + Keys + "&h_values=" + Values + "&h_erase=" + Erase;
        //alert(Params)
	window.open ("/components/General/FilteringPolicies/Policies/Main/srvPolicies.htmopt?" + Params, window.name);
//	window.open ("/components/General/FilteringPolicies/Policies/Main/srvPolicies.htmopt?" + Params, 'frmOrder');
}


function FrameActiveData(){
  return document.getElementById(gWListElements).contentWindow.GetActiveData(gWListElements,gColumnIdNumber);
}



//------------------------------------------------------------------------------------------------------
/*------------------------Funciones para la lista de elementos (iframe)-------------------------------*/
//------------------------------------------------------------------------------------------------------

/*
 * fnGetActiveRotw
 * Obtiene el numero del renglon seleccionado
 */
function fnGetActiveRow ()
{
  return parseInt (document.getElementById ('NumFila').innerHTML);
}//function


/*
 * ListBehavior
 * Agrega funcionalidad de una lista a una tabla (seleccion de renglones)
 * oElementTable    String    ID de la tabla que tendra la funcionalidad  
 */
function ListBehavior(oElementTable) {
  var tbl = document.getElementById (oElementTable);
  var trs = tbl.getElementsByTagName ('tr');
  for (n = 0; n < trs.length -1; n++)
  {
          trs[n].onclick = function ()
          {
                  var a = this.rowIndex;
                  var i = fnGetActiveRow ();

                  //Sólo se pueden seleccionar renglones que estén deshabilitados (obviamente).
                  if (tbl.rows [a].className == 'TextTable01Off')
                          return;
                  if (i >= 0)
                  {
                          tbl.rows [i].style.cssText = '';
                          tbl.rows [i].className = 'TextTable01';
                  }
                  tbl.rows[a].style.cssText = 'background-color: #1750AB; color: #E5E9EF';
                  document.getElementById ('NumFila').innerHTML = a;
          }
          trs[n].onmousedown=function(){return false}
  }

}//function
/*
 * GetActiveData
 * Obtiene el contenido de una columna en especifico del renglon activo
 * oElementTable    String    ID de la tabla de elementos 
 * col		    Integer   Numero de columna de la que se desa obtener el contenido HTML
 */     
function GetActiveData (oElementTable,col)
{
         var i = fnGetActiveRow ();
         if (i >= 0)
         {
      
                 var tbl = document.getElementById (oElementTable);
                 return tbl.rows [i].cells [col].innerHTML;
         }
         else
                 return "";
}


