#!/bin/bash
. ./environment.sh
. ./environmentOS.sh

SSH="ssh $BCKSERVER_USER@$BCKSERVER_IP"

#Master Boot Record recovery:
$SSH cat $BCKSERVER_BACKUP_DIR/MBR_BKP.bin | dd of=/dev/$DISK_DEVICE bs=512 count=1

#Partition layout recovery:
$SSH cat $BCKSERVER_BACKUP_DIR/$DISK_BACKUP_FILE | sfdisk /dev/$DISK_DEVICE

#Partition data backup on file recovery:
#(for performance reasons bs should be n*512 if HHDD blocks are of 512 bytes)
$SSH cat $BCKSERVER_BACKUP_DIR/$BACKUP_FILE | dd of=/dev/$PARTITION bs=8192
