#!/usr/bin/env python
import sys
import re

def validateEmail(email):
    if re.match('^[_\.0-9a-z-]+@([0-9a-z-]+\.)+[a-z]{2,4}$', email) != None:
        return 1
    return 0

def main(argv):
    return validateEmail(argv[0])


if __name__ == "__main__":
    ret = main(sys.argv[1:])
    if ret == 1 :
         #OK
         sys.exit(0) 
    else :
         #Bad
         sys.exit(1)
