
function prOnLoad ()
{
	var NetList = gEnabledNetworks.split ("|");
	var Lst = document.getElementById ("h_iplist");
	var frm = document.getElementById ("Advanced_Config");
	var Contador;

	for (Contador = 0; Contador < NetList.length; ++Contador)
	{
		if (NetList [Contador] != "")
			addToList (NetList [Contador], Lst, 0);
	}
	
	if (frm.h_static.value != "")
		frm.h_chkstatic.checked = true;

	if (frm.h_bgp.value != "")
		frm.h_chkbgp.checked = true;

	if (frm.h_igrp != null && frm.h_igrp.value != "")
		frm.h_chkigrp.checked = true;

	if (frm.h_rip != null && frm.h_rip.value != "")
		frm.h_chkrip.checked = true;

	if (frm.h_ospf != null && frm.h_ospf.value != "")
		frm.h_chkospf.checked = true;
	
	if (frm.h_maxdiameter != null && frm.h_maxdiameter.value != "")
		frm.h_chckmaxdiameter.checked = true;
	
}

//---------------------------------------------------------------------------------------------------------------------------------------------

function prAddIp ()
{
	var FullText;
	var Lst  = document.getElementById ("h_iplist");
	var From = document.getElementById ("txtFromIp").value;
	var IpTo = document.getElementById ("txtToIp").value
	
	if (From == "")
		return ;
	
	FullText = From;
	
	if (IpTo != "")
		FullText += " - " + IpTo;
		
	addToList (FullText, Lst, 0);
}


//---------------------------------------------------------------------------------------------------------------------------------------------

function prRemIp ()
{
	var Lst  = document.getElementById ("h_iplist");
	
	delSelectedFromList (Lst);
}


//---------------------------------------------------------------------------------------------------------------------------------------------

function prOKPolicies ()
{
}


//---------------------------------------------------------------------------------------------------------------------------------------------

function prNew ()
{
	var Frm = document.getElementById ("Policies_Edit");
	var Method = document.getElementById ("Edit_Metod");
	gMode = "new";

	//Firefox no tiene ropiedad innerText
	if (Method.innerText)
		Method.innerText = M_NEW;
	else
		Method.textContent = M_NEW;

	Frm.h_interface.focus ();
}


//---------------------------------------------------------------------------------------------------------------------------------------------

function prEdit ()
{
	var Frm = document.getElementById ("Policies_Edit");
	var Method = document.getElementById ("Edit_Metod");
	var Frame = window.frames ['PoliciesTable'];
//	var DataSrc = window.frames [''].getelement

	Frm.h_interface.value = Frame.GetActiveData (1);
	
	if (Frame.GetActiveData (0) == M_ACTIVE)
		Frm.h_enabled.checked = true;
	else
		Frm.h_enabled.checked = false;
		
	if (h_modify == "RIP")
	{
		if (Frame.GetActiveData (3) == M_ACTIVE)
			Frm.h_broadcast.checked = true;
		else
			Frm.h_broadcast.checked = false;
	
		if (Frame.GetActiveData (4) != TR_NONE)
			Frm.h_chckauthen.checked = true;
		else
			Frm.h_chckauthen.checked = false;

		Frm.h_id.value = Frame.GetActiveData (5);
		Frm.h_key.value= Frame.GetActiveData (6);
	}
	else
	{
		Frm.h_hostip.value = Frame.GetActiveData (2);
		if (Frame.GetActiveData (3) != TR_NONE)
			Frm.h_chckauthen.checked = true;
		else
			Frm.h_chckauthen.checked = false;
		
		Frm.h_id.value = Frame.GetActiveData (4);
		Frm.h_key.value= Frame.GetActiveData (5);
	}

	gMode = "edit";

	Frm.h_interface.focus ();

	if (Method.innerText)
		Method.innerText = M_EDIT;
	else
		Method.textContent = M_EDIT;
}


//---------------------------------------------------------------------------------------------------------------------------------------------

function prDelete ()
{
	var Action;
	var Frm = document.getElementById ("Policies_Edit");
	var Frame = window.frames ['PoliciesTable'];

	Action = "srvPolicies.htmopt?" + gSessData +
			"&h_interface="  + Frame.GetActiveData (1) +
			"&h_enabled=" +
			"&h_id="  +  "&h_key=" + "&h_authen=" + "&h_ripversion=" +  "&h_ip=" + 
			"&h_broadcast=" + "&h_action=delete";

	window.open (Action, window.name);
}


//---------------------------------------------------------------------------------------------------------------------------------------------

function prOKEditNew ()
{
	var Action;
	var Frm = document.getElementById ("Policies_Edit");
	
	Action = "srvPolicies.htmopt?" + gSessData +
			"&h_interface=" + Frm.h_interface.value +
			"&h_enabled=" + Frm.h_enabled.checked +
			"&h_id=" + Frm.h_id.value +
			"&h_key=" + Frm.h_key.value +
			"&h_authen=" + (Frm.h_chckauthen.checked == true ? Frm.h_authenmode.value : "") +
			"&h_ripversion=" + (Frm.h_version != null ? Frm.h_version.value : "") +
			"&h_ip=" + (Frm.h_hostip != null ? Frm.h_hostip.value : "") +
			"&h_broadcast=" + (Frm.h_broadcast != null ? Frm.h_broadcast.checked : "") +
			"&h_action=" + gMode;

	window.open (Action, window.name);
}


//---------------------------------------------------------------------------------------------------------------------------------------------

function prOSPF_IGRP_OK ()
{
	var Action;
	var LocalID = document.getElementById ("h_localid").value;
	var LocalAS = document.getElementById ("h_localas");

	if (LocalAS != null)
		LocalAS = LocalAS.value;
	else
		LocalAS = "";

	Action = "srvOspfIgrp.htmopt?" + gSessData +
				"&h_localid=" + LocalID +
				"&h_localas=" + LocalAS;

	window.open (Action, window.name);
}


//---------------------------------------------------------------------------------------------------------------------------------------------

function prNewArea ()
{
	var Frm = document.getElementById ("Areas_Form");

	Frm.h_areaname.value = "";

	if (h_modify == "OSPF")
	{
		Frm.h_areatype.selectedIndex = 0;
		Frm.h_areaauthen.checked = false;
	}
	else
	{
		Frm.h_neighdisabled.checked = false;
		Frm.h_neighip.value = "";
		Frm.h_nieghas.value = "";
	}

	Frm.h_areaname.focus ();
}


//---------------------------------------------------------------------------------------------------------------------------------------------

function prAreasDelete ()
{
	var Action;
	var Name;
	var Frm = document.getElementById ("Areas_Form");
	
	Name  = Frm.all_areas.value.split (",") [0];

	Action = "srvAreas.htmopt?" + gSessData  +
			"&h_name=" + Name +
			"&h_type=" + "&h_authen=" + "&h_disabled=" + "&h_neighip=" + 
			"&h_neighas=" + "&h_action=delete";

	window.open (Action, window.name);
}


//---------------------------------------------------------------------------------------------------------------------------------------------

function prAreasOK ()
{
	var Action;
	var Frm = document.getElementById ("Areas_Form");

	Action = "srvAreas.htmopt?" + gSessData  +
			"&h_name=" + Frm.h_areaname.value +
			"&h_type=" + (Frm.h_areatype != null? Frm.h_areatype.value : "") +
			"&h_authen=" + (Frm.h_areaauthen != null? Frm.h_areaauthen.checked : "") +
			"&h_disabled=" + (Frm.h_neighdisabled != null? Frm.h_neighdisabled.checked : "") +
			"&h_neighip=" + (Frm.h_neighip != null? Frm.h_neighip.value : "") +
			"&h_neighas=" + (Frm.h_nieghas != null? Frm.h_nieghas.value : "") +
			"&h_action=add";

	window.open (Action, window.name);
}


//---------------------------------------------------------------------------------------------------------------------------------------------

function prOK ()
{
	var Action;
	var Lst = document.getElementById ("h_iplist").options;
	var IPLst = "";
	var Frm = document.getElementById ("Advanced_Config");
	
	var IGRP, OSPF, RIP;
	var MaxNetDiameter, ValidateIP;

	var Contador

	//Enabled networks
	for (Contador = 0; Contador < Lst.length; ++Contador)
	{
		IPLst += Lst [Contador].value;

		if (Contador < Lst.length - 1)
			IPLst += "|";
	}

	//Estos ifs son para facilitarnos el trabajo a la hora de construir la cadena de la URL destino
	if (Frm.h_chkigrp != null && Frm.h_chkigrp.checked == true)
		IGRP = Frm.h_igrp.value;
	else
		IGRP = "";
	
	if (Frm.h_chkrip != null && Frm.h_chkrip.checked == true)
		RIP = Frm.h_rip.value;
	else
		RIP = "";
	
	if (Frm.h_chkospf != null && Frm.h_chkospf.checked == true)
		OSPF = Frm.h_ospf.value;
	else
		OSPF = "";
	
	if (Frm.h_chckmaxdiameter != null && Frm.h_chckmaxdiameter.checked == true)
		MaxNetDiameter = Frm.h_maxdiameter.value;
	else
		MaxNetDiameter = "";
	
	if (Frm.h_sourcevalidation != null)
	{
		if (Frm.h_sourcevalidation.checked == true)
			ValidIP = "Enabled";
		else
			ValidIP = "Disabled";
	}
	else
		ValidIP = "";


	//Construimos la supercadena del nuevo milenio
	Action = "srvNetworks.htmopt?" + gSessData +
				"&h_metric=" + (Frm.h_metricdefault != null? Frm.h_metricdefault.value : "") +
				"&h_static=" + (Frm.h_chkstatic.checked == true? Frm.h_static.value : "") +
				"&h_bgp=" + (Frm.h_chkbgp.checked == true? Frm.h_bgp.value : "") +
				"&h_igrp=" + IGRP +
				"&h_ospf=" + OSPF +
				"&h_rip=" + RIP +
				"&h_update=" + (Frm.h_update != null? Frm.h_update.value : "") +
				"&h_timeout=" + (Frm.h_timeout != null? Frm.h_timeout.value : "") +
				"&h_unreachable=" + (Frm.h_unreacheablead != null? Frm.h_unreacheablead.value : "") +
				"&h_hello=" + (Frm.h_hello != null? Frm.h_hello.value : "") +
				"&h_dead=" + (Frm.h_dead != null? Frm.h_dead.value : "") +
				"&h_invalidad=" + (Frm.h_invalidad != null? Frm.h_invalidad.value : "") +
				"&h_variance=" + (Frm.h_variance != null? Frm.h_variance.value : "") +
				"&h_maxnetdiameter=" + MaxNetDiameter +
				"&h_validateip=" + ValidIP +
				"&h_iplist=" + IPLst;

	window.open (Action, window.name);
}


//---------------------------------------------------------------------------------------------------------------------------------------------

function prCancel ()
{
	var Action = "dspNetworks.htmopt?" + gSessData;

	window.open (Action, window.name);
}
