var gIdxCurr2 = 1;
var gRecordsPerPage = 100;
var gNumPage = 0;


function prLoadGroup(offset)
{
        gIdxCurr2 = offset;
        var lst = document.getElementById('selGroups');
        clearList(lst);
        var min = gRecordsPerPage*(gIdxCurr2-1);
        if (min < 0)
                min = 0;
        for (var i=min; i<gRecordsPerPage*gIdxCurr2 && i < gGroupLst.length; i++) 
        {
                addToList(gGroupLst[i], lst, 0);
        }

        prSetCurrent(gIdxCurr2, 'indexes2');
}

function prAddPageIndex()
{
        var indexes = document.getElementById('indexes2');
        var anchor ="";
        for (i=1; i<=gNumPage; i++)
        {
                anchor += "<a href='#' onClick='prLoadGroup("+i+")';>&nbsp;"+i+"&nbsp;</a>";
        }
        indexes.innerHTML = '<center>'+anchor+'</center>';
}

function setAlreadySelected() {
        var lstGroup = document.getElementById('selListGroup');
        for (var i=0; i<lstGroup.length; i++)
        {
                var j = fnFind(gGroupLst, lstGroup.options[i].text);
                lstGroup.options[i].disabled = j>=0;
                lstGroup.options[i].selected = j<0;
        }
}

function prOnLoad()
{
	if (gGroupLst == '')
                gGroupLst = new Array();
        else {
                gGroupLst = gGroupLst.split('|');
                gNumPage  =Math.ceil(gGroupLst.length/ gRecordsPerPage);
        }
        setAlreadySelected();
        prAddPageIndex();
        prLoadGroup(1);

	prSetCurrent(gIdxCurr, 'indexes');
}

function fnFind(arr, item)
{
        for (var j=0; j<arr.length  && arr[j] != item; j++)
              ;
        return j == arr.length ? -1 : j;
}

function fnFindElement(lst, item)
{
        for (var j=0; j<lst.length  && lst.options[j].text != item; j++)
               ;
        return j == lst.length ? -1 : j;
}

function onAdd() {
        var Users = window.document.getElementById("selGroups");
        var listGroups = window.document.getElementById("selListGroup");
        if (listGroups.selectedIndex < 0)
        {
                alert(SELECTUSERADD);
                return;
        }

        for ( var i=0; i<listGroups.length; i++ ) {
                if( listGroups.options[i].selected && fnFind(gGroupLst, listGroups.options[i].value) < 0 ) {
                        gGroupLst[gGroupLst.length] = listGroups.options[i].value;
                         listGroups.options[i].disabled = true;
                }
        }
	var lastPage = gNumPage;
	gNumPage  =Math.ceil(gGroupLst.length/ gRecordsPerPage);
        if (lastPage< gNumPage)
                prAddPageIndex();
        prLoadGroup(gNumPage);

        listGroups.selectedIndex = -1;
}

function onDelete() {
        var Users = window.document.getElementById("selGroups");
        var listGroups = window.document.getElementById("selListGroup");
        if (Users.selectedIndex < 0)
        {
                alert(SELECTUSERDELETE);
                return;
        }
        for ( var i=0; i<Users.length; i++ ) {
                if( Users.options[i].selected) {
                        var j = fnFind(gGroupLst, Users.options[i].value);
			if (j>=0)
	                        gGroupLst.splice(j, 1);
                        var j = fnFindElement(listGroups,  Users.options[i].value);
                        if (j>=0)
                                listGroups.options[j].disabled = false;
                }
        }

        var lastPage = gNumPage;
        gNumPage  =Math.ceil(gGroupLst.length/ gRecordsPerPage);
        if (lastPage> gNumPage)
                prAddPageIndex();
        if (gIdxCurr2 > gNumPage)
                gIdxCurr2 = gNumPage;
        prLoadGroup(gIdxCurr2);
}


/*
function getKey()
{
	return window.document.getElementById("h_group").value;
}

*/
function prOnRefreshSuccess(response)
{
	showCtrl("divLoading",false);
	response=response.split("|");

	if( response[0]=="ok"    )	{ 
		Accion="dspGroups.htmopt?"+gSessionData + "&h_group=" + parent.GetGroupName();
		window.open(Accion, window.name);
		return true;
	}
	else if( response[0]=="error" )	{ prSetError(response[1]); }
	else {	prAlertWindow(M_UNKNOWN_RESPONSE,response);	}
}

function onRefresh() {
	Accion=	"srvLoadUsersGroups.htmopt?"+gSessionData
		+"&h_rulemode=group";

	AjaxRequest.get({
		'url':Accion,
		'timeout':1800000,
		'onTimeout':function(req) { alert('Request Timed Out!'); showCtrl("divLoading",false);},
		'onLoading':function()    { showCtrl("divLoading",true); },
		'onSuccess':function(req) { prOnRefreshSuccess(req.responseText) }
	  });
	return true;
}

function prAddItems(itms)
{
        frm = document.forms[0];

	var listGroups = window.document.getElementById("selListGroup");
	var selectedGroups = window.document.getElementById("selGroups");
	clearList(listGroups);

        for( i=2; i<itms.length; i++) {
                //if( itms[i]!="" && !valueExistsInList(itms[i], selectedGroups))
                if( trim(itms[i])!="")
                        addToList(itms[i],listGroups,0);
	} 
	prLoadGroups(gIdxCurr2);
	 setAlreadySelected();
}

function prOnGetRecordsSuccess(response)
{

	//showCtrl("trLoading",false);
        response = response.split("|");
        if( response[0]=="ok"    )      { prAddItems(response); }
        else if( response[0]=="error" ) { prSetError(response[1]); }
        else {  prAlertWindow(M_UNKNOWN_RESPONSE,response);     }
}

function prSetCurrent(offset, indexes)
{
        itms = document.getElementById(indexes);
        tags = itms.getElementsByTagName("a");
        for( i=0; i<tags.length; i++) {
                tags[i].className= "noselIdx";
        }
        if( offset>0 && offset<=tags.length )
                tags[offset-1].className= "selIdx";
}

function fnOnGotoRcdTimedOut(offset)
{
        if( confirm(M_REQTIMEDOUT+"\n "+M_RELAUNCHTASK) )
                fnGotoRcd(offset);
        else
                prSetError(M_REQTIMEDOUT);
}

function fnGotoRcd(offset)
{
        prSetCurrent(offset, 'indexes');
        TheForm=document.forms[0];
        Accion= "srvGetRecords.htmopt?"+gSessionData
                + "&h_wmode="+'group'
                + "&h_offset="+offset
                + "&";
	//window.open(Accion);
        AjaxRequest.get({
                'url':Accion,
                'timeout' :60000,
                'onTimeout'     :function(req) { prOnGotoRcdTimedOut(offset);  },
/*                'onLoading'     :function()    { showCtrl("trInfo",false); showCtrl("trLoading",true); },*/
                'onSuccess'     :function(req) { req.responseText=unescape(req.responseText); prOnGetRecordsSuccess(req.responseText) }
        });
  return true;
}

function onAddGroup()
{
	var Group = window.document.getElementById("group").value;
	if (trim(Group) == "") {
		alert(WRITEGROUPNAME);
		return;
	}
	var list = window.document.getElementById("selGroups");
	if( fnFind(gGroupLst, Group) < 0 ) {
                gGroupLst[gGroupLst.length] = Group;
        }

     	var lastPage = gNumPage;
        gNumPage  =Math.ceil(gGroupLst.length/ gRecordsPerPage);
        if (lastPage< gNumPage)
                prAddPageIndex();
        if (gNumPage == gIdxCurr2)
                addToList(Group, list, 0);
        else
                prLoadGroup(gNumPage);
}

function getData() {
//	return getListValues(window.document.getElementById("selGroups"), "|");
	return gGroupLst.join('|');
}
