var gIdxCurr2 = 1;
var gRecordsPerPage = 100;
var gNumPage = 0;

function prLoadUsers(offset)
{
	gIdxCurr2 = offset;
        var lst = document.getElementById('selUsers');
	clearList(lst);
	var min = gRecordsPerPage*(gIdxCurr2-1);
	if (min < 0)
		min = 0;
	for (var i=min; i<gRecordsPerPage*gIdxCurr2 && i < gUserLst.length; i++) 
	{
		addToList(gUserLst[i], lst, 0);
	}

	prSetCurrent(gIdxCurr2, 'indexes2');
}

function prAddPageIndex()
{
	var indexes = document.getElementById('indexes2');
        var anchor ="";
        for (i=1; i<=gNumPage; i++)
        {
                anchor += "<a href='#' onClick='prLoadUsers("+i+")';>&nbsp;"+i+"&nbsp;</a>";		
        }
	indexes.innerHTML = '<center>'+anchor+'</center>';
}

function setAlreadySelected() {
        var lstUser = document.getElementById('selListUser');
	for (var i=0; i<lstUser.length; i++) 
	{
		var j = fnFind(gUserLst, lstUser.options[i].text);  
		lstUser.options[i].disabled = j>=0;
		lstUser.options[i].selected = j<0;
	}
}

function prOnLoad()
{
	if (gUserLst == '')
		gUserLst = new Array();
	else {
		gUserLst = gUserLst.split('|');	 
		gNumPage  =Math.ceil(gUserLst.length/ gRecordsPerPage);
	}
	setAlreadySelected();
	prAddPageIndex();
	prLoadUsers(1);    
	prSetCurrent(gIdxCurr, 'indexes');
}

function fnFind(arr, item)
{
	for (var j=0; j<arr.length  && arr[j] != item; j++)
	      ;
	 return j == arr.length ? -1 : j;
}

function fnFindElement(lst, item)
{
	for (var j=0; j<lst.length  && lst.options[j].text != item; j++)
	       ;
	return j == lst.length ? -1 : j;
}

function onAdd() {
	var Users = window.document.getElementById("selUsers");
	var listUsers = window.document.getElementById("selListUser");
	if (listUsers.selectedIndex < 0)
	{
		alert(SELECTUSERADD);
		return;
	}

	for ( var i=0; i<listUsers.length; i++ ) {
                if( listUsers.options[i].selected && fnFind(gUserLst, listUsers.options[i].value) < 0 ) {
			gUserLst[gUserLst.length] = listUsers.options[i].value;
			 listUsers.options[i].disabled = true;
                }
        }

	var lastPage = gNumPage;
	gNumPage  =Math.ceil(gUserLst.length/ gRecordsPerPage);
	if (lastPage< gNumPage)
		prAddPageIndex();
	prLoadUsers(gNumPage);
	
	listUsers.selectedIndex = -1;	
}

function onDelete() {
	var Users = window.document.getElementById("selUsers");
	var listUsers = window.document.getElementById("selListUser");
	if (Users.selectedIndex < 0)
	{
		alert(SELECTUSERDELETE);
		return;
	}
	for ( var i=0; i<Users.length; i++ ) {
                if( Users.options[i].selected) {
			var j = fnFind(gUserLst, Users.options[i].value);
			if (j >= 0)
				gUserLst.splice(j, 1);
			var j = fnFindElement(listUsers,  Users.options[i].value);
			if (j>=0)
				listUsers.options[j].disabled = false;
                }
        }

	var lastPage = gNumPage;
	gNumPage  =Math.ceil(gUserLst.length/ gRecordsPerPage);
	if (lastPage> gNumPage) 
		prAddPageIndex();
	if (gIdxCurr2 > gNumPage)
		gIdxCurr2 = gNumPage;
	prLoadUsers(gIdxCurr2);

}

function prOnRefreshSuccess(response)
{
	showCtrl("divLoading",false);
	response=response.split("|");

	if( response[0]=="ok"    )	{ 
		Accion="dspUsers.htmopt?"+gSessionData + "&h_group=" + parent.GetGroupName();
		window.open(Accion, window.name);
		return true;
	}
	else if( response[0]=="error" )	{ prSetError(response[1]); }
	else {	prAlertWindow(M_UNKNOWN_RESPONSE,response);	}
}

function onRefresh() {
	Accion=	"srvLoadUsersGroups.htmopt?"+gSessionData
		+"&h_rulemode=user"
		
	AjaxRequest.get({
		'url':Accion,
		'timeout':1800000,
		'onTimeout':function(req) { alert('Request Timed Out!'); showCtrl("divLoading",false);},
                'onLoading':function()    { showCtrl("divLoading",true); },
		'onSuccess':function(req) { prOnRefreshSuccess(req.responseText) }				 
	  });
	return true;
}


function prAddItems(itms)
{
        frm = document.forms[0];

	var listUsers = window.document.getElementById("selListUser");
	clearList(listUsers);

        for( i=2; i<itms.length; i++) {
//                if( itms[i]!="" && !valueExistsInList(itms[i], selectedUsers))
                if( trim(itms[i])!="" )
                        addToList(itms[i],listUsers,0);
	}

	prLoadUsers(gIdxCurr2);
	setAlreadySelected();
}

function prOnGetRecordsSuccess(response)
{
	//showCtrl("trLoading",false);
        response = response.split("|");
        if( response[0]=="ok"    )      { prAddItems(response); }
        else if( response[0]=="error" ) { prSetError(response[1]); }
        else {  prAlertWindow(M_UNKNOWN_RESPONSE,response);     }
}

function prSetCurrent(offset, indexes)
{
        itms = document.getElementById(indexes);
        tags = itms.getElementsByTagName("a");
        for( i=0; i<tags.length; i++) {
                tags[i].className= "noselIdx";
        }
        if( offset>0 && offset<=tags.length )
                tags[offset-1].className= "selIdx";
}

function fnOnGotoRcdTimedOut(offset)
{
        if( confirm(M_REQTIMEDOUT+"\n "+M_RELAUNCHTASK) )
                fnGotoRcd(offset);
        else
                prSetError(M_REQTIMEDOUT);
}

function fnGotoRcd(offset)
{
        prSetCurrent(offset, 'indexes');
        TheForm=document.forms[0];
        Accion= "srvGetRecords.htmopt?"+gSessionData
                + "&h_wmode="+'user'
                + "&h_offset="+offset
                + "&";
	//window.open(Accion);
        AjaxRequest.get({
                'url':Accion,
                'timeout' :60000,
                'onTimeout'     :function(req) { prOnGotoRcdTimedOut(offset);  },
/*                'onLoading'     :function()    { showCtrl("trInfo",false); showCtrl("trLoading",true); },*/
                'onSuccess'     :function(req) { req.responseText=unescape(req.responseText); prOnGetRecordsSuccess(req.responseText) }
        });
  return true;
}

function onAddUser()
{
	var user = window.document.getElementById("user").value;
	if (trim(user) == "" ) {
		alert(WRITEUSERNAME);
		return;
	}
	var list = window.document.getElementById("selUsers");
        if( fnFind(gUserLst, user) < 0 ) {
		gUserLst[gUserLst.length] = user;
        }


	var lastPage = gNumPage;
	gNumPage  =Math.ceil(gUserLst.length/ gRecordsPerPage);
	if (lastPage< gNumPage)
		prAddPageIndex();
	if (gNumPage == gIdxCurr2)
		addToList(user, list, 0);
	else
		prLoadUsers(gNumPage);
}

function getData() {
//	alert(gUserLst.join('|'));
//	return getListValues(window.document.getElementById("selUsers"), "|");
	return gUserLst.join('|');
}
