
function getIntegerIP(ipvalue) {
	var ip = ipvalue.split('.');
	return  (ip[3]<<24 | ip[2] << 16 | ip[1] << 8 | ip[0]);
}

function validateIPRange(list, ipFrom, ipTo) {
	for (var i=0; i<list.options.length; i++) {
		var ipranges = list.options[i].value;
		var iprange = ipranges.split('-');
		var ip1 = getIntegerIP(iprange[0]);
		if (iprange.length > 1) {
			var ip2 = getIntegerIP(iprange[1]);
			if ((ipFrom <=ip1 && ip1 <= ipTo) || (ipFrom <=ip2 && ip2 <= ipTo) ||
				(ip1 <=ipFrom && ipFrom <= ip2) || (ip1  <=ipTo && ipTo <= ip2)) {
				return false;
			}
		}
		else {
			if ((ipTo >0 && ipFrom <=ip1 && ip1 <= ipTo) || ipFrom == ip1) {
				return false;
			}
		}	
	}
			
	return true;
}


//----------------------------------------------
//Agrega llave+valor al combo
function addKey(pKey,pValue,pComboBox)
{
	try
	{
	
		var oComboBox = document.getElementById(pComboBox);
		var oTextValue = document.getElementById(pValue);
		var oTextKey = document.getElementById(pKey);


		//Validación de rangos de Ips
		var from = trim(oTextKey.value);
		var to = trim(oTextValue.value);
		if (!isValidIP(from) || (to.length != 0 && !isValidIP(to)))
		{
			alert(INVALIDIP);
			return;
		}
		var intFrom = getIntegerIP(from);
		var intTo = getIntegerIP(to);
/*		if (to.length != 0 && parseInt(intFrom) >= parseInt(intTo)) {
			alert(INVALIDIPRANGE);
			return;
		}
	
*/		if (!validateIPRange(oComboBox, intFrom, intTo)) {
			alert(INVALIDIPRANGE);
			return;
		}
		if (to.length > 0) var ips = from+'-'+to;
		else var ips = from;

	
		addToList(ips,oComboBox,0);
		oTextValue.value="";
		oTextKey.value="";
	}catch(e){
		alert('addKey:' + e.message);
	}
		
}//function
//----------------------------------------------
//Elimina los elementos seleccionadas del combo
function removeKey(pComboBox)
{
	try
	{
		var oComboBox = document.getElementById(pComboBox);
		delSelectedFromList(oComboBox);
	
	}catch(e){
		alert('removeURL:' + e.message);
	}

}//function

//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnBotonAceptar(h_profile_name,h_action)
{
	var lArrIps = getListValues(document.frmMain.h_ip_list,'|');

	//alert(lArrFicheros);
	Accion=	"/components/General/FilteringPolicies/Policies/Profile/Connection/srvConnection.htmopt?" + gSessionData +
			"&h_profile_name=" + h_profile_name + "&h_action=" + h_action + 
			"&h_ip_list=" + escape(lArrIps) ;

 	window.open(Accion, window.name);

 	return true;
}
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
