var ghl = new CControlHighlighter2(	"Formulario_Medio_Disabled", "Formulario_Medio_Error" );

var oStrategy = new CStrategy(gSessionData,true,'/components/General/FilteringPolicies/Policies/Profile/srvGetDataProfiles.htmopt');
//oStrategy.debug=true;

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
// Cambia el estilo de todos los elementos con nombre "tdpestana"
// Selecciona el objeto pestana 
function changePSelected(pestana)
{		
		var iSelectedIndex=0;
			var pests = document.getElementsByName("tdpestana");
			var frames = document.getElementsByName("dTabContent");
			for( var i=0; i<pests.length; i++){
				pests[i].className = "PestanaInactivaG";	
				
				if(pests[i]===pestana){
					 iSelectedIndex = i;
					frames[iSelectedIndex].style.display="block";
					}else{
					frames[i].style.display="none";
				}
			}
			
			pestana.className = "PestanaActivaG";	
		return iSelectedIndex;
}


//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function selectFirst(){
	try{
		var aryTabs = document.getElementById('tdpestana');
		if(aryTabs) aryTabs.onclick();
	}catch(e){
		alert('selectFirst: ' + e.message)
	}//try
}



//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//Valida que el perfil no este asignado en una politica(Strategy|policyname|profile)
var lObjElementsFound =  new Object(); //Objeto que almacenara los nombres de politicas asignadas al perfil
lObjElementsFound.data = "";//
function onDelete()
{
	var h_profile_name = document.getElementById('h_profiles').value;

	//Busca si existe un "profile" con el mismo nombre
	//en srvGetDataProfile.htmopt se indica en que ruta y que fichero buscara
	bElementFound = oStrategy.mpSearchElementByKeyValue(h_profile_name,'onDeleteWarning();',"prDelteProfile('h_profiles','cmbProfileDetail');",lObjElementsFound);
}///function

//--------------------------------------------------------------------------------------------------------
//Muestra el mensaje con el nombre de las politicas a las que esta asignado el perfil
function onDeleteWarning(){
	alert(M_M_PROFILE_DEL_WARNING.replace("POLICYNAME",lObjElementsFound.data));
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
// Obtiene el detalle de un perfil y lo agrega en un comboBox
//	pstrPerfil	= nombre del perfil seleccionado
// pstrDetail = nombre del combo box donde se mostrara el detalle
function prDelteProfile(pCombo,pComboDetail){
	try
	{

		var pProfile = document.getElementById('h_profiles').value;	
		var Action=	"srvProfile.htmopt?"+gSessionData+
				"&h_profiles="+escape(pProfile) + "&h_action=delete" ;
		

		// Ajax HTTP Request
		AjaxRequest.get(
		  {
			'url':Action,
			'onError'	:function(){ },
			'onTimeOut'	:function(){  },
			'onLoading'	:function()    { 	},
			'onSuccess'	:function(req) { 
					fnProfile('new','');
					oStrategy.mpLoadElements(document.getElementById(pCombo));		
					var oDetail = document.getElementById(pComboDetail);
					clearList(oDetail);
			 }
		  }
		);
		//DEBUG: 	window.open(Action,'new');


	}catch(e){alert('prDelteProfile  ' + e.message);}
}//function


//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
// NewProfile  action=new
//EditProfile   action=edit
//DeleteProfile action=delete
function fnProfile(pAction,pProfile){
	try{
	
		var sErrorMsg="";
		pAction = pAction.toLowerCase();
		//alert(pAction + '-' + pProfile);
		if(pAction!="new" && pAction!="" ) {
			if(pProfile=="")
				sErrorMsg = M_PRSEL_WARNING;			
		
			if(sErrorMsg!=""){
				alert(sErrorMsg);
				return false;
			}
				
		}//if
		var oTDTitle = document.getElementById("tdEditionTitle");
		var oProfileName = document.getElementById("h_profile_name");
		document.getElementById("h_action").value = pAction;
		
		switch(pAction){
			case 'new':
				oTDTitle.innerHTML=M_TBNUEVO;
				oProfileName.readOnly = false;	
				oProfileName.value="";
				document.getElementById("h_profile_name").selectedIndex=-1;
				clearList(document.getElementById('cmbProfileDetail'));
				showCtrl("divLoading",false);
				reloadTabs();//recarga los iframes con la informacion del perfil seleccionado				
			break;
			case 'edit':
				oTDTitle.innerHTML=M_EDIT;
				oProfileName.readOnly = true;	
				oProfileName.value=pProfile;
				reloadTabs();//recarga los iframes con la informacion del perfil seleccionado				
			break;
			case 'delete':
				if(!confirm(M_PRDEL_CONFIRM))
					return false;
				onDelete();
				document.getElementById("h_profile_name").selectedIndex=-1;
			break;
			default:
				oTDTitle.innerHTML=M_TBNUEVO;
				oProfileName.readOnly = false;
			return false;
			
		}//switch
		//Llamar al primer elemento
		selectFirst();

		return true;
	}catch(e){
		
		alert('fnProfile=' + e.message);
	}//try

}//function

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//Abre la pagina que viene en el attributo "reloadurl" del iframe
//Detecta el indice del link activo para determinar el indice del iframe
//los links y los iframes deben tener el mismo orden
function openTab(oLink){
	try
	{
		var aryiFrames = Array();
		var sAccion ;
		var iSelected=0;//indice de la pestaña seleccionada
	
		//Parametros para enviar al iframe
		var h_profile_name = document.getElementById("h_profile_name").value;
		var h_action = document.getElementById("h_action").value;
		
		iSelected = changePSelected(oLink);	//selecciona la pestaña que corresponde al objeto oLink

	
		var iframes = document.getElementsByTagName("IFRAME");

		if(iframes[iSelected].getAttribute('src')==""){
			sURL = iframes[iSelected].getAttribute('reloadurl');
			sAccion = sURL;
			sAccion+=(sURL.indexOf("?")>=0)?"&":"?";
			sAccion+= gSessionData + 
						"&h_profile_name="  + h_profile_name +
						"&h_action="	 	+ h_action ;
			iframes[iSelected].src = sAccion;
		}
	}catch(e)
	{
		alert('openTab:' + e.message);
	}//try

}//function 

//------------------------------------------------------------------
//Asigna el elemento vacio como "src" a todos los iframes
function reloadTabs()
{
	try
	{
		var h_profile_name = document.getElementById("h_profile_name").value;
		var h_action = document.getElementById("h_action").value;
		var sURL="";
		var sExtraParams="";

		var iframes = document.getElementsByTagName("IFRAME");
		for(i=0;i<iframes.length;i++)
		{
			/*	sURL = iframes[i].getAttribute('reloadurl');
			sAccion = sURL;
			sAccion+=(sURL.indexOf("?")>=0)?"&":"?";
			sAccion+= gSessionData + 
						"&h_profile_name="  + h_profile_name +
						"&h_action="	 	+ h_action +
						"&"+ sExtraParams ; 
			*/
			iframes[i].src = "";
		}

	}catch(e)
	{
		alert('reloadTabs: ' + e.message );
	}//try
}//function

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnAceptar(){
	var h_profile_name = document.getElementById("h_profile_name").value;

		var bElementFound=0;
		var sErrorMsg="";

			if(fnIsValidInput(h_profile_name) || (trim(h_profile_name)=="")){
				alert(M_INVALID_VALUE);	
				return false;
			}

			//Busca si existe un "profile" con el mismo nombre
			//en srvGetDataProfile.htmopt se indica en que ruta y que fichero buscara
			bElementFound = oStrategy.mpSearchElement(h_profile_name,'onEdit()','onAceptar()');

		
}

function onEdit(){
		var h_action 		 = document.getElementById("h_action").value;	
		if(h_action=="new"){
			alert(M_VALUEEXISTS)
			return false;
		}
		onAceptar();

}//

//Call fnAceptar function of iframe wTabContent
function onAceptar(){
	try{
		var h_profile_name = document.getElementById("h_profile_name").value;
		var h_action 		 = document.getElementById("h_action").value;

		var iActiveFrames = 0;
		var iframes = document.getElementsByTagName("IFRAME");
		var aryIndexFrames = Array();
		
		showCtrl("divLoading",true);

		for(i=0;i<iframes.length;i++){
			if(iframes[i].getAttribute("src")!="")
				aryIndexFrames.push(i);
		}//for

		for(i=0;i<aryIndexFrames.length;i++)
		{
			//Si es el ultimo iframe activo, se cambia el action por "end" para
			// recargar los combos de perfiles
			if(i==(aryIndexFrames.length-1))	h_action = "end";
			window.frames[aryIndexFrames[i]].fnBotonAceptar(h_profile_name,h_action);
		}//for


	}catch(e){
		alert('onAceptar():' + e.message)
	}//try
}//function 

//IFRAME modification successfully
function fnReadOnlyProfileName()
{
	try{


		fnProfile('new','');
		oStrategy.mpLoadElements(document.getElementById('h_profiles'));
		showCtrl("divLoading",false);

	}catch(e){

		alert('fnReadOnlyProfileName=' + e.message);
	}
}//function


