
var gInvChrs = "|&\";'^{}[]()?!~+=,";
var base64s = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";


//-----------------------------------------------------------------------------------------

function decode64(encStr)
{
	var bits, decOut = '', i = 0;

	for (; i<encStr.length; i += 4)
	{
		bits = (base64s.indexOf(encStr.charAt(i))    & 0xff) <<18 |
			(base64s.indexOf(encStr.charAt(i +1)) & 0xff) <<12 |
			(base64s.indexOf(encStr.charAt(i +2)) & 0xff) << 6 |
			base64s.indexOf(encStr.charAt(i +3)) & 0xff;
			decOut += String.fromCharCode(
			(bits & 0xff0000) >>16, (bits & 0xff00) >>8, bits & 0xff);
	}

	if (encStr.charCodeAt(i -2) == 61)
		undecOut=decOut.substring(0, decOut.length -2);
	else if (encStr.charCodeAt(i -1) == 61)
		undecOut=decOut.substring(0, decOut.length -1);
	else
		undecOut=decOut;

		return unescape(undecOut);
}


//-----------------------------------------------------------------------------------------

function prRefreshMenu ()
{
	var Action;
	
	Action = Action = "/components/General/GeneralManagement/Configuration//Menu/dspMenu.htmopt?" + gSessData +
		"&h_file=" + h_file +
		"&h_path=" + h_path;

	window.open (Action, "frmMenu");
}


//-----------------------------------------------------------------------------------------

function prOnLoad ()
{
	//decode64 incluido por compatibilidad. Nadie sabe en realidad por qu la plantilla anterior lo utilizaba.
	if (IsValEnc == "true")
	{
		var txtTextBox = document.getElementById ("h_value");
		
		txtTextBox.value = decode64 (txtTextBox.value);
	}
	
	if (h_refresh == "true")
		prRefreshMenu ();
}


//-----------------------------------------------------------------------------------------

function prRefresh ()
{
	var Action;
	
	Action = "/components/General/GeneralManagement/Configuration/Edit/dspEdit.htmopt?" + gSessData +
		"&h_file=" + h_file +
		"&h_path=" + h_path;

	window.open (Action, window.name);
}


//-----------------------------------------------------------------------------------------

function fnAddList (fld, lst)
{
	//var rvalue = /^([\w|:|.|\/])+$/;

	if (fnValidateField (fld.value) == false || fld.value.indexOf ("|") != -1)
	{
		alert (M_INVALID_VALUE);
		fld.focus ();
		fld.select ();
		return;
	}
	
	addToList (fld.value, lst, 0);
} // fnAddList


//-----------------------------------------------------------------------------------------

function fnValidateField (pValue)
{

	if (ThisKeyMask != "")
	{
		var TmpMask = new RegExp (ThisKeyMask);

		if (!pValue.match (TmpMask))
			return false;
	}
	else
	{
		var TmpMask = /^([\w|:|.|\/])+$/;

		if (!TmpMask.test (pValue))
			return false;
	}

	if (ThisKeyType != "" && ThisKeyType == "Integer")
	{
		if (isNaN (parseInt (pValue)))
			return false;
	}

	if (ThisKeyMin != "")
	{
		if (parseInt (pValue) < parseInt (ThisKeyMin))
			return false;
	}

	if (ThisKeyMax != "")
	{
		if (parseInt (pValue) > parseInt (ThisKeyMax))
			return false;
	}

	if (ThisKeyRO == "True")
	{
		return false;
	}

	if (ThisKeyVV != "")
	{
		var Values = ThisKeyVV.split ("|");
		var Valid = false;
		
		for (Contador = 0; Contador < Values.length; ++Contador)
		{
			
			if (pValue == Values [Contador])
			{
				Valid = true;
				break;
			}
		}
		
		if (Valid == false)
			return false;
	}

	return true;
}


//-----------------------------------------------------------------------------------------

function fnTestMultyKey (pKeys)
{
	var Keys = pKeys.split ("|");
	var Contador;
	
	if (Keys.lenght < 1)
	{
		alert(M_CONF_ALERT02);
		return false;
	}

	for (Contador = 0; Contador < Keys.length; ++Contador)
	{
		if (fnValidateField (Keys [Contador]) == false)
		{
			alert (M_CONF_ALERT01 + " (" + Contador + ")");
			return false;
		}
	}

	return true;
}


//-----------------------------------------------------------------------------------------

function fnValField(pFld)
{
	if (!valText(pFld.value,gInvChrs))
	{
		alert(M_CONF_ALERT01 + "(" + gInvChrs + ")");
		pFld.focus();
		pFld.select();
		return false;
	}
	return true;
} // fnValField


//-----------------------------------------------------------------------------------------

function prSaveKeyValue (pKeyVal, pKeyPath)
{
	var Action;


	if (ThisKeyMode != "" && ThisKeyMode != "Simple")
		return ;

	if (fnValidateField (pKeyVal) == false)
	{
		alert (M_INVALID_VALUE);
		return ;
	}

	Action = "/components/General/GeneralManagement/Configuration/Edit/srvSetKeyVal.htmopt?" + gSessData +
		"&h_file=" + h_file +
		"&h_path=" + pKeyPath +
		"&h_val="  + pKeyVal;

	window.open (Action, window.name);
}


//-----------------------------------------------------------------------------------------
//Crea un String separado por "|" con todas las llaves contenidas en el combo box
function fnGetKeyList (pList)
{
	var KeyList = window.document.getElementById (pList);
	var Contador;
	var KeysToAdd = "";

	for (Contador = 0; Contador < KeyList.length; ++Contador)
	{
		KeysToAdd += KeyList.options [Contador].value;

		if (Contador < KeyList.length - 1)
			KeysToAdd += "|";
	}
	
	return (KeysToAdd);
}

//-----------------------------------------------------------------------------------------

function prSetKeyValue ()
{
	var KeyValue = document.getElementById ("h_value");


	prSaveKeyValue (KeyValue.value, h_path);
}


//-----------------------------------------------------------------------------------------

function prSetToList ()
{
	var KeysToAdd;
	var Action;
	

	if (ThisKeyMode != "" && ThisKeyMode != "Multiple")
		return ;
	
	KeysToAdd = fnGetKeyList ("h_list");
	
	Action = "/components/General/GeneralManagement/Configuration/Edit/srvAddKeys.htmopt?" + gSessData +
		"&h_file=" + h_file +
		"&h_path=" + h_path +
		"&h_val="  + KeysToAdd;

	window.open (Action, window.name);
}


//-----------------------------------------------------------------------------------------

function prAddSimpleKey ()
{
	var KeyVal = window.document.getElementById ("h_namesk");
	var Action;
	

	if (fnValidateField (KeyVal.value) == false)
	{
		alert (M_INVALID_VALUE);
		return ;
	}
	
	Action = "/components/General/GeneralManagement/Configuration/Edit/srvAddKeys.htmopt?" + gSessData +
		"&h_file=" + h_file +
		"&h_path=" + (h_path != ""? h_path + '|' : "") + KeyVal.value +
		"&h_val=";

	window.open (Action, window.name);
	
}


//-----------------------------------------------------------------------------------------

function prSetKeyValues ()
{
	var KeyVal = fnGetKeyList ("h_value");
	
	var Action;
	
	if (fnTestMultyKey (KeyVal) == false)
	{
		return ;
	}

	Action = "/components/General/GeneralManagement/Configuration/Edit/srvAddKeys.htmopt?" + gSessData +
		"&h_file=" + h_file +
		"&h_path=" + h_path +
		"&h_val="  + KeyVal;

	window.open (Action, window.name);
}

//-----------------------------------------------------------------------------------------

function prAddKeyValue ()
{
	var KeyName = document.getElementById ("h_namekv");
	var KeyVal =  document.getElementById ("h_value");


	if (!fnValidateField (KeyVal.value))
		return ;

	prSaveKeyValue (KeyVal.value, (h_path != ""? h_path + "|" : "") + KeyName.value);
}


//-----------------------------------------------------------------------------------------

function prAddList ()
{
	var KeyName = window.document.getElementById ("h_namelist");
	var KeysToAdd;
	var Action;
	

	if (fnValidateField (KeyName.value) == false)
	{
		alert (M_INVALID_VALUE);
		return ;
	}

	KeysToAdd = fnGetKeyList ("h_list");
	
	
	Action = "/components/General/GeneralManagement/Configuration/Edit/srvAddKeys.htmopt?" + gSessData +
		"&h_file=" + h_file +
		"&h_path=" + (h_path != ""? h_path + '|' : "") + KeyName.value +
		"&h_val="  + KeysToAdd;

	window.open (Action, window.name);
}


//-----------------------------------------------------------------------------------------

function prDelete ()
{
	var Action;
	
	if(!confirm(M_CONF_CONFIRMDEL)) return false;

	Action = "/components/General/GeneralManagement/Configuration/Edit/srvRemoveKey.htmopt?" + gSessData +
		"&h_file=" + h_file +
		"&h_path=" + h_path;


	window.parent.prRefresh (h_file, "");
	window.open (Action, window.name);
}


