onload = function() {
		initalState();
}

// Estado inicial del la forma
function initalState() {
	window.document.getElementById("action").value="";
	window.document.getElementById("module").selectedIndex=0;
	window.document.getElementById("lasttask").value="";
	window.document.getElementById("inpTaskName").value="";
	window.document.getElementById("lastmodule").value="";
	window.document.getElementById("inpScript").value="";
	window.document.getElementById("inpPeriod").value="";
	window.document.getElementById("inpInicio").value="";
	window.document.getElementById("inpFin").value="";
	DisableAllCtrls(true);
	var selTimeRange = window.document.getElementById("selHoras")
	clearList(selTimeRange);
	var selDias =	window.document.getElementById("selDias");
	var selDiasAplicar =window.document.getElementById("selDiasAceptado");
	clearList(selDias);
	clearList(selDiasAplicar);
	for (i=1; i<=31; i++) {
		var opt = document.createElement('option');
		if (i<10) {
			opt.text = '0'+i;
			opt.value = '0'+i;
		}
		else {
			opt.text = ''+i;
			opt.value = ''+i;
		}
		try  {
			selDias.add(opt, null);
		} catch (e) {
			selDias.add(opt);				
		}
	}
	
	var radiob = document.getElementsByName('Schedule');
	var elem = document.getElementsByName('feature');
	for (m = 0; m < 13; m++)
			elem[m].checked = false;
	radiob[0].checked = true;
	onChangeModule(window.document.getElementById("module").value);	
	onChangePer();
}

// Habilita o deshabilita los elementos enviados
function onChangePer() {
	var radiob = document.getElementsByName('Schedule');
	var elem = document.getElementsByName('feature');
	for (n = 0; n < radiob.length; n++) {
		for (m=0; m<elem.length; m++)
			elem[m].disabled = true;
				
		if (radiob[0].checked)
			for (m = 0; m < 4; m++)
				elem[m].disabled = false;
		
		if (radiob[1].checked) 
			for (m = 4; m < 11; m++)
				elem[m].disabled = false;
			
		if (radiob[2].checked) 
			for (m = 11; m < 13; m++)
				elem[m].disabled = false; 							
	}
}

function onChangeModule(val) {
	var select = window.document.getElementById("selFunction");
	for (var i=select.length-1; i>=0; i--)
		select.remove(i)
	var valor = val.split('@');
	for (var i=0; i<numFunctions; i++)
	{
		var field = functions[i].split('$');
		if (valor[0] == field[0]) 
		{
			var opt = document.createElement('option');
			opt.text = field[1];
			try
			{
				select.add(opt, null);
			}
			catch(ex)
			{
				select.add(opt);
			}					
		}
	}	
	if (val !="-") {
		disableCtrl("inpTaskName", false);
		window.document.getElementById("inpTaskName").focus();				
	}
}

function disableCtrl(id, disable)
{
	ctrl = window.document.getElementById(id);
	if (ctrl)
		ctrl.disabled = disable;
}
function DisableAllCtrls(state)
{
	disableCtrl("module", state);
	disableCtrl("inpTaskName", state);
	disableCtrl("radFunction", state);
	disableCtrl("radScript", state);
	disableCtrl("selFunction", state);
	disableCtrl("inpScript", state);
	disableCtrl("radMensual", state);
	disableCtrl("radDiario", state);
	disableCtrl("radSemana", state);
	disableCtrl("selDias", state);
	disableCtrl("tdAdd", state);
	disableCtrl("tdDelete", state);
	disableCtrl("selDiasAceptado", state);
	disableCtrl("inpPeriod", state);
	disableCtrl("inpInicio", state);
	disableCtrl("selHoras", state);
	disableCtrl("inpFin", state);
	disableCtrl("tdAddHora", state);
	disableCtrl("tdDelHora", state);	
	disableCtrl("tableOperation", state);	
}

function SetSelectItem(sel, val) 
{
	for (i=0; i<sel.length; i++) {
		if (sel.options[i].text == val) {			
			sel.selectedIndex = i;
			break;
		}
	}
}

function SetTimeRange(val) {
	var TimeRange = val.split('|');
	var selTimeRange = window.document.getElementById("selHoras")
	clearList(selTimeRange);
	for (var i=0; i<TimeRange.length; i++) {
		var opt = document.createElement('option');
		opt.text = TimeRange[i];
		opt.value = TimeRange[i];
		try {
			selTimeRange.add(opt, null);
		}catch (e) {
			selTimeRange.add(opt);
		}
	}
}

function SetDayOfWeek(dayToApply)
{
	var days = Array('mon', 'tue', 'wed', 'thr', 'fri', 'sat', 'sun');
	var elem = document.getElementsByName('feature');
		
	for (j=0; j<dayToApply.length; j++) {
		for (i=0; i<7; i++) {
			if (days[i] == dayToApply[j]) {					
				elem[i+4].checked = true;
				break;
			}
		}
	}
}

function SetPeriod(val)
{
	var period = document.getElementById('inpPeriod');
	var sel = document.getElementById('selPeriod');
	period.disabled = false;
	sel.disabled = false;
	for (var i=sel.length-1; i>=0; i--) {
		if ((val  % sel.options[i].value) == 0) {
			period.value = val;
			sel.selectedIndex = i;
			break;
		}
	}
}

// Agrega todos los dias del mes, y elimina de la lista original los dias seleccionados
function SetDayOfMoth(day)  {
	var selDias =	window.document.getElementById("selDias");
	var selDiasAplicar =window.document.getElementById("selDiasAceptado");
	if (day.length >= 1) {
		day.sort();
		clearList(selDias);
		clearList(selDiasAplicar);
					
		var  i, j=1;
		for (i=1; i<=31; i++) {
			var opt = document.createElement('option');
			if (i<10) {
				opt.text = '0'+i;
				opt.value = '0'+i;
			}
			else {
				opt.text = ''+i;
				opt.value = ''+i;
			}
			if (parseInt(day[j-1]) == i) {
				j++;
				try  {
					selDiasAplicar.add(opt, null);
				} catch (e) {
					selDiasAplicar.add(opt);				
				}
			}
			else {
				try {
					selDias.add(opt, null);
				}
				catch (e) {
					selDias.add(opt);				
				}
			}	
		}
	}
}

function onNew()
{
	initalState();
	window.document.getElementById("action").value="New";
	disableCtrl("module", false);
}

// Trae todos los datos para llenar los campos, el mtodo es usar el iframe como buffer
// el iframe implementa la funcion GetActiveData(index)  la cual devuelve el valor en la
// columna index
function onEdit()
{
	window.document.getElementById("lasttask").value=window.frames['TasksTable'].GetActiveData(0);
	window.document.getElementById("lastmodule").value=window.frames['TasksTable'].GetActiveData(1);
	DisableAllCtrls(false);
	var i, j;
	window.document.getElementById("action").value="Edit";
	var select = window.document.getElementById("module");
	var field = window.frames['TasksTable'].GetActiveData(1);
	SetSelectItem(select, field);
	if (select.selectedIndex >=0)
		onChangeModule(select.options[select.selectedIndex].value);

	window.document.getElementById("inpTaskName").value = window.frames['TasksTable'].GetActiveData(0);
	
	if (window.frames['TasksTable'].GetActiveData(2) == SCRIPT)  {
		window.document.getElementById("radScript").checked = true;
		window.document.getElementById("inpScript").value = window.frames['TasksTable'].GetActiveData(4);
	}
	else {
		window.document.getElementById("radFunction").checked = true;
		var select = window.document.getElementById("selFunction");
		field = window.frames['TasksTable'].GetActiveData(4);
		SetSelectItem(select, field);
	}
	onChangeOperation()
	var fields = window.frames['TasksTable'].GetActiveData(5);
	field = fields.split('|');
	if (window.frames['TasksTable'].GetActiveData(3) == DIARIO)  {
		window.document.getElementById("radDiario").checked = true;
		onChangePer();
		SetPeriod(field[1]);
	}
	else if (window.frames['TasksTable'].GetActiveData(3) == SEMANAL)  {
		window.document.getElementById("radSemana").checked = true;
		onChangePer();
		SetDayOfWeek(field);		
	}
	else{
		window.document.getElementById("radMensual").checked = true;
		onChangePer();
		SetDayOfMoth(field.slice(1,field.length));	
	}	
	var timeRange;
	timeRange= window.frames['TasksTable'].GetActiveData(6);
	SetTimeRange(timeRange.substring(1, timeRange.length));
}

function onCancel() {
	initalState();
}

function onChangeTaskName()
{
	DisableAllCtrls(false);
}

// Se hizo un cambio en el radio button 
function onChangeOperation()
{	
	var ctrl = window.document.getElementById("radFunction");
	disableCtrl("selFunction", !ctrl.checked);
	disableCtrl("inpScript", ctrl.checked);
	if (!ctrl.checked) {
		window.document.getElementById("inpScript").focus();							
	}
}

// Agrega el dia del mes, y elimina de la lista original los dias seleccionados
function AddDay(select1, select2)
{
	if (window.document.getElementById('tdAdd').disabled)
		return;
	var ctrl1 = window.document.getElementById(select1);
	var ctrl2= window.document.getElementById(select2);
	if (ctrl1.selectedIndex >= 0) 	{
		var opt = document.createElement('option');
		opt.text = ctrl1.options[ctrl1.selectedIndex].text;
		opt.value = ctrl1.options[ctrl1.selectedIndex].text;
		if (ctrl2.length > 0) {
			var i=0;
			while (ctrl2.options[i] != null && parseInt(ctrl2.options[i].text) < parseInt(opt.text))
			{
				i++;
			}
			try {
				ctrl2.add(opt, ctrl2.options[i]);
			}catch (e) {
				ctrl2.add(opt, i);
			}
			
		}
		else  {
			
			try {
				ctrl2.add(opt, null);
			}catch (e) {
				ctrl2.add(opt);
			}
		}
		ctrl1.remove(ctrl1.selectedIndex);
	}
}

function AddHour()
{
	if (window.document.getElementById('tdAddHora').disabled)
		return;
	var select = window.document.getElementById("selHoras");
	var horainicio = window.document.getElementById("inpInicio").value;
	var horafinal = window.document.getElementById("inpFin").value;
	var hInicio = horainicio.split(':');
	var hFinal = horafinal.split(':');
	if (hInicio.length != 2 || (hInicio[0] < 0 || hInicio[0] > 23) || (hInicio[1] < 0 || hInicio[1] > 59)) {
		alert(INVALIDHOUR);
		return ;
	}
	if (hFinal.length != 2 || (hFinal[0] < 0 || hFinal[0] > 23) || (hFinal[1] < 0 || hFinal[1] > 59)) {
		alert(INVALIDHOUR);
		return;
	}
	if (hInicio[0] >= hFinal[0] &&  hInicio[1] >= hFinal[1]) {
		alert(INVALIDPERIOD);
		return;
	}
	
	var opt = document.createElement('option');
	opt.text = horainicio+'-'+horafinal;
	opt.value = horainicio+'-'+horafinal;
	try {
		select.add(opt, null);
	}catch (e) {
		select.add(opt);
	}
}

///////////////////////////////////////////////////
function RemoveHour()
{
	var select = window.document.getElementById("selHoras");
	if (select.selectedIndex >= 0)
		select.remove(select.selectedIndex);
}

///////////////////////////////////////////////////
function onAccept()
{
	if ("" == window.document.getElementById("action").value) {
		return ;
	}
	
	//Modulo, TaskName, operation, schedule, range time
	var sessionData = SESSION_DATA;
	sessionData += "&h_action="+window.document.getElementById("action").value;
	sessionData += "&h_lasttaskname="+window.document.getElementById("lasttask").value;
	sessionData += "&h_lastmodule="+window.document.getElementById("lastmodule").value;
	// Nombre del modulo
	var module = window.document.getElementById("module");
	if (module.selectedIndex <= 0) {
		alert(VALIDATEMODULE);
		return ;
	}
	sessionData += "&h_module="+module.options[module.selectedIndex].value;
	if ("" == window.document.getElementById("inpTaskName").value)
	{
		alert(VALIDATENAMETASK);
		return ;
	}
	// Nombre del la tarea
	sessionData += "&h_taskname="+window.document.getElementById("inpTaskName").value;

	if (window.document.getElementById("action").value == "New")  {		
		for (var i=0; i<window.frames['TasksTable'].GetRows(); i++) {
			if (window.frames['TasksTable'].GetData(i, 0)   ==  window.document.getElementById("inpTaskName").value && 
				window.frames['TasksTable'].GetData(i, 1)   ==  module.options[module.selectedIndex].value)
			{
				alert(VALIDATEUNIQUENAME);
				return ;
			}
		}
	}
	
	// Tipo de funcion: Funcion/Script
	var ctrl = window.document.getElementById("radFunction");
	if (ctrl.checked)  {  // Function
		var func = window.document.getElementById("selFunction");
		sessionData += "&h_operation=Function";
		sessionData += "&h_function="+func.options[func.selectedIndex].text;
	}
	else {  // script
		if ("" == window.document.getElementById("inpScript").value)
		{
			alert(VALIDATESCRIPT);
			return ;
		}
		sessionData += "&h_operation=Script";
		sessionData += "&h_function="+window.document.getElementById("inpScript").value;
	}
	
	var i;
	// Periodo, puede ser Mensual, semanal o diario
	var field = "";
	if (window.document.getElementById("radMensual").checked) {
		sessionData += "&h_typeperiod=AllowedDays";
		select = window.document.getElementById("selDiasAceptado");
		field =getListValues(select, '|');;
		if ('' == field) {
			alert(VALIDATEDAYS);
			return;
		}
	}
	else if (window.document.getElementById("radSemana").checked) {
		var days = Array('mon', 'tue', 'wed', 'thr', 'fri', 'sat', 'sun');
		sessionData += "&h_typeperiod=AllowedWeekdays";
		var elem = document.getElementsByName('feature');
		for (i = 4; i < 11; i++) {
			if (elem[i].checked)
				field += days[i-4] + '|';
		}
		if ('' == field) {
			alert(VALIDATEWEEKDAYS);
			return;
		}
		field = field.substring(0, field.length-1);
	}
	else  {
		sessionData += "&h_typeperiod=Period";
		field = window.document.getElementById("inpPeriod").value;
		var select  = window.document.getElementById("selPeriod");
		field *= select.options[select.selectedIndex].value;
		if ('' == field) {
			alert(VALIDATEEVERY);
			return;
		}
		
		if (field < 1800)
		{
			alert (M_MINIMUM_PERIOD);
			return ;
		}
	}
	sessionData += "&h_period="+field;
	
	// Por ultimo el rango de tiempo 
	select = window.document.getElementById("selHoras");			
	field =getListValues(select, '|');
	if ('' == field) {
		field = '00:00-23:59|'
//alert(VALIDATERANGE);
//	return;
	}
	sessionData += "&h_timerange="+field;
	// La mandamos al ifram de tarea, donde se procesa la informacion
	window.document.getElementById("TasksTable").src = "dspTasks.htmopt?"+sessionData;
	initalState();
}


// Borra una tarea programada
function onDelete() {
	if(!confirm(PRDELCONFIRM))
			return false;
	var module = window.frames['TasksTable'].GetActiveData(1);
	if (module != "") {
		var sessionData = SESSION_DATA;
		sessionData += "&h_action=delete";
		sessionData += "&h_module="+module;
		sessionData += "&h_taskname="+window.frames['TasksTable'].GetActiveData(0);
		// Actualizamos el framset con la operacion a realizar
		window.document.getElementById("TasksTable").src = "dspTasks.htmopt?"+sessionData;
		initalState();
		
	}
	else
	{
		alert(VALIDATESELECT);
	}
}
