//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//--------------SERVERS--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnValidateServerData() {
	var frm = document.getElementById("formServers");
	if( frm.h_srvlst.value=="" ) {
		alert(M_SELANOPTION);
		return false;
	}
	// ---------- Listening Port
	var lstngport = document.getElementById("h_lsteningprt");
	if( lstngport ) {
		if( lstngport.value!="" ) {
			if( !isAllDigits(lstngport.value) ) {
				alert(M_NOT_ALL_DIGITS);
				lstngport.select();
				lstngport.focus();
				return false;
			}
			var nlstnprt = parseInt( lstngport.value,10 );
			if( nlstnprt<0 || nlstnprt>65535 ) {
				alert(M_PORT_OUT_OF_RANGE);
				lstngport.select();
				lstngport.focus();
				return false;
			}
		}
	}
	// ---------- Number of  Threads
	var numthreads = document.getElementById("h_threads");
	if( numthreads ) {
		if( numthreads.value!="" ) {
			if( !isAllDigits(numthreads.value) ) {
				alert(M_NOT_ALL_DIGITS);
				numthreads.select();
				numthreads.focus();
				return false;
			}
			var nthreads = parseInt( numthreads.value,10 );
			if( nthreads<1 || nthreads>65535 ) {
				alert(M_NOT_ALL_DIGITS+" (1-65535)");
				numthreads.select();
				numthreads.focus();
				return false;
			}
		}
	}
	return true;	
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnServerSuccess(response) {
//	showCtrl("lblStatus",false);	
	var res = response.split(";");
	if( res[0]=="ok"    )	{ 
		if(gRefresh=="") 
			Accion = "/components/General/GeneralManagement/ExtConnections/dspExtConnections.htmopt";
		else
			Accion = gRefresh;
		window.open(Accion + "?" + gSessionData, window.name);
	}
	else if( res[0]=="error" )	{ alert("ERROR:"+res[1]); }
	else {	prAlertWindow("Unknown Response",res[0]);	}
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnServerAccept() {
	var frm = document.getElementById("formServers");
	// Validate Data
	if( !fnValidateServerData() ) return false;
	
	var ctrl;
	// Optional Fields
	ctrl = document.getElementById("h_lsteningntwk");
	var lstngnetwork= ( ctrl )? ctrl.value : "";
	ctrl = document.getElementById("h_lsteningprt");
	var lstngport= ( ctrl )? ctrl.value : "";
	ctrl = document.getElementById("h_threads");
	var numthreads= ( ctrl )? ctrl.value : "";	
	var Transports;
	var ThisModuleOnly;

	pBalancing = ( frm.h_balancing[0].checked )?"Primary":"Secondary";
	pDisabled = ( frm.h_disabled.checked )?"True":"False";
	
	if (frm.h_transports != null) 
	{
		Transports = frm.h_transports.value;
		
		if (Transports == "BOTH")
			Transports = "TCP|UDP";
	}
	else
		Transports = ""
	
	if (frm.h_thismoduleonly != null)
		ThisModuleOnly = (frm.h_thismoduleonly.checked? "true":"false");
	else
		ThisModuleOnly = "false";
	
	/* DEBUG *
	alert(	"lstngnetwork: \t"+lstngnetwork+
			"\nlstngport: \t"+lstngport+
			"\nnumthreads: \t"+numthreads+
			"\npBalancing: \t"+pBalancing+
			"\npDisabled: \t"+pDisabled
		);		
	return false;
	*END DEBUG*/
	
	var Action=	"srvServerList.htmopt?"+gSessionData+
				"&h_intfname="+gIntfName+
				"&h_module="+escape(frm.h_srvlst.value)+
				"&h_balancing="+pBalancing+
				"&h_disabled="+pDisabled+
				"&h_lsteningntwk="+lstngnetwork+
				"&h_lsteningprt="+lstngport+
				"&h_transports=" + Transports +
				"&h_thismoduleonly=" + ThisModuleOnly +
				"&h_threads="+numthreads;
	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		'url':Action
		,'timeout' :10000
		,'onTimeout'	:function(req) { alert('Request Timed Out!');  }
		,'onLoading'	:function()    {  }
		,'onSuccess'	:function(req) { prOnServerSuccess(req.responseText) }
	  }
	);
	return true;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnServerCancel() {
	if(gRefresh=="") 
		Accion = "/components/General/GeneralManagement/ExtConnections/dspExtConnections.htmopt";
	else
		Accion = gRefresh;
	window.open(Accion + "?" + gSessionData, window.name);	
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//--------------MODULES--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnModuleNuevo()
{
	showCtrl("divModules",true);
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnGetModuleName() {
	var frm = document.getElementById("formModules");
	var name = frm.h_sufix.value+':'+frm.h_module_name.value;
	return name;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnValidateModuleData() {
	var frm = document.getElementById("formModules");
	var validString = /^[0-9A-Za-z._]+$/;
	// Validate name doesn't exists already
	if( gModule=="" ) 
	{
		var hosts = gHostList.split("|");
		for( var i=0; i<hosts.length; i++)
		{
			var name = fnGetModuleName();
			if( hosts[i].toLowerCase()==name.toLowerCase() )
			{
				alert(M_VALUEEXISTS);
				frm.h_module_name.select();
				frm.h_module_name.focus();
				return false;
			}
		}
	}
	// Validate Name
	if( !validString.test(frm.h_module_name.value) ) 
	{
		alert(M_INVALIDSTRING);
		frm.h_module_name.select();
		frm.h_module_name.focus();
		return false;
	}
	return true;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prUpdateModuleData(newmodule) {
	var list = document.getElementById("h_srvlst");
	addToList(newmodule, list, 0);
	showCtrl("divModules",false);
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnModuleSuccess(response) {
	var res = response.split(";");
	if( res[0]=="ok"    )	{ prUpdateModuleData(res[1]); }
	else if( res[0]=="error" )	{ alert("ERROR:"+res[1]); }
	else{ alert("unknown response "+res[0]); }
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnModuleAccept()
{
	var frm = document.getElementById("formModules");
	if( !fnValidateModuleData() ) return false;

	Action = "srvModules.htmopt?"+gSessionData
			+"&h_modulename="+fnGetModuleName()
			+"&h_host="+frm.h_module_host.value;
	//alert( Action );
	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		 'url':Action
		,'timeout' :10000
		,'onTimeout'	:function(req) { alert('Request Timed Out!'); }
		,'onLoading'	:function()    {  }
		,'onSuccess'	:function(req) { prOnModuleSuccess(req.responseText) }							 
	  }
	);
	return true;
}

function prOnModuleCancel()
{
	showCtrl("divModules",false);
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//--------------HOSTS----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnHostNuevo()
{
	showCtrl("divHosts",true);
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnValidateHostData() {
	frm = document.getElementById("formHosts");
	var validString = /^[0-9A-Za-z._]+$/;
	// Validate name doesn't exists already
	if( gHost=="" ) 
	{
		var hosts = gHostList.split("|");
		for( var i=0; i<hosts.length; i++)
		{
			var name = frm.h_host_name.value;
			//alert( hosts[i].toLowerCase()+"=="+name.toLowerCase() );
			if( hosts[i].toLowerCase()==name.toLowerCase() )
			{
				alert(M_VALUEEXISTS);
				frm.h_host_name.select();
				frm.h_host_name.focus();
				return false;
			}
		}
	}
	// Validate Name
	if( !validString.test(frm.h_host_name.value) ) 
	{
		alert(M_INVALIDSTRING);
		frm.h_host_name.select();
		frm.h_host_name.focus();
		return false;
	}
	// Validate Domain
	if( frm.h_host_domainname.value!="" && !validString.test(frm.h_host_domainname.value) ) 
	{
		alert(M_INVALIDSTRING);
		frm.h_host_domainname.select();
		frm.h_host_domainname.focus();
		return false;
	}
	
	// Validate IPs
	var tbl = document.getElementById("tblNetworks");
	if( tbl ) {
		var r;
		frm.h_networks.value = "";
		for( r=0; r<tbl.rows.length; r++) // begins in '1' to skip the header
		{
			var row = tbl.rows[r];
			var ip  = row.cells[1].firstChild;
			if( ip.value!="" && !isValidIP(ip.value) ) 
			{
				alert(M_INVALIDSTRING);
				ip.select();
				ip.focus();
				return false;
			}
			if( ip.name=="Localhost" && ip.value!="" && ip.value!="127.0.0.1" ) {
				alert(M_INVALIDSTRING + " (127.0.0.1)");
				ip.select();
				ip.focus();
				return false;
			}
			if( ip.value!="" ) frm.h_networks.value += ip.name+'='+ip.value+'|';
		}
	}
	// Validate data is not empty
	if( frm.h_networks.value=="" &&
		frm.h_host_domainname.value=="" ) {
		alert(M_HOSTS_NOEMPTY);
		return false;
	}
	return true;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prUpdateHostData(newhost) {
	var list = document.getElementById("h_module_host");
	addToList(newhost, list, 0);
	showCtrl("divHosts",false);
	
/*	hostName = document.frmEdit.h_name.value;
	if( gUpdateMode=="select" ) {
		gActiveDocument= top.opener.document;
		ctrl = gActiveDocument.getElementById(gRefresh);
		addToList(hostName,ctrl,0);
		gActiveDocument= document;
	}
	if( gUpdateMode=="text" ) {
		ctrl = top.opener.document.getElementById(gRefresh);
		ctrl.value=hostName;
	}
	if( gUpdateMode=="refresh" ) {
		window.opener.location.reload(true);
	}*/
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnHostSuccess(response) {
//	showCtrl("lblStatus",false);
	var res = response.split(";");
	if( res[0]=="ok"    )	{ prUpdateHostData(res[1]); }
	else if( res[0]=="error" )	{ alert("ERROR:"+res[1]); }
	else{ alert("unknown response "+res[0]); }
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnHostAccept()
{
	if( !fnValidateHostData() ) return false;
	var frm = document.getElementById("formHosts");
	Action = "srvHosts.htmopt?"+gSessionData
			+"&h_hostname="+frm.h_host_name.value
			+"&h_domain="+frm.h_host_domainname.value
			+"&h_networks="+escape(frm.h_networks.value);
	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		 'url':Action
		,'timeout' :10000
		,'onTimeout'	:function(req) { alert('Request Timed Out!');  }
		,'onLoading'	:function()    { /*showCtrl("lblStatus",true);*/ }
		,'onSuccess'	:function(req) { prOnHostSuccess(req.responseText) }							 
	  }
	);
	return true;
}

function prOnHostCancel()
{
	showCtrl("divHosts",false);
}
