var gHighlighter = new CControlHighlighter2("frmDisabled","frmError" );
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnLoad() {
	window.resizeTo(450, 410);
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnValidateData() {
	var frm = document.frmEdit;
	if( frm.h_srvlst.value=="" ) {
		gHighlighter.mpSetError(frm.h_srvlst);
		alert(M_SELANOPTION);
		return false;
	}gHighlighter.mpSetNormal(frm.h_srvlst);
	// ---------- Listening Port
	var lstngport = document.getElementById("h_lsteningprt");
	if( lstngport ) {
		if( lstngport.value!="" ) {
			if( !isAllDigits(lstngport.value) ) {
				gHighlighter.mpSetError(lstngport);
				alert(M_NOT_ALL_DIGITS);
				lstngport.select();
				lstngport.focus();
				return false;
			}
			var nlstnprt = parseInt( lstngport.value,10 );
			if( nlstnprt<0 || nlstnprt>65535 ) {
				gHighlighter.mpSetError(lstngport);
				alert(M_PORT_OUT_OF_RANGE);
				lstngport.select();
				lstngport.focus();
				return false;
			}
		}
		gHighlighter.mpSetNormal(lstngport);
	}
	// ---------- Number of  Threads
	var numthreads = document.getElementById("h_threads");
	if( numthreads ) {
		if( numthreads.value!="" ) {
			if( !isAllDigits(numthreads.value) ) {
				gHighlighter.mpSetError(numthreads);
				alert(M_NOT_ALL_DIGITS);
				numthreads.select();
				numthreads.focus();
				return false;
			}
			var nthreads = parseInt( numthreads.value,10 );
			if( nthreads<1 || nthreads>65535 ) {
				gHighlighter.mpSetError(numthreads);
				alert(M_NOT_ALL_DIGITS+" (1-65535)");
				numthreads.select();
				numthreads.focus();
				return false;
			}
		}
		gHighlighter.mpSetNormal(numthreads);
	}
	return true;	
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
// Updates parent window control
function prUpdateData() {
	var srvr = document.frmEdit.h_srvlst.value;
	
	if( gUpdateMode=="select" ) {	
		gActiveDocument= top.opener.document;
		ctrl = gActiveDocument.getElementById(gRefresh);
		addToList(srvr,ctrl,0);
		gActiveDocument= document;
	}
	if( gUpdateMode=="text" ) {
		ctrl = top.opener.document.getElementById(gRefresh);
		ctrl.value=srvr;
	}
	if( gUpdateMode=="list"){
		gActiveDocument= top.opener.document;		
		ctrl = gActiveDocument.getElementById(gRefresh);
		
		it = ctrl.firstChild;		
		while (it) {
			if( it.childNodes.length > 0 )			
				if(it.firstChild.innerHTML == srvr) return;
			it = it.nextSibling;			
		}	
		var li = gActiveDocument.createElement("LI");		
		var a  = gActiveDocument.createElement("A");				
		ctrl.appendChild(li);
		li.appendChild(a);			
		a.innerHTML = srvr;
		a.href = gHRef.replace("{param}","'" + srvr +"'");		
	}
	
	if( gUpdateMode=="refresh" ) {		
		window.opener.location.reload(true);		
	}
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnSuccess(response) {

	showCtrl("lblStatus",false);	
	var res = response.split(";");
	if( res[0]=="ok"    )	{ prUpdateData(); window.close(); }
	else if( res[0]=="error" )	{ alert("ERROR:"+res[1]); }
	else {	prAlertWindow("Unknown Response",res[0]);	}
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnAcceptClick() {
	// Validate Data
	if( !fnValidateData() ) return false;
	
	var ctrl;
	// Optional Fields
	ctrl = document.getElementById("h_lsteningntwk");
	var lstngnetwork= ( ctrl )? ctrl.value : "";
	ctrl = document.getElementById("h_lsteningprt");
	var lstngport= ( ctrl )? ctrl.value : "";
	ctrl = document.getElementById("h_threads");
	var numthreads= ( ctrl )? ctrl.value : "";	
	var frm = document.frmEdit;
	pBalancing = ( frm.h_balancing[0].checked )?"Primary":"Secondary";
	pDisabled = ( frm.h_disabled.checked )?"True":"False";
	
	/* DEBUG *
	alert(	"lstngnetwork: \t"+lstngnetwork+
			"\nlstngport: \t"+lstngport+
			"\nnumthreads: \t"+numthreads+
			"\npBalancing: \t"+pBalancing+
			"\npDisabled: \t"+pDisabled
		);		
	return false;
	*END DEBUG*/
	
	var Action=	"srvServerList.htmopt?"+gSessionData+
				"&h_intfname="+gIntfName+
				"&h_module="+escape(frm.h_srvlst.value)+
				"&h_balancing="+pBalancing+
				"&h_disabled="+pDisabled+
				"&h_lsteningntwk="+lstngnetwork+
				"&h_lsteningprt="+lstngport+
				"&h_workmode="+gWorkMode+
				"&h_threads="+numthreads;
	// Ajax HTTP Request
	/**/
	AjaxRequest.get(
	  {
		'url':Action,
		'timeout' :10000,
		'onTimeout'	:function(req) { alert('Request Timed Out!');  },
		'onLoading'	:function()    { showCtrl("lblStatus",true);   },
		'onSuccess'	:function(req) { prOnSuccess(req.responseText) }							 
	  }
	);/**/
	return true;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnCancelClick() {
	window.close();
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prNewServerClick() {
	var frm = document.frmEdit;
	mod = frm.h_srvlst.value.split(':');
	module  = ( mod.length>1 )? mod[1] : "";
	Accion	=	"/components/Admin/Modules/dspModules.htmopt?"+gSessionData+
				"&h_module="+module+
				"&h_sufix="+gSufix+
				"&h_updatemode=select"+
				"&h_excludemodules="+escape("CacheMiami|CacheSanSebastian|CacheMadrid")+
				"&h_refresh=h_srvlst";
	var Params= 'menubar=no,toolbar=no,'+
				'width=400,height=300,screenX=200,screenY=200,'+
				'scrollbars=0,statusbar=0,resizable=0';
	//alert(Accion);
	window.open(Accion, 'Modules', Params);
	return true;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
