var ghl = new CControlHighlighter2(	"Formulario_Medio_Disabled", "Formulario_Medio_Error" );
var secServs = new CSectionControler();
secServs.add("ServicesLoading");
secServs.add("ServicesList");
secServs.add("SrvsMessage");
var secProfs = new CSectionControler();
secProfs.add("SelectOne");
secProfs.add("Loading");
secProfs.add("idMessage");
secProfs.add("Detail");
var	iidVals= "123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ";
var gInfoLoaded = false;
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function isUsedRadiusID()
{
	return (document.frmEdit.h_radiusid.type!="hidden");
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnCheckProfile(servLst)
{
	var frme = document.frmEdit;

	// Validate profile is not empty
	if( frme.h_profile.value=="" || frme.h_profile.value==gNewId ) return M_CONF_ALERT01;

	// Validate profile maximum size
	if( frme.h_profile.value.length > 9 ) return M_FLDLNMAXERR + " 9";
	
	// Validate profile has only valid characters
	var patt = /^(\w)+$/;
	if( !patt.test(frme.h_profile.value) ) return M_INVALID_VALUE;
	
	// Validate profile is unique
	var items = document.frmServcs.selServices.value.split("|");	
	origProfile = items[1];
	profile = frme.h_profile.value;	
	if ((profile != origProfile) && (findValueInList(profile,servLst,'|',1)) ) return M_VALUEEXISTS;

	return "";
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnCheckProviderCode(servLst)
{
	var frme = document.frmEdit;

	// Validate Provider Code  is not empty
	if( frme.h_providercode.value=="" ) return M_CONF_ALERT01;

	// Validate Provider Code maximum size
	if( frme.h_providercode.value.length > 9 ) return M_FLDLNMAXERR + " 9";

	// Validate Provider Code has only valid characters
	var patt = /^(\w)+$/;
	if( !patt.test(frme.h_providercode.value) ) return M_INVALID_VALUE;
	
	// Validate Provider Code is unique
	var items = document.frmServcs.selServices.value.split("|");	
	origProvCode = items[1];
	provCode = frme.h_providercode.value;
	if((provCode != origProvCode) && findValueInList(provCode,servLst,'|',1) ) return M_VALUEEXISTS;

	return "";
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function fnCheckRadiusID(servLst)
{
	var frme = document.frmEdit;

	RadiusID = -1;

	// Validate Provider Code  is not empty
	if( frme.h_radiusid.value=="" ) return M_CONF_ALERT01;

	// Validate if only digits
	if( isAllDigits(frme.h_radiusid.value) ) {
		strRadiusID = frme.h_radiusid.value;
		RadiusID = parseInt(strRadiusID,10);
		if(strRadiusID.length == 1) strRadiusID = "0" + strRadiusID;
		frme.h_radiusid.value = strRadiusID;
	}
		
	// Validate the RadiusID is between 0 and 99
	if ( RadiusID<0 || RadiusID>99 ) return	M_CCOTTA_ERR_BLKSIZE + " (0-99)";
	
	// validate the name is not repeated
	var items = document.frmServcs.selServices.value.split("|");	
	origRadiusID = items[3];
	radiusID = frme.h_radiusid.value;
	if((radiusID != origRadiusID) && findValueInList(strRadiusID,servLst,'|',3) ) {
		var hit = findValueInList(strRadiusID,servLst,'|',3).value.split("|");
		return M_VALUEEXISTS + ' (' + hit[1] + ')';
	}

	return "";
}

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prNormaliseControls()
{
	// Normalise controls
	var frme = document.frmEdit;	
	if( isUsedRadiusID() ) ghl.mpSetNormal(frme.h_radiusid);
	ghl.mpSetNormal(frme.h_profile);
	if( frme.h_profile.value=="default" ) ghl.mpSetDisabled( frme.h_profile );
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnSelServicesClick(strAction)
{	
	var frm = document.frmServcs;
	
	if( frm.selServices.value=="" && strAction=="edit") { 
				alert(M_CONF_ALERT02)
				return ;
			}	
			
	// If no profile is selected, auto-select New...
	if( frm.selServices.value=="" ) {
		frm.selServices.selectedIndex = frm.selServices.options.length-1;		
	}
	
	var items = frm.selServices.value.split("|");
	var service = items[0];
	var profile = items[1];

	document.getElementById("h_action").value = strAction
	switch(strAction){
		case 'new':	// On new profile selected
			gInfoLoaded = false;

			
			// Cant add more services
			if( frm.selServices.options.length>iidVals.length ) { 
				secProfs.set("SelectOne");
				alert(M_SERVMAX_ERR);
				return;
			}
			secProfs.set("Detail");
			prSetElementText("currSrv",M_TBNUEVO);		
			var frme = document.frmEdit;
			frme.reset();
			
			frme.h_service.value= service;
			
			if( frme.h_profile.value=="default" ) ghl.mpSetDisabled( frme.h_profile );
			else {
				ghl.mpSetNormal(frme.h_profile);
				frme.h_profile.focus();
			}
			frme.h_service.disabled= false;
			ghl.mpSetDisabled(frme.h_iid,true);
			ghl.mpSetDisabled(frme.h_providercode,true);
			
		break;
		case 'edit':

			
			// A profile has been selected
			prLoadInfo(service,profile);
			var frme = document.frmEdit;
			frme.h_service.disabled= true;
			ghl.mpSetDisabled(frme.h_iid,true);
			ghl.mpSetDisabled(frme.h_providercode,true);
		
		break;
	}//switch		

}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
// Load profile stored info via an Ajax call
function prLoadInfo(service,profile)
{
	var Action=	"srvServicesGetInfo.htmopt?" + gSessionData + 
				"&h_service=" + escape(service) + 
				"&h_profile=" + escape(profile) + 
				"&";
	AjaxRequest.get(
	  {
		'url':Action,
		'timeout' 	:60000,
		'onLoading'	:function()    { secProfs.set("Loading");   },
		'onTimeout'	:function(req) { secProfs.set("idMessage"); secProfs.setText(M_REQTIMEDOUT);},
		'onSuccess'	:function(req) { prOnLoadInfoSuccess(req.responseText) }							 
	  }
	);
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
// Process the result of the load Info Ajax call
function prOnLoadInfoSuccess(response)
{
	var resp = response.split("|");
	//alert(resp);
	var opStatus= resp[0];
	if( opStatus=="ok" ) {
		secProfs.set("Detail");
		var prof = new CServiceProfile();
		prof.loadFromResponse(response);
		prSetElementText("currSrv",prof.service);
		prof.saveToForm(document.frmEdit);
		prNormaliseControls();
		gInfoLoaded = true;
	}
	else {	alert(M_LOADINFOERR + "\n" + M_RELOADPAGE); }
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function getNewIID(service, profile, servLst)
{	
	
	var newIID="";
	if(service=="WebFilter"		) newIID='W';
	if(service=="MailFilter"	) newIID='M';
	if(service=="SMTPFilter.In"	) newIID='I';
	if(service=="SMTPFilter.Out") newIID='O';
	if(service=="AdsFree"		) newIID='A';
	if(service=="Antiphising"	) newIID='P';
	if(service=="Firewall"		) newIID='F';
	if(service=="AntiVirus"		) newIID='V';
	if(service=="Reporter"		) newIID='R';
	if(service=="Activation"	) newIID='T';
	// this should NEVER happens!
	if( newIID=="" ){ alert("Error Grave \nSe ha encontrado un servicio desconocido."); return "";}

	inst = 0;
	lstVals = getListValues(servLst,';').split(';');
	for( i=0; i<(lstVals.length-1); i++ ) // nos saltamos en _new_ service
	{
		lstElems = lstVals[i].split('|');
		//alert( iidVals.charAt(inst)+"=="+lstElems[2].charAt(1));
		if( iidVals.charAt(inst)==lstElems[2].charAt(1) ) { 
			inst++;
			if( inst>=iidVals.length ) return "";
			i=0;
		}
	}
	newIID += iidVals.charAt(inst);
	newIID = newIID.toUpperCase();	

	return newIID;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnValidNewServiceInfo(service)
{
	var error = "";

	frme = document.frmEdit;
	servLst = document.getElementById(service);

	// couldnot find an adequate service
	if( frme.h_iid.value=="" ){
		alert(M_CONF_ALERT01);
	 return false;
	}
	
	// Validate Profile
	error = fnCheckProfile(servLst);
	ghl.mpSetNormal(frme.h_profile);
	if( error != "" ) {
		alert(error);
		ghl.mpSetError(frme.h_profile);
		frme.h_profile.focus();
		frme.h_profile.select();
		return false;
	}

	if( frme.h_profile.value == "default" )
		ghl.mpSetDisabled(frme.h_profile);
	else
		ghl.mpSetNormal(frme.h_profile);
	
	// Validate ProviderCode
	error = fnCheckProviderCode(servLst);
	ghl.mpSetNormal(frme.h_providercode);
	if( error != "" ) {
		alert(error);
		ghl.mpSetError(frme.h_providercode);
		frme.h_providercode.focus();
		frme.h_providercode.select();
		return false;
	}

	// Validate RadiusID
	if( isUsedRadiusID() && frme.h_profile.value != "default" )
	{
		error = fnCheckRadiusID(servLst);
		ghl.mpSetNormal(frme.h_radiusid);
		if( error != "" ) {
			alert(error);
			frme.h_radiusid.focus();
			frme.h_radiusid.select();
			ghl.mpSetError(frme.h_radiusid);
			return false;
		}
		
	}
	
	// validate the iid is not empty
	/*
	var iid	= frme.h_iid.value.toUpperCase();
	if (frme.h_iid.value== "") {			
		alert(M_CONF_ALERT01);
		frme.h_iid.focus();
		frme.h_iid.select();
		ghl.mpSetError(frme.h_iid);
		return false;
	}
	// validate the iid is not repeated
	if( findValueInList(iid,servLst,'|',2) ) {
		alert(M_VALUEEXISTS);
		frme.h_iid.focus();
		frme.h_iid.select();
		ghl.mpSetError(frme.h_iid);
		return false;
	}*/

	return true;
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
// This function is called in case of a new service profile or the edition of an existing one
function prOnAcceptClick()
{
	var frm = document.frmServcs;
	var items = frm.selServices.value.split("|"); // get selected service option info
	//var items = document.forms.frmEdit.h_service.value.split("|");
	var service = items[0];
	var profile = items[1];
	var iid 	= items[2];
	
	if( document.frmEdit.h_file_rules.type=="hidden" ) 
		document.frmEdit.h_ownprofile.checked=false;

	if( document.frmEdit.h_providercode.type == "hidden" ) 
		document.frmEdit.h_providercode.value = document.frmEdit.h_profile.value;

	// Validate the data
	if( !prOnValidNewServiceInfo(service) ) return;
	
	// A new service is going to be declared
	if( profile==gNewId ) {	
		//if( !confirm(M_ADDSERV_CONFRIM) ) return;
		// Get info from the edit form
		var prof = new CServiceProfile();
		prof.loadFromForm(document.frmEdit);
		prof.service = service;
		prSaveServiceInfo(prof,true);
	}
	else {
		// Get info from the edit form
		var prof = new CServiceProfile();
		prof.loadFromForm(document.frmEdit);
		prSaveServiceInfo(prof,false);
	}
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnSaveServiceInfoSuccess(response,prof)
{
	var resp = response.split("|");
	var errcode = resp[0];
	var errdesc = resp[1];
	secServs.set("ServicesList"); 
	if( errcode=="ok" ) {
		var txt = prof.profile; // + ':' + prof.IID;
		var val = prof.service + '|' + prof.profile + '|' + prof.IID;
		if( isUsedRadiusID() ) val+= '|'+prof.RadiusID;
		var servLst = document.getElementById(prof.service);
		
		// delete previous setting
		currOpt = document.frmServcs.selServices.value.split("|")[1];
		if( currOpt!=gNewId )
			delSelectedFromList(servLst);
		// get NEWID option index
		it  = findValueInList(gNewId,servLst,'|',1); 
		// Create new option
		var newOpt = document.createElement("OPTION");
		newOpt.value = val;
		newOpt.selected = true;
		newOpt.appendChild( document.createTextNode(txt) );
		servLst.insertBefore(newOpt, it);
		document.frmServcs.selServices.value = val;
	}
	else if( errcode=="error" ){
		alert(M_LOADINFOERR + "\n" + M_RELOADPAGE + "\n" + errdesc);
	}
	else {
		prAlertWindow(M_UKNWNRESP,response);
	}	
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prSaveServiceInfo(prof,isNew)
{
	//prof.alertInfo();
	nw = isNew?"yes":"no";
	var Action=	"srvServicesSaveInfo.htmopt?" + gSessionData + 
				"&" + prof.getUrlParams() + 
				"&h_newservice="+nw+
				"&";
	AjaxRequest.get({
		'url':Action,
		'timeout' 	:60000,
		'onLoading'	:function()    { secServs.set("ServicesLoading"); },
		'onTimeout'	:function(req) { secServs.set("SrvsMessage"); secServs.setText(M_REQTIMEDOUT); },
		'onSuccess'	:function(req) { prOnSaveServiceInfoSuccess(req.responseText,prof); }
	});
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prGenerateFileNames()
{
	frme= document.frmEdit;
	items= frme.h_service.value.split("|");
	service = new String( items[0] );
	profile = 	frme.h_profile.value;
	
	if( profile=="" ) return;
	
	if(	frme.h_ownprofile.checked ) ownprofile=true; else ownprofile=false; // puede que frme.h_ownprofile.checked no est definido!
	
	if( !gInfoLoaded || frme.h_file_rules.type=="hidden" || (gInfoLoaded && confirm(M_CONFIRMNEWFILES))  ) {
		frme.h_file_rules.value					=	service + "." + profile + ".rules.conf";
		frme.h_file_default.value				=	service + "." + profile + ".default.conf";
		frme.h_file_template.value				=	(ownprofile)?service + "." + profile + ".WebInterface.conf":"";
		frme.h_file_template_manager.value		= 	(ownprofile)?service + "." + profile + ".Manager.WebInterface.conf":"";
		frme.h_file_template_quarantine.value	= 	(ownprofile)?service + "." + profile + ".Quarantine.WebInterface.conf":"";
	}
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function OnProfileChange()
{
	var	frme;
	var	items;
	var	service;
	var	profile;
	var	lIdx;
	
	
	frme= document.frmEdit;
	items= frme.h_service.value.split("|");
	
	prGenerateFileNames();
	// The iid and provider code are only calculated for new services
	items = document.frmServcs.selServices.value.split("|");
	var service = items[0];
	var profile = items[1];

//	if( profile==gNewId ) {
	if(document.getElementById('h_action').value=="new"){
		// Get IID	
		
		servLst = document.getElementById(service);
		frme.h_iid.value = getNewIID(service,profile,servLst);
		if( frme.h_iid.value=="" ) {
			alert(M_IIDGENERR);
			secProfs.set("SelectOne");
		}
	}

	// Assign providercode if is not defined yet
	if(frme.h_providercode.value=="")
		frme.h_providercode.value = frme.h_profile.value.toUpperCase();
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prNewModality()
{
	var frm;
	var lOpt;
	var items;
	
	frm= document.frmServcs;
	if( frm.selServices.selectedIndex>=0 ) {
		// obtain current service name
		serviceName = frm.selServices.options[ frm.selServices.selectedIndex ].value.split("|")[0];
		// obtain array of elements
		grpelems = document.getElementById(serviceName).getElementsByTagName("option");
		// select the last index, which must be the "New" option
		grpelems[grpelems.length-1].selected = true;
	} 
	else {
		// If no list element is selected, then select the las from the whole list
		frm.selServices.selectedIndex = frm.selServices.options.length-1;
	}
	prOnSelServicesClick();
} // prNewModality	
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnCurrServiceChange(service)
{
	document.frmServcs.selServices.value=service+'|_new_||';
	prOnSelServicesClick();
}
