var Component = new Array();
var dt = new Date();
var gDefaultColorScheme =new Array();
gDefaultColorScheme[0] = [
				{ color: "#1DAE65", 	shadowColor: "#0D5B35"},
				{ color: "#CBFF9A", 	shadowColor: "#668A46"},
				{ color: "#007E00", 	shadowColor: "#007E00" },
				{ color: "#80FFFF", 	shadowColor: "#47738E" },
				{ color: "#98CBFF", 	shadowColor: "#98CBFF" },
			];

gDefaultColorScheme[1] = [
				{ color: "#00FFFF", 	shadowColor: "#008181"},
				{ color: "#3366FF", 	shadowColor: "#1A337E"},
				{ color: "#EDEEDE", 	shadowColor: "#FEFFEF" },
			];
gDefaultColorScheme[2] = [
				{ color: "#FF9900", 	shadowColor: "#7A4700"},
				{ color: "#FE6600", 	shadowColor: "#FF6701"},
			];
			
gDefaultColorScheme[3] = [
				{ color: "#993366", 	shadowColor: "#501934"},
				{ color: "#FECC99", 	shadowColor: "#FFCD9A"},
				{ color: "#FF8080", 	shadowColor: "#846552" },
				{ color: "#7E007E", 	shadowColor: "#36062F" },
				{ color: "#CE9AFF", 	shadowColor: "#695080" },
			];

function prOpenActionsPage(pLang, pModule)
{
	window.location.href= '/components/General/GeneralManagement/AppsStatus/dspProcActions.htmopt?' + SessionData + '&h_module=' + pModule;
} // prOpenMchDetail

function prOpenMchDetail(pLang,pModule)
{
	window.open('/components/General/GeneralManagement/AppsStatus/6_IntegratorMachDetail.htmopt?'+SessionData+'&h_module=' + pModule,'MachineDetail','menubar=no,toolbar=no,width=700,height=480,screenX=200,screenY=200,scrollbars=1,statusbar=0,resizable=0');
} // prOpenMchDetail

function prOpenServerDetails(pLang, pModule, pItem)
{
	window.open('/components/General/GeneralManagement/AppsStatus/dspShowServerDetail.htmopt?' + SessionData + '&h_module=' + pModule + '&h_item=' + pItem, pItem, 'menubar=no,toolbar=no,width=700,height=480,screenX=200,screenY=200,scrollbars=1,statusbar=0,resizable=0');
} // prOpenServerDetails


function prSetElementTextHTML(id,txt) {
	elem = gActiveDocument.getElementById(id);
	elem.innerHTML = txt;
}

function prPaintPie(response, i)
{
	var j=0;
	var k=0;
	var resp=response.split("|");
	showCtrl('idLoadingDisplay'+Component[i].canvastag, false);
	showCtrl('idDisplay'+Component[i].canvastag, true);	
	showCtrl('canvas_bar'+Component[i].canvastag, true);	
	showCtrl('canvas_pie'+Component[i].canvastag, true);	
	Component[i].pieChart.defaultColorScheme= gDefaultColorScheme[i];
	for (j=1; j<resp.length; j++) {
		var val=resp[j].split("=");
		if (val.length >1 && val[0] != '')  {
			Component[i].pieChart.add_element(parseFloat(val[1]), val[0]);		
			k++;			
		}
	}
	if (k== 0) {		
		showCtrl('canvas_bar'+Component[i].canvastag, false);	
		showCtrl('canvas_pie'+Component[i].canvastag, false);	
	}
	try {		
		Component[i].pieChart.render(document.getElementById( "canvas_pie"+Component[i].canvastag ));
	} catch( e ) {
		return;
	}	
}

function prPaintBar(response, i)
{
	var resp=response.split("|");
	var labels=resp[1].split(",");
		
	showCtrl('idLoadingDisplay'+Component[i].canvastag, false);
	showCtrl('idDisplay'+Component[i].canvastag, true);
	Component[i].barchart.defaultColorScheme= gDefaultColorScheme[i];
	for (j=2; j<resp.length; j++) {
		val=resp[j].split(",");		
		values = new Array();
		for (k=0; k<val.length; k++) {
			values[k] =parseFloat(val[k]);
		}
	//	if (values.length > 0)
			Component[i].barchart.add_element(values);	
	}
	Component[i].barchart.add_labels( labels );
	try {		
		Component[i].barchart.render(document.getElementById( "canvas_bar"+Component[i].canvastag ));
	} catch( e ) {
		return;
	}
}

function prPutValuesData1(response, i)
{
	var resp=response.split("|");
	var fields = Array();
	for (k=0; k<5; k++) {
		fields[k] = 0;
	}
	for (j=1; j<resp.length; j++) {
		var f=resp[j].split(",");	
		for (k=0; k<f.length && k<5; k++) {
			fields[k] +=Math.round(f[k]*100)/100;
		}
	}
	
	for (k=1; k<fields.length; k++) {
		id = "Value_"+i+"_"+k;		
		prSetElementTextHTML(id, fields[k]);
	}	
}

function prPutValuesData2(response, i)
{
	var resp=response.split("|");	
	if (trim(resp[1]) == "NoData")
		return;
	for (k=1; k<resp.length && k<=5; k++) {
		var val=resp[k].split("=");	
		var j = k-1;
		if (val.length > 1 && val[0] != '') {
			id = "Label_"+i+"_"+j;				
			prSetElementTextHTML(id, val[0]);
			id = "Value2_"+i+"_"+j;				
			prSetElementTextHTML(id, Math.round(val[1], 0));		
		}
		else
		{
			id = "Label_"+i+"_"+j;				
			prSetElementTextHTML(id, '');
			id = "Value2_"+i+"_"+j;				
			prSetElementTextHTML(id, '');		
		}
	}	
}

function prOnOK(response, i, type)
{		
	if (type == 'Pie') {
		prPaintPie(response, i);		
	}	
	else if (type == 'Bar') {
		prPaintBar(response, i);
	}	
	else if (type == 'Data1') {		
		prPutValuesData1(response, i);
	}	
	else if (type == 'Data2') {
		prPutValuesData2(response, i);
	}	
}
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnError(response, i, type)
{ 
	showCtrl('idLoadingDisplay'+Component[i].canvastag, false);
	showCtrl('idDisplay'+Component[i].canvastag, false);
	showCtrl('idDisplay'+Component[i].canvastag+'Error', true);
	if (type == 'Pie') {
		
		prPaintPie(response, i);		
	}	
	else if (type == 'Bar') {
		prPaintBar(response, i);
	}	
	else if (type == 'Data1') {		
		prPutValuesData1(response, i);
	}	
	else if (type == 'Data2') {
		prPutValuesData2(response, i);
	}	
}
	
function prOnAjaxSuccess(response, i, type)
{	
	var resp=response.split("|");
	var opResult=resp[0];
	// Process response
	if( opResult=="ok" )			prOnOK(response, i, type);
	else if( opResult=="error" ) 	prOnError(response, i, type);
	else /* UNKNOWN RESPONSE */		prAlertWindow("Unknown Response",response);	
}
	
function GetData(i, type, cache) 
{
	var Action=	"srvServiceStateReport.htmopt?"+SessionData+
				"&h_query="+escape(type)+
				"&h_component="+escape(Component[i].canvastag) +
				"&h_cache="+cache;
	
//	alert(Action);
	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		'url':Action,
		'timeout' 	:40000,
		'onError'	:function(){ prOnAjaxSuccess("error|", i, type); },
		'onTimeout'	:function(){  prOnAjaxSuccess("error|", i, type); },
		'onLoading'	:function()    { ; },
		'onSuccess'	:function(req) { prOnAjaxSuccess(req.responseText, i, type); }
	  }
	);
//	window.open(Action, 'new');
}

function GetDatas(j, cache) {
	showCtrl('idLoadingDisplay'+Component[j].canvastag, true);
	showCtrl('idDisplay'+Component[j].canvastag, true);	
	showCtrl('idDisplay'+Component[j].canvastag+'Error', false); 
	GetData(j, 'Data2', cache);
	GetData(j, 'Data1', cache);
	GetData(j, 'Pie', cache);
	GetData(j, 'Bar', cache);  
}


function UpdateGraphs(cache) {
	var tag = document.getElementById( "selWebFilter");		
	if (tag != null && tag.value != 'Off')
		GetDatas(0, cache);
	tag = document.getElementById( "selMailFilter");		
	if (tag != null &&  tag.value != 'Off')
		GetDatas(1, cache);
	tag = document.getElementById( "selAntivirusHTTP");		
	var tag1 = document.getElementById( "selAntivirusSMTP");
	var x;
	x = 0;
        if (tag != null &&  tag.value != 'Off')
                x++;
        if (tag1 != null &&  tag1.value != 'Off')
                x++;
        if (x> 0)
        	GetDatas(2, cache);

	tag = document.getElementById( "selFirewall");		
	if (tag != null &&   tag.value != 'Off')
		GetDatas(3, cache);
		
}

function ResetGraphs() {
	for(j=0; j<4;j++) {
		Component[j].barchart.reset();		
		Component[j].pieChart.reset();
		/*try {		
			Component[i].pieChart.render(document.getElementById( "canvas_pie"+Component[i].canvastag ));
			Component[i].barchart.render(document.getElementById( "canvas_pie"+Component[i].canvastag ));
		} catch( e ) {
		}
		*/
	}
}

function OnLoad()
{
	canvastag = Array();
	canvastag[0] = "WebFilter";
	canvastag[1] = "AntiSpam";
	canvastag[2] = "AntiVirus";
	canvastag[3] = "Firewall";
	
	prSetServiceStateList();
	prSetFamilyState();
	for (i=0; i<4; i++) 
	{
		Component[i] = new Object();		
		Component[i].pieChart = new TSChartLib_PieChart();
		Component[i].pieChart.chartStyle = Component[i].pieChart.STYLE_3D | Component[i].pieChart.STYLE_PERCENT;
		Component[i].barchart = new TSChartLib_BarChart();
		Component[i].barchart.chartStyle = Component[i].barchart.STYLE_3D | Component[i].pieChart.STYLE_PLAIN;		
		Component[i].canvastag = canvastag[i];				
	}
	
	UpdateGraphs(1);
}

function prOnErrorStatus(pItem, pLastItem, img, size) 
{
	pItem.value= pLastItem.value;		
	//ChangeImageState(pLastItem.value, img, size);	
	
}

function ShowGraph(ctrl, opc)
{
	if (opc == 'Off' || !opc )
		showCtrl(ctrl, false);
	else
		showCtrl(ctrl, true);
}

function ShowGraph1(ctrl, opc1, opc2)
{
	if (opc1 == 'On' || opc2 == 'On' || opc1 == 'Monitor' || opc2 == 'Monitor')
		showCtrl(ctrl, true);
	else
		showCtrl(ctrl, false);
}

function prOnStatusOK(field, pItem, pLastItem) 
{
	pLastItem.value = pItem.value;		
	if (field == "WebFilter")
	{
		ResetGraphs();
		ShowGraph('tableWebFilter', pItem.value);
		if( gActiveDocument.getElementById('antispamLastState') )
			ShowGraph('tableAntiSpam',  gActiveDocument.getElementById('antispamLastState').value);
		if( gActiveDocument.getElementById('antivirushttpLastState') && gActiveDocument.getElementById('antivirusSmtpLastState'))
			ShowGraph1('tableAntiVirus', gActiveDocument.getElementById('antivirushttpLastState').value, gActiveDocument.getElementById('antivirusSmtpLastState').value);
		if( gActiveDocument.getElementById('firewallLastState') )
			ShowGraph('tableFirewall', gActiveDocument.getElementById('firewallLastState').value);
		UpdateGraphs(1);
	}
	else if (field == "AntiSpam")
	{
		ResetGraphs();
		if( gActiveDocument.getElementById('antispamLastState') )
			ShowGraph('tableAntiSpam', gActiveDocument.getElementById('antispamLastState').value);
		if( gActiveDocument.getElementById('antivirushttpLastState') && gActiveDocument.getElementById('antivirusSmtpLastState') )
			ShowGraph1('tableAntiVirus', gActiveDocument.getElementById('antivirushttpLastState').value, gActiveDocument.getElementById('antivirusSmtpLastState').value);
		ShowGraph('tableFirewall', gActiveDocument.getElementById('firewallLastState').value);
		UpdateGraphs(1);
	}	
	else if (field == "AntiVirus HTTP" || field == "Antivirus SMTP")
	{	
		ResetGraphs();
		if( gActiveDocument.getElementById('antivirushttpLastState') && gActiveDocument.getElementById('antivirusSmtpLastState') )
			ShowGraph1('tableAntiVirus', gActiveDocument.getElementById('antivirushttpLastState').value, gActiveDocument.getElementById('antivirusSmtpLastState').value);
		if( gActiveDocument.getElementById('firewallLastState') )
			ShowGraph('tableFirewall', gActiveDocument.getElementById('firewallLastState').value);
		UpdateGraphs(1);
	}				
	else if (field == "Firewall")
	{
		ResetGraphs();
		ShowGraph('tableFirewall', pItem.value);
		UpdateGraphs(1);
	}
}

function prOnStatusSuccess(reqtex,field, pItem, pLastItem, img, size)
{
	prSetFamilyState();
	// Process response	
	if( reqtex.substring(0, 2)=="ok" )	prOnStatusOK(field, pItem, pLastItem);
	else 					prOnErrorStatus(pItem, pLastItem, img, size);	
}

//---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prSetServiceState(pItem, pLastItem, field, imgId, size)
{	
	ChangeImageState(pItem.value, imgId, size);
	if (pLastItem.value == "On") 
	{
		if (!confirm(M_DESAC_CONFIM) ) {
			pItem.value= pLastItem.value;					
			ChangeImageState(pLastItem.value, imgId, size);			
			return;
		}
	}	
	if (pLastItem.value == "Monitor") 
	{
		if (pItem.value == "Off")
		{
			if (!confirm(M_DESAC_CONFIM) ) {
				pItem.value= pLastItem.value;		
				ChangeImageState(pLastItem.value, imgId, size);			
				return;
			}
		}
	}
			
	var Action=	"srvServiceState.htmopt?"
				+SessionData
				+"&h_field="+field
				+"&h_value="+pItem.value;
	
	//alert("&h_field="+field  +"&h_value="+pItem.value);
	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		'url':Action,
		'timeout' 	:5000, //sin timeout
		//'prOnTimeout'	:function(req) { alert(M_REQTIMEDOUT);  },		
		'onLoading'	:function()    { 	; },
		'onSuccess'	:function(req) { prOnStatusSuccess(req.responseText, field, pItem, pLastItem, imgId, size); }
	  }
	);
//window.open(Action, 'new');

} // prSetServiceState

//---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function clearList() 
{
	var table  = document.getElementById('InfoStatusList');	
	var item= document.getElementById("statusItem")
	while (item != null) {
		if (navigator.appName == "Netscape")
			table.removeChild(item);
		else
			table.tBodies(0).removeChild(item);
		item= document.getElementById("statusItem");
	}
}

function prMakeSvrDetailCall(pSessData, pModule, pWAlarm)
{
	var lItem;
	var lName;
	
	lName= 'Alarm';
	if (pWAlarm.indexOf('CPU') > -1) {
		lItem= 'CPU';
		lName= 'CPUAlarm';
	} else {
		if (pWAlarm.indexOf('MEM') > -1) {
			lItem= 'MEM';
			lName= 'MEMAlarm';
		} else {
			lItem= 'DSK';
			lName= 'DSKAlarm';
		}
	}
	window.open('/components/General/GeneralManagement/AppsStatus/dspShowServerDetail.htmopt?' + pSessData + '&h_module=' + pModule + '&h_item=' + lItem + '&h_alarm=' + pWAlarm, lName, 'menubar=no,toolbar=no,width=700,height=480,screenX=200,screenY=200,scrollbars=1,statusbar=0,resizable=0');
} // prMakeSvrDetailCall

function prOnStatusListSuccess(req)
{
	var	lPMId;
	var	lPos;
	
	var lPos;
	var lModule;
	var lWAlarm;
	
	var i, j;
	var resp=req.split(";");
	var table  = document.getElementById('InfoStatusList');
	
	if (document.getElementById ("idLoadingDisplayListStatus"))
	{
		showCtrl('idLoadingDisplayListStatus', false);
		showCtrl('idShowListStatus', true);
	}
	clearList();	
	for (i= 0; i < resp.length-1; i++) {
		if ( (resp[i].indexOf("REACH") >= 0) || (resp[i].indexOf("RECOVER") >= 0) ) {
			var fields= resp[i].split('|');
			for( j= 0; j < fields.length; j++ ) 
			{
				lPos= fields[j].indexOf(",");
				lModule= fields[j].slice(0, lPos);
				lWAlarm= fields[j].slice(lPos + 1);
				prMakeSvrDetailCall(SessionData, lModule, lWAlarm);
			}
		} else {
			var row= document.createElement('tr');
			row.id = "statusItem"// + i;
			var fields = resp[i].split('|');
			for( j=0; j<fields.length; j++ ) 
			{
				var col = document.createElement('td');
				var val;
				switch (j) {
				case 0: 
					var x = "javascript:prOpenActionsPage('"+ Lang +"','"+ fields[6] + "');";
					col.setAttribute("class", "NormalText");
					col.setAttribute("className", "NormalText");
					val = document.createElement("a");
					val.setAttribute("href", x);
					val.appendChild(document.createTextNode(fields[j]));
					break;
				case 2:
					col.setAttribute("align", "center");
					val = document.createElement("img");
					val.setAttribute("src", IMAGEPATH+'/'+fields[j]);
					break;
					
				case 3:
					var x = "javascript:prOpenServerDetails('"+ Lang +"', '"+ fields[6] + "', 'CPU');";
					col.setAttribute("class", "NormalText");
					col.setAttribute("className", "NormalText");
					val = document.createElement("a");
					val.setAttribute("href", x);
					val.appendChild(document.createTextNode(fields[j]));
					break;	
				case 4:
					var x = "javascript:prOpenServerDetails('"+ Lang +"', '"+ fields[6] + "', 'MEM');";
					col.setAttribute("class", "NormalText");
					col.setAttribute("className", "NormalText");
					val = document.createElement("a");
					val.setAttribute("href", x);
					val.appendChild(document.createTextNode(fields[j]));
					break;
				case 5:
					var x = "javascript:prOpenServerDetails('"+ Lang +"', '"+ fields[6] + "', 'DSK');";
					col.setAttribute("class", "NormalText");
					col.setAttribute("className", "NormalText");
					val = document.createElement("a");
					val.setAttribute("href", x);
					val.appendChild(document.createTextNode(fields[j]));
					break;
					
				case 6:
					col.setAttribute("class", "NormalText");
					col.setAttribute("className", "NormalText");
					lPos= fields[j].indexOf(":");
					lPMId= fields[j].slice(lPos + 1);
					val = document.createTextNode(lPMId);
					break;
				default:
					col.setAttribute("class", "NormalText");
					col.setAttribute("className", "NormalText");
					val = document.createTextNode(fields[j]);
				}
				col.appendChild(val);
				row.appendChild(col);			
			}
			if (navigator.appName == "Netscape") {
				table.appendChild(row);		
			} else {
				table.tBodies(0).appendChild(row);
			}
		}
	}	
}

//---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
// Funcin ajax que actualiza el estado de los servicios.
function prSetServiceStateList()
{	
	var Action=	"srvServiceStateList.htmopt?"+SessionData;
	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		'url':Action,
	//	'timeout' 	:10000, 
	//	'prOnTimeout'	:function(req) { alert(M_REQTIMEDOUT);  },		
		'onLoading'	:function()    { /*gQueryDisplay.set("idLoadingDisplay"+Component[i].canvastag);	*/; },
		'onSuccess'	:function(req) {  prOnStatusListSuccess(req.responseText); ; }
	  }
	);
	//window.open(Action, 'new');
} 
//---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function prOnFamilyStatusListSuccess(res)
{
	var size = Array(0, 0, 1, 1, 1);
	var states = res.split('|');
	for (var i=0; i<states.length-1; i++) {
		var state = states[i].split(':');
		ChangeImageState(state[1], 'td'+state[0], size[i]);	
		var tag = document.getElementById('sel'+state[0])
		if (tag != null)  {
			if (state[1] == 1)  
				tag.disabled = true;
			else  
				tag.disabled = false;
		}
	}
}

//---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
/* Funcin ajax que actualiza es estado de la familia (colores, de los botones)  */
function prSetFamilyState()
{	
	var Action=	"srvFamilyStatusList.htmopt?"+SessionData;
	// Ajax HTTP Request
	AjaxRequest.get(
	  {
		'url':Action,
		//'timeout' 	:10000, //sin timeout
		//'OnTimeout'	:function(req) { alert(M_REQTIMEDOUT);  },		
		'onLoading'	:function()    { ; },
		'onSuccess'	:function(req) {  prOnFamilyStatusListSuccess(req.responseText); }
	  }
	);
//	window.open(Action, 'new');
} 

//---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
/* Actualiza la ventana cada que hay un time out */
function updateScreen() {
	prSetFamilyState();
	prSetServiceStateList();
	ResetGraphs();
	UpdateGraphs(1);
	//alert('updateScreen');
}

/* Actualiza la ventana cada que hay un time out */
function updateScreen1() {
	prSetFamilyState();
	prSetServiceStateList();
	ResetGraphs();
	UpdateGraphs(0);
}
