var gHighlighter = new CControlHighlighter(	"Formulario", "Formulario_disabled", "Formulario_error" );
var gHighlighterBtn = new CControlHighlighter("bttn", "bttn_disabled", "bttn" );
var gOptCats = false;

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

var lCatYesList = new Object();
var lCatNotList = new Object();

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function fnGoto(pURL, pParams)
{
	window.open(pURL + "?" + gSessionData + pParams, window.name);
	return true;
} // fnGoto
	
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function fnGetParams(pItem)
{
	var lForm;
	var lList;
	var lIdx;
	var lCat;
	
	lForm= pItem.form;
	if (lForm.h_belongs[0].checked) {
		lList= '&LISTA=Yes';
	} else {
		lList= '&LISTA=No';
	}
	lCat= "";
	lIdx= lForm.cats.selectedIndex;
	if (lIdx != -1)
		lCat= lForm.cats[lIdx].value;
	if (lCat == "") {
		alert(M_FILE1);
		return "";
	}
	lCat = lCat.split("|");
	return lList + "&From=0&Count="+MaxUrls+"&Categoria=" + lCat[0];
} // fnGetParams
	
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function fnEditYesNo(pItem)
{
	var lParams;
	
	lParams= fnGetParams(pItem);
	if (lParams != "")
		fnGoto('../EditUrls/dspEdit.htmopt',lParams);
} // fnEditYesNo

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function fnExport(pItem)
{
	var lParams;
	
	lParams= fnGetParams(pItem);
	if (lParams != "")
		fnGoto('../Export/dspExport.htmopt',lParams);
} // fnExport

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prAddToList(pList1, pList2, pText, pValue)
{
	var lToInsert;
	var newOpt;
	var it;

	newOpt = document.createElement("OPTION");
	newOpt.value = pValue;
	newOpt.appendChild(document.createTextNode(pText));
	
	lToInsert= true;
	it= pList2.firstChild; 
	while (it && it.value != pValue) {
		it = it.nextSibling;
	}
	if (it && it.value == pValue) {
		lToInsert= false;
	}
	if (lToInsert) {
		it= pList1.firstChild; 
		while (it && it.value != pValue) {
			it = it.nextSibling;
		}
		if (it && it.value == pValue) {
			lToInsert= false;
		}
	}
	if (lToInsert) {
		pList1.insertBefore(newOpt, it);
	}
} // prAddToList

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prListInit(pList)
{
	for(var it = pList.firstChild; it; it = it.nextSibling) {
		if (pList.name= "h_catsyes") {
			lCatYesList[it.value] = it.value;
		}
		if (pList.name= "h_catsnot") {
			lCatNotList[it.value] = it.value;
		}
	}
} // prListInit
	
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function fnGetListData(pList)
{
	var agregar;
	var conservar;

	agregar = new Object();
	conservar = new Object();

	// Elimino los mails que ya estaban al principio
	var it = pList.firstChild;
	while (it) {
		var tmp = it;
		it = it.nextSibling;
		if (pList.name = "h_catsyes") {
			if (!lCatYesList[tmp.value]) {
				agregar[tmp.value] = tmp.value;
			} else {
				conservar[tmp.value] = tmp.value;
			}
		}
		if (pList.name = "h_catsnot") {
			if (!lCatNotList[tmp.value]) {
				agregar[tmp.value] = tmp.value;
			} else {
				conservar[tmp.value] = tmp.value;
			}
		}
	}

	var params = "";
	var j = 0;
	for (key in agregar) {
		params	+= key + "|";
	}

	return params;
} // fnGetListData
	
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prAddCatYes(pItem)
{
	cats	= document.getElementById("h_cats");
	catsNot = document.getElementById("h_catsnot");
	catsYes = document.getElementById("h_catsyes");
	lIdx    = cats.selectedIndex;
	if( lIdx < 0 ) alert(M_CONFIRM5);
	prAddToList(catsYes,catsNot,cats[lIdx].text,cats[lIdx].value);
} // prAddCatYes
	
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prDelCatYes(pItem)
{
	lista = document.getElementById("h_catsyes");
	it = lista.firstChild;
	
	while (it) {
		var tmp = it;
		it = it.nextSibling;
		if (tmp.selected) {
			lista.removeChild(tmp);
		}
	}
} // prDelCatYes
	
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prAddCatNot(pItem)
{
	cats	= document.getElementById("h_cats");
	catsNot = document.getElementById("h_catsnot");
	catsYes = document.getElementById("h_catsyes");
	lIdx    = cats.selectedIndex;
	if( lIdx < 0 ) alert(M_CONFIRM5);
	prAddToList(catsNot,catsYes,cats[lIdx].text,cats[lIdx].value);
} // prAddCatNot
	
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prDelCatNot(pItem)
{
	lista = document.getElementById("h_catsnot");
	it = lista.firstChild;
	
	while (it) {
		var tmp = it;
		it = it.nextSibling;
		if (tmp.selected) {
			lista.removeChild(tmp);
		}
	}
} // prDelCatNot

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function fnBotonAceptar(pItem)
{
	var lForm;
	var lURLList;
	var lTemp;

	lForm=pItem.form;
	URLvalue= new String(lForm.URLs.value);
	catsyes = document.getElementById("h_catsyes");
	if( catsyes ) lForm.CATSYES.value= getListValues(catsyes,"|");
	catsnot = document.getElementById("h_catsnot");
	if( catsnot ) lForm.CATSNOT.value= getListValues(catsnot,"|");
	
	if ((URLvalue.toString() == "http://") || (URLvalue.toString() == "")) {
		alert(M_CONFIRM2);	
		return false;
	}
	
	if ((lForm.CATSYES.value == "") && (lForm.CATSNOT.value == "")) {
		alert(M_URCL_CLUR_CTGRYEMPTY);
		return false;
	}

	lURLList= "";
	URLs= URLvalue.split("\n");
	for (i= 0; i < URLs.length; i++) {
		if (URLs[i].length != 0) {
			if (URLs[i].toString() != "\r") {
				if (	(URLs[i].indexOf('http://') != -1) || 
						(URLs[i].indexOf('ftp://') != -1)  || 
						(URLs[i].indexOf('https://') != -1 )
					) {
					lTemp= URLs[i].toString();
				} else {
					lTemp= "http://" + URLs[i].toString();
				}
				if (lURLList != "")
					lURLList= lURLList + "|";
				lURLList= lURLList + lTemp;
			}
		}
	}
	if (lURLList == "") {
		alert(M_URCL_CLUR_CTGRYEMPTY); //M_CONFIRM2);	
		return false;
	}
	lForm.URLs.value= lURLList;
	lForm.submit();	
	return true;
} // fnBotonAceptar

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prSelectCatType( pCatTypes )
{
	var frm = document.frmMain;
	
	if (frm.cattype != undefined) {
		for (i= 0; i < frm.cattype.length; i++ )
			frm.cattype[i].checked = false;
	}

	var tipos = pCatTypes.split("|");

	for (i= 0; i < tipos.length; i++ ) {
		ctrl = document.getElementById( tipos[i] );
		if (ctrl)
			ctrl.checked = true;
	}
}

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prOnSuccessGetType(response) {
//	showCtrl("lblStatus",true);
	var res = response.split(";");
	if( res[0]=="ok"    )	{ prSelectCatType( res[1] ); }
	else if( res[0]=="error" )	{ alert("ERROR:"+res[1]); }
	else {	prAlertWindow("Unknown Response",response);	}
//	showCtrl("lblStatus",false);
}

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prAddUrlToTextarea(pTextarea, pText)
{
	if ( pTextarea.value.length > 0 )
		pTextarea.value = pTextarea.value + '\n' + pText;
	else
		pTextarea.value = pText;
}

function prAddUrlToList(pList, pText, pValue)
{
	var lToInsert;
	var newOpt;
	var it;

	newOpt = document.createElement("OPTION");
	newOpt.value = pValue;
	newOpt.appendChild(document.createTextNode(pText));
	
	it= pList.firstChild;
	pList.insertBefore(newOpt, it);
} // prAddUrlToList

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prOnSuccessGetUrls(response) 
{
	showCtrl("lblStatus",true);
	var res = response.split(";");
	if( res[0]=="error" ) { 
		alert("ERROR:"+res[1]); URLvalue
		return;
	}
	else if ( res[0]!= "ok") {
		prAlertWindow("Unknown Response",response);
		return;
	}
	// No error
	prCleanList("BelongsURLs")
	var listaBelongs = document.getElementById("BelongsURLs");
	var belongs = res[1];
	URLs= belongs.split("|");
	for (i=URLs.length-1; i >=0; i--) {
		if (URLs[i].length != 0) {
			prAddUrlToList(listaBelongs, URLs[i], URLs[i]);
		}
	}

	prCleanList("NotBelongsURLs")
	var listaNotBelongs = document.getElementById("NotBelongsURLs");
	var notbelongs = res[2];
	URLs= notbelongs.split("|");
	for (i=URLs.length-1; i >=0; i--) {
		if (URLs[i].length != 0) {
			prAddUrlToList(listaNotBelongs, URLs[i], URLs[i]);
		}
	}
	showCtrl("lblStatus",false);
}

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prOnCategChange()
{
	var frm = document.frmMain;
	var catinfo = frm.cats.value.split("|");
	var category = catinfo[0];
	
	bttn = document.getElementById("quitar");

	prHideAdvanced ();

	//Activa las opciones de "advanced para las categoras de optenet
	if (gUserCats.indexOf (category.substr (0, category.length-1)) != -1)
		gOptCats = true;
	else
		gOptCats = false;
	
	// This code is only for the local mode
	if( bttn && gModify=="2" ){ 
		if( catinfo[1]=="0" ) {
			bttn.disabled = true;
			gHighlighterBtn.mpSetDisabled( bttn );
		} else {
			bttn.disabled = false;
			gHighlighterBtn.mpSetNormal( bttn );
		}
	} // End Local Mode
	
	
	if (gOptCats == true)
	{
		var CatTypes;
		var lCats = "";
		var Contador;

		if (document.all)
			CatTypes = frm.cats.options [frm.cats.selectedIndex].innerText;
		else
			CatTypes = frm.cats.options [frm.cats.selectedIndex].textContent;
		
		CatTypes = CatTypes.split (" ");
		
		for (Contador = 0; Contador < CatTypes [1].length; ++Contador )
		{
			switch (CatTypes [1] [Contador])
			{
				case "c": lCats += "content|"; break;
				case "s": lCats += "search|"; break;
				case "r": lCats += "redirect|"; break;
			}
		}
		prSelectCatType (lCats);
	}

	/*
	var Action=	"srvGetCatType.htmopt?"+gSessionData+
				"&h_category="+category;
	AjaxRequest.get(
	  {
		'url':Action,
		'timeout' :10000,
		'onTimeout'	:function(req) { alert(M_URCL_CLUR_REQTIMEOUT);  },
		'onLoading'	:function()    { showCtrl("lblStatus",true);   },
		'onSuccess'	:function(req) { prOnSuccessGetType(req.responseText) }							 
	  }
	);*/


	Action=	"srvGetCatURLs.htmopt?"+gSessionData+
				"&h_category="+category;
	AjaxRequest.get(
	  {
		'url':Action,
		'timeout' :10000,
		'onTimeout'	:function(req) { alert(M_URCL_CLUR_REQTIMEOUT);  },
		'onLoading'	:function()    { showCtrl("lblStatus",true);   },
		'onSuccess'	:function(req) { prOnSuccessGetUrls(req.responseText) }							 
	  }
	);
	return true;
}

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prOnSuccessAddDelUrls(response) {
	var res = response.split(";");
	if( res[0]=="ok"    )	{ prOnCategChange(); }
	else if( res[0]=="error" )	{ _alert("ERROR:"+ unescape(res[1])); }
	else {	prAlertWindow("Unknown Response",response);	}
	showCtrl("lblStatus",false);
}

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function fnBotonAgregarUrls(belongs)
{
	var lForm;
	var lURLList;
	var lTemp;

	lForm= document.frmMain;
	frmSubmit= document.frmSubmitUrls;
	URLvalue= new String(lForm.URLs.value);

	if ((URLvalue.toString() == "http://") || (URLvalue.toString() == "")) {
		alert(M_CONFIRM2);	
		return false;
	}

	lURLList= "";
	URLs= URLvalue.split("\n");
	for (i= 0; i<URLs.length; i++) {
		if (URLs[i].length != 0) {	
			if (	(URLs[i].indexOf('http://') != -1) || 
					(URLs[i].indexOf('ftp://') != -1)  || 
					(URLs[i].indexOf('https://') != -1 )
				) {
				lTemp= URLs[i].toString();
			} else {
				lTemp= "http://" + URLs[i].toString();
			}
			if (lURLList != "")
				lURLList=  lURLList + "|";
			lURLList= lURLList + lTemp;
		}
	}
	
// LLamar a srvAddUrlToCat.htmopt
	if (lURLList != "") {
		var frm = document.frmMain;
		var catinfo = frm.cats.value.split("|");
		var category = catinfo[0];
		var ibelongs;
		if (belongs) 
			ibelongs = 1;
		else
			ibelongs = 0;


		var Action=	"srvAddUrlToCat.htmopt?"+gSessionData+
					"&h_belongs="+ibelongs+
					"&h_cat="+category+
					"&h_urls="+lURLList;
		AjaxRequest.get(
			{
				'url':Action,
				'timeout' :10000,
				'onTimeout'	:function(req) { alert(M_URCL_CLUR_REQTIMEOUT);  },
				'onLoading'	:function()    { showCtrl("lblStatus",true);   },
				'onSuccess'	:function(req) { prOnSuccessAddDelUrls(req.responseText) }							 
			}
		);
	}

// LLamar a CheckForAddUrls
/*	
	if (lURLList != "") {
		var frm = document.frmMain;
		var catinfo = frm.cats.value.split("|");
		var category = catinfo[0];

		frmSubmit.Categoria.value = category;
//		frmSubmit.URLS.value = escape(lURLList);
		frmSubmit.URLS.value = lURLList;
		if (belongs)
			frmSubmit.LISTA.value = "YES";	
		else
			frmSubmit.LISTA.value = "NO";	
		frmSubmit.h_return.value = "../ClasifUrls/dspClasifUrls.htmopt";
		frmSubmit.method = "Post";
		frmSubmit.action = "../CheckForAddUrls/dspCheck.htmopt";
		frmSubmit.submit();
	}
*/
	return true;
} // fnBotonAgregarUrls

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function fnBotonQuitarUrls(belongs)
{
	var lForm;
	var lURLList;
	var lTemp;

	lForm= document.frmMain;
	frmSubmit= document.frmSubmitUrls;

	if(belongs)
		listaURLs = lForm.BelongsURLs;
	else
		listaURLs = lForm.NotBelongsURLs;

	x= listaURLs.selectedIndex;
	if (x == -1)
		return false;
	URLselec= "";
	for (i=0; i<listaURLs.options.length; i++) {
		if (listaURLs.options[i].selected) {
			if (listaURLs.options[i].text == "0") {
				URLselec= URLselec+"http://\n";
			} else {
				URLselec= URLselec+listaURLs.options[i].text+"\n";
			}
		}
	}

	URLvalue= new String(URLselec);
	if ((URLvalue.toString() == "http://") || (URLvalue.toString() == "")) {
		alert(M_CONFIRM2);	
		return false;
	}

	lURLList= "";
	URLs= URLvalue.split("\n");
	for (i= 0; i<URLs.length; i++) {
		if (URLs[i].length != 0) {	
			if (	(URLs[i].indexOf('http://') != -1) || 
					(URLs[i].indexOf('ftp://') != -1)  || 
					(URLs[i].indexOf('https://') != -1 )
				) {
				lTemp= URLs[i].toString();
			} else {
				lTemp= "http://" + URLs[i].toString();
			}
			if (lURLList != "")
				lURLList= lURLList + "|";
			lURLList= lURLList + lTemp;
		}
	}
// LLamar a srvDelUrlFromCat.htmopt
	if (lURLList != "") {
		var frm = document.frmMain;
		var catinfo = frm.cats.value.split("|");
		var category = catinfo[0];
		var ibelongs;
		if (belongs) 
			ibelongs = 1;
		else
			ibelongs = 0;


		var Action=	"srvDelUrlFromCat.htmopt?"+gSessionData+
					"&h_belongs="+ibelongs+
					"&h_cat="+category+
					"&h_urls="+lURLList;
			
			AjaxRequest.get(
			{
				'url':Action,
				'timeout' :10000,
				'onTimeout'	:function(req) { alert(M_URCL_CLUR_REQTIMEOUT);  },
				'onLoading'	:function()    { showCtrl("lblStatus",true);   },
				'onSuccess'	:function(req) { prOnSuccessAddDelUrls(req.responseText) }							 
			}
		);
	}

// LLamar a CheckDelAddUrls
/*	if (lURLList != "") {
		var frm = document.frmMain;
		var catinfo = frm.cats.value.split("|");
		var category = catinfo[0];

		frmSubmit.Categoria.value = category;
//		frmSubmit.URLS.value = escape(lURLList);
		frmSubmit.URLS.value = lURLList;
		if (belongs)
			frmSubmit.LISTA.value = "YES";	
		else
			frmSubmit.LISTA.value = "NO";	
		frmSubmit.h_return.value = "../ClasifUrls/dspClasifUrls.htmopt";
		frmSubmit.method = "Post";
		frmSubmit.action = "../CheckForDelUrls/dspCheck.htmopt";
		frmSubmit.submit();
	}*/
	return true;
}	// fnBotonQuitarUrls

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prCleanList(id)
{
	var lista = document.getElementById(id);
	it = lista.firstChild;
	while (it) {
		var tmp = it;
		it = it.nextSibling;
		lista.removeChild(tmp);
	}
}

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prOnSuccessSearchUrl (response)
{
	var res = response.split(";");

	if( res[0]=="ok"    )	{ 
		showCtrl("spanSearchStatusCatSiTitle",true);
		showCtrl("spanSearchStatusCatSi",true);
		showCtrl("spanSearchStatusCatNoTitle",true);
		showCtrl("spanSearchStatusCatNo",true);
	
		var optenetcats = res[1];
		var usercatssi = res[2];
		var usercatsno = res[3];

		var arrayoptenetcats= optenetcats.split("|");
		// prCleanList("searchcatsi");
		var ta_si = document.getElementById("searchcatsi");
		ta_si.value = '';
		for (i= 0; i<arrayoptenetcats.length; i++) {
			if (arrayoptenetcats[i].length != 0) {	
				//it was prAddUrlToList
				prAddUrlToTextarea(ta_si,arrayoptenetcats[i]);
			}
		}

		var arrayusercatssi= usercatssi.split("|");
		for (i= 0; i<arrayusercatssi.length; i++) {
			if (arrayusercatssi[i].length != 0) {	
				//it was prAddUrlToList
				prAddUrlToTextarea(ta_si,arrayusercatssi[i]);
			}
		}

		var arrayusercatsno= usercatsno.split("|");
		//prCleanList("searchcatno");
		var ta_no = document.getElementById("searchcatno");
		ta_no.value = '';
		for (i= 0; i<arrayusercatsno.length; i++) {
			if (arrayusercatsno[i].length != 0) {	
				prAddUrlToTextarea(ta_no,arrayusercatsno[i]);
			}
		}
	}
	else if( res[0]=="error" )	{ alert("ERROR:"+res[2]); }
	else {	prAlertWindow("Unknown Response",response);	}
	showCtrl("lblSearchStatus",false);
}

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function fnFind()
{
	var Criteria = document.getElementById ("search_criteria");
	var url      = document.getElementById ("search_url");
	var Client   = document.getElementById ("search_client");
	var Action;
	
	if(escape(url.value) == "" ){
		alert(M_INVALID_VALUE);
		return false;
	}

	Action = "srvFindUrls.htmopt?"+ gSessionData +
			 "&h_url=" + escape(url.value) +
			 "&h_blocksim=false";
	
	if (gMode == "_Criteria")
	{
		Action += "&h_criteria=" + Criteria.selectedIndex +
		"&h_client=" + Client.value;
	}
	else
	{
		Action += "&h_criteria=3&h_client=";
	}

	AjaxRequest.get(
		{
			'url':Action,
			'timeout' :60000,
			'onTimeout'	:function(req) { alert(M_URCL_CLUR_REQTIMEOUT);  },
			'onLoading'	:function()    { showCtrl("lblSearchStatus",true);   },
			'onSuccess'	:function(req) { prOnSuccessSearchUrl(req.responseText); }
		}
	);
}

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prRevise()
{
	window.open("http://revalt.edunet.es/");
}

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prOnSuccessSimBlockUrl (response)
{
	var res = response.split(";");

	if( res[0]=="ok"    )
	{
		if (res[1] == "true")
			showCtrl ("URL_Blocked",   true);
		else
			showCtrl ("URL_NotBlocked",true);
	} 
	else if (res[0]=="error")
	{
		alert("ERROR:"+res[1]);
	}
	else
	{
		prAlertWindow("Unknown Response", response);
	}
	showCtrl("lblBlockStatus",false);
}

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prSimulate () 
{
	var url      = document.getElementById ("block_url");
	var Client   = document.getElementById ("block_client");
	var Action;

	showCtrl ("URL_Blocked",    false);
	showCtrl ("URL_NotBlocked", false);
	

	if(escape(url.value) == "" )
	{
		alert(M_INVALID_VALUE);
		return false;
	}

	Action = "srvFindUrls.htmopt?"+ gSessionData +
			 "&h_url=" + escape(url.value) +
			 "&h_client=" + Client.value +
			 "&h_blocksim=true" +
			 "&h_criteria=";

	AjaxRequest.get (
		{
			'url':Action,
			'timeout' :60000,
			'onTimeout'	:function(req) { alert(M_URCL_CLUR_REQTIMEOUT);  },
			'onLoading'	:function()    { showCtrl("lblSearchStatus",true);   },
			'onSuccess'	:function(req) { prOnSuccessSimBlockUrl(req.responseText); }
		}
	);
}

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prOnSuccessSync (response)
{
	var res = response.split(";");

	if( res[0]=="ok"    )
	{
		alert (M_WFCM_SYNCOK);
	} 
	else if (res[0]=="error")
	{
		alert("ERROR:" + res[1]);
	}
	else
	{
		prAlertWindow("Unknown Response", response);
	}
	showCtrl("lblStatus",false);
}

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prOnSync ()
{
	var Action;
	
	Action = "srvDoReload.htmopt?"+ gSessionData;
	
	AjaxRequest.get (
		{
			'url':Action,
			'timeout' :60000,
			'onTimeout'	:function(req) { alert(M_URCL_CLUR_REQTIMEOUT);  },
			'onLoading'	:function()    { showCtrl("lblStatus",true);   },
			'onSuccess'	:function(req) { prOnSuccessSync (req.responseText); }
		}
	);
}

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function prShowAdvanced ()
{
	var Boxes = document.getElementById ("AdvancedType");
	var AdvText = document.getElementById ("ShowTypesAply");
	var CurrText;

	if (gOptCats == true)
	{
		if (document.all)
		{
			CurrText = AdvText.innerText;
			AdvText.innerText = M_APLY;
		}
		else
		{
			CurrText = AdvText.textContent;
			AdvText.textContent = M_APLY;
		}

		//Revisa si est en modo "aplicar", de ser as, cargamos
		if (CurrText == M_APLY)
		{
			var lForm = document.frmMain;
			fnBotonAgregarCat (lForm.cats.value);
		}
		else
			Boxes.style.display = "";
	}
}


//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------


function prHideAdvanced ()
{
	var Boxes = document.getElementById ("AdvancedType");
	var AdvText = document.getElementById ("ShowTypesAply");

	if (document.all)
		AdvText.innerText = M_ADVANCED;
	else
		AdvText.textContent = M_ADVANCED;

	Boxes.style.display = "none";
}
