//----------------------------------------------------------------------------------------------------------------
function CTimeOut()
{
	this.m_queryTimerId	= null;
	
	//Starts the timeout
	this.startTimeOut = function(actionstr, pausetime)
	{
		if( this.m_queryTimerId ) window.clearTimeout( this.m_queryTimerId );
		this.m_queryTimerId= window.setTimeout(actionstr,pausetime);
		//DEBUG: alert("Timeout: "+this.m_queryTimerId);
	};//startTimeOut 
	
	// Finishes the timeout
	this.finishTimeOut = function()
	{
		if( this.m_queryTimerId ) {
			window.clearTimeout( this.m_queryTimerId );
			this.m_queryTimerId = null;
			//DEBUG: alert("Timeout Finished");
		}//DEBUG: else alert("No Timeout To Finish");
	};//finishTimeOut
	
	// Query Timer status
	this.hasStarted = function() 
	{
		return ( this.m_queryTimerId!=null );
	}; //hasStarted
}
//----------------------------------------------------------------------------------------------------------------
function CSectionControler()
{
	this.m_sections = new Array();
	this.m_current=	"";
	this.m_imgId= "";
	
	this.add = function( secid ) {
		this.m_sections[ this.m_sections.length ] = secid;
	};
	this.addImgId = function( imgid ) {
		this.m_imgId= imgid;
	};
	this.set = function( secid, img ) {
		if( this.m_current==secid ) return; // already selected
		// Hide all sections
		for( i=0; i<this.m_sections.length; i++ ) {
			showCtrl(this.m_sections[i],false);
			prSetElementText(this.m_sections[i],"");
		}
		// show current section
		this.m_current = secid;
		// Set new image
		if( img ) {
			ctrl = document.getElementById(this.m_imgId);
			if( ctrl ) ctrl.src = img.src;
		}
		showCtrl(this.m_current,true);
	};
	this.setText = function(txt) {
		prSetElementText(this.m_current,txt);
	};
	this.getCurrent = function() {
		return this.m_current;
	};
}
//----------------------------------------------------------------------------------------------------------------
