//************************************
// BASIC TABLE CREATION 
//************************************

function table_obj()
{
	this.No_of_Cols;
	this.controlName;
	this.containerName;
	this.HeadDiv;
	this.ContentDiv;
        this.Width = 0;
        this.Height = 0;
	this.headDivID;
	this.headClass;
	this.DataDivID;
	this.DataClass;
        this.headStyle;
	this.tableStyle;
 	this.dataStyleLight;
 	this.dataStyleDark;
        this.colorChangeFlag;
	this.TDwidth   = new Array();
        this.TDAlign   = new Array();
	this.HeadTitle = new Array();
	this.data      = new Array();
	
	this.SetCols             = SetCols;
	this.SetRows             = SetRows;
	this.SetData             = SetData;
	this.SetStyle            = SetStyle;
	this.SetControlName      = SetControlName;
	this.SetCellWidth        = SetCellWidth;        
	this.GenTable            = GenTable;
	this.SetHeadTitle        = SetHeadTitle;
        this.SetHead_prop        = SetHead_prop;
	this.SetContent_prop     = SetContent_prop;
	this.SetHeightWidth      = SetHeightWidth;
	this.Sort                = Sort;
        this.adjust_title_scroll = adjust_title_scroll;
        this.SetTheme            = SetTheme;
        this.Add_New_Row         = Add_New_Row;
        
        this.UpdateCell		 = UpdateCell;
}

function Sort(colNo,DataType)
{
  var arr1 = this.data;

//create index row
    for ( i=1; i < arr1.length; i++)
    {
      arr1[i][0]  = i;
    }
  
  var tmp_arr = new Array();
  var tmp_row = new Array();

//tmp array with row no and col to be sorted.
    for ( i=0; i < arr1.length; i++)
    {
      tmp_row[i]  = new Array();
    }

//sort on col 
    var sortCol = colNo;    
    var totCols = this.No_of_Cols;

    for (var i=1; i < arr1.length; i++)
    { 
      for ( var j=0; j < totCols; j++)
      {
	if(j == sortCol)
        {
          tmp_arr[i] = arr1[i][j];
          tmp_row[i][1] = arr1[i][j];
        }

	if(j == 0)
        {
          tmp_row[i][j] = arr1[i][j];
        }
      }
    }

//sort tmp_arr assuming numerical data
    if ( DataType == "SORTNUM" )
      tmp_arr.sort(compareNo);
    else
      tmp_arr.sort();

//Find row position in tmp_arr (index) and update in tmp_row
    for ( i=0; i < tmp_row.length; i++)
    {
      for (var k=0; k < tmp_arr.length; k++)
      {
        if ( tmp_arr[k] == tmp_row[i][1] )
        {
	  tmp_arr[k] = -1;	
	  tmp_row[i][0] = k;
          break;
	}	
      }
    }

//  sort_arr1 is a new array to be filled with all rows sorted
    var sort_arr1 = new Array();

    for ( i=1; i < arr1.length ; i++)
    {

       var new_pos = tmp_row[i][0];
       sort_arr1[new_pos] = arr1[i];
    }

    for ( i=1; i < sort_arr1.length; i++)
    {
       sort_arr1[i][0] = i;
    }

    arr1 = sort_arr1;

    for ( i=0; i < arr1.length; i++)
    {
       this.data[i+1] = arr1[i];
    }

    this.GenTable(this.containerName);

}

function compareNo(a,b)
{ return a - b; }

function SetStyle(headStyle, dataStyleLight,dataStyleDark,tableStyle)
{
  this.headStyle      = headStyle;
  this.dataStyleLight = dataStyleLight;
  this.dataStyleDark  = dataStyleDark;
  this.tableStyle     = tableStyle;
}

function SetTheme(themeNo)
{
  this.headStyle      = "title_" + themeNo;
  this.dataStyleLight = "light_" + themeNo;
  this.dataStyleDark  = "dark_" + themeNo;
  this.tableStyle     = "border_" + themeNo;
}

function SetData(row,col,data)
{
  this.data[row][col] = data;
}

function SetRows(rows)
{
  for(var i=1; i <= rows; i++)
  {
    this.data[i] = new Array(this.No_of_Cols);
    for(var j=1; j <= this.No_of_Cols; j++)
    {
      this.data[i][j] = '';
    }
  }
}

function  SetHeightWidth(tableHeight,tableWidth)
{
	this.Height = tableHeight;
	this.Width  = tableWidth;
}

function SetControlName(controlName)
{
	this.controlName = controlName;
}


function SetHead_prop(divID,Class)
{
	this.headDivID = divID;
	this.headClass = Class;
}

function SetContent_prop(divID,Class)
{
	this.DataDivID = divID;
	this.DataClass = Class;
}

function SetCols(cols)
{
  this.No_of_Cols = cols;
  for ( var i=0; i <= cols; i++)
  {
    this.TDwidth[cols] = 0;	
  }
}

function SetCellWidth(CellNo, CellWidth,Align)
{
  this.TDwidth[CellNo] = CellWidth;
  this.TDAlign[CellNo] = Align;
}

function SetHeadTitle(CellNo,CellContent,SortFlag)
{
  if (SortFlag != 'SORTNUM' && SortFlag != 'SORTCHAR')
  {
    this.HeadTitle[CellNo] = CellContent;
  }
  else
  {
    this.HeadTitle[CellNo] = "<a class=" + this.headStyle + " href=javascript:" + this.controlName + ".Sort(" + CellNo + ",'" + SortFlag +"')>" + CellContent + "</a>";
  }
}

function GenTable(container)
{

  this.containerName = container;
  this.containerName.className    = 'control_border';
  this.containerName.style.width  = this.Width;
  this.containerName.style.Height = this.Height;

  if ( this.HeadDiv == null) 
    this.HeadDiv             = document.createElement("DIV");

  this.HeadDiv.id          = this.headDivID;
  this.HeadDiv.style.width = this.Width;
  this.HeadDiv.className   = this.headClass;

  if ( this.ContentDiv == null) 
    this.ContentDiv              = document.createElement("DIV");
  else
    this.ContentDiv.innerHTML   = "";

  this.ContentDiv.id           = this.DataDivID;
  //this.ContentDiv.style.width  = this.Width;
  //this.ContentDiv.style.height = this.Height;
  this.ContentDiv.className    = this.DataClass;

  var headTable = document.createElement("TABLE");
  headTable.className = this.tableStyle;
  //headTable.border = 0;
  //headTable.cellPadding = 1;
  var myRow     = headTable.insertRow(headTable.rows.length);
  for(var i=1; i <= this.No_of_Cols; i++)
  {
    myCell    = myRow.insertCell(i-1);
    myCell.innerHTML = this.HeadTitle[i];
    myCell.className = this.headStyle;
    myCell.width = this.TDwidth[i];

    if ( this.TDAlign[i] != null)
	myCell.style.textAlign = this.TDAlign[i];
                
  }

  var ContentTable = document.createElement("TABLE");

  ContentTable.id  = this.controlName;

  var ColorChangeFlag = "";
  ContentTable.className = this.tableStyle;
  //ContentTable.border = 0;
  //ContentTable.cellPadding = 1;
  for(var i=1; i < this.data.length; i++)
  {
    myRow     = ContentTable.insertRow(i-1);
    for(var j=1; j <= this.No_of_Cols; j++)
    {
      myCell    = myRow.insertCell(j-1);
      myCell.innerHTML = this.data[i][j];
	
      if ( this.TDAlign[j] != null)
	myCell.style.textAlign = this.TDAlign[j];
                
      if ( ColorChangeFlag == "" )
      {
	myCell.className = this.dataStyleLight;
      }
      else
      {
	myCell.className = this.dataStyleDark;
      }
      
      if ( i == 1)
   	myCell.width = this.TDwidth[j];
  		  
    }
		
    if ( ColorChangeFlag == "" )
    {
      ColorChangeFlag = "X";
    }
    else
    {
      ColorChangeFlag = "";
    }
	
    this.colorChangeFlag = ColorChangeFlag;

  }

  if ( document.getElementById(this.headDivID) == null ) 
  { 
    this.HeadDiv.appendChild(headTable); 
    this.containerName.appendChild(this.HeadDiv);
  }  

  if ( document.getElementById(this.DataDivID) == null ) 
  { 
    this.ContentDiv.appendChild(ContentTable);
    this.containerName.appendChild(this.ContentDiv);
  }  
  
  var contentHTML = new String; var scrollFunc = new String();
  scrollFunc = this.controlName + '.adjust_title_scroll()';

  contentHTML = '<div class=' + this.DataClass;
  contentHTML = contentHTML + ' id=' + this.DataDivID;

  contentHTML = contentHTML + ' onscroll=\"' + scrollFunc + '\" >';
  
  contentHTML = contentHTML + ContentTable.outerHTML + '</DIV>';
        
  document.getElementById(this.DataDivID).outerHTML = contentHTML;

  document.getElementById(this.DataDivID).style.width  = this.Width;
  document.getElementById(this.DataDivID).style.height = this.Height;
  document.getElementById(this.DataDivID).className    = this.DataClass;

}

function adjust_title_scroll()
{
  this.HeadDiv.scrollLeft = event.srcElement.scrollLeft;
  
//  if(this.containerName.style.Height < event.srcElement.scrollHeight)
    this.HeadDiv.style.overflowY = 'scroll';
       
}


function Add_New_Row()
{

  var mytable = document.getElementById(this.controlName);
  var myRow = mytable.m_table.insertRow();

  var i = this.data.length - 1;

  var ColorChangeFlag = this.colorChangeFlag;
 
  for(var j=1; j <= this.No_of_Cols; j++)
  {
    myCell    = myRow.insertCell();
    myCell.innerHTML = this.data[i][j];

    if ( this.TDAlign[j] != null)
      	myCell.style.textAlign = this.TDAlign[j];
                
    if ( ColorChangeFlag == "" )
    {
	myCell.className = this.dataStyleLight;
    }
    else
    {
	myCell.className = this.dataStyleDark;
    }
    
    if ( i == 1)
   	myCell.width = this.TDwidth[j];

  }

		
  if ( ColorChangeFlag == "" )
  {
    ColorChangeFlag = "X";
  }
  else
  {
    ColorChangeFlag = "";
  }

  this.colorChangeFlag = ColorChangeFlag;

}

function UpdateCell(row, col, cellContent)
{
	//alert("row = " + row + ", col = " + col + "\ncontent = " + cellContent);
	this.SetData(row, col, cellContent);  
	var mytable = document.getElementById(this.controlName);	
	
	mytable.rows[row-1].cells[col-1].innerHTML = cellContent;
}



//************************************
// TIMETABLE FUNCTIONS
//************************************

var SIZE_BITMAP = 64;

//almacena un mapa de bits con los datos de horarios
//para evitar problemas con operaciones de bits de javascript (32 bits) o de tipos de 64 bits, se implementa como 2 long
function SchedulingDay_obj()
{
	this.m_1 = 0;
	this.m_2 = 0;
	
	//funciones
	this.SetValue = SetValue;
	this.GetValue = GetValue;
	this.Get1 = Get1;
	this.Get2 = Get2;
	this.Set1 = Set1;
	this.Set2 = Set2;
	this.toString = toString;
	
}

//establece el valor del bit especificado (0-based)
function SetValue(bit, value)
{
	if ( bit < 0 || bit >= SIZE_BITMAP)
	{
		alert("SchedulingDay_obj.SetValue::bit = " + bit + "!!!");
		return null;
	}	
	else
	{
		var nBit;
		if ( bit >= 32)
		{
			nBit = MathPower(2, bit - 32);
			if ( value)
				this.m_2 |= nBit;
			else
			{
				nBit = ~nBit;
				this.m_2 &= nBit;
			}
		}
		else
		{
			nBit = MathPower(2, bit);
			if ( value)
				this.m_1 |= nBit;
			else
			{
				nBit = ~nBit;
				this.m_1 &= nBit;
			}
		}
	}	
}

//devuelve el valor de 1 bit
function GetValue(bit)
{
	if ( bit < 0 || bit >= SIZE_BITMAP)
	{
		alert("SchedulingDay_obj.GetValue::bit = " + bit + "!!!");
		return null;
	}	
	else
	{


		var nBit;
		if ( bit >= 32)
		{
			nBit = MathPower(2, bit - 32);
			return (this.m_2 & nBit) ? true : false;
		}
		else
		{
			nBit = MathPower(2, bit);
			return (this.m_1 & nBit) ? true : false;
		}
	}	
}

//devuelve el mapa de bits (32 bits primeros)
function Get1()
{
	return this.m_1;
}

function Get2()
{
	return this.m_2;
}

function Set1(value)
{
	this.m_1 = value;
}

function Set2(value)
{
	this.m_2 = value;	
}

function toString()
{
	return "" + this.m_1 + ":" + this.m_2;	
}


//x elevado a y
function MathPower(x, y)
{
	var z = 1;
	var i;
	for ( i=0; i < y; i++)
		z *=x;
	
	return z;
}


var DAY_1 = 1;
var DAY_2 = 2;
var DAY_3 = 3;
var DAY_4 = 4;
var DAY_5 = 5;
var DAY_6 = 6;
var DAY_7 = 7;

var HEADER = new Array();
HEADER[0] = "Hours : ";
HEADER[DAY_1] = "Monday";
HEADER[DAY_2] = "Tuesday";
HEADER[DAY_3] = "Wednesday";
HEADER[DAY_4] = "Thursday";
HEADER[DAY_5] = "Friday";
HEADER[DAY_6] = "Saturday";
HEADER[DAY_7] = "Sunday";


//tabla de rangos en 30 minutos
var RANGES_30_MIN = 30;
//tabla de rangos en 1 hora
var RANGES_1_HOUR = 60;

//tamao de imagenes que muestra cada celda (pixeles)
//si se cambia la imagen, deben actualizarse estos valores
var SIZE_CELL_HEIGHT = 20;
var SIZE_CELL_WIDTH = 8;

var SIZE_FIRSTCOL_WIDTH = 85;
var SIZE_FIRSTROW_HEIGHT = 14;

//imagenes on/off
var IMG_ON = gImgPath + 'time_on.gif';
var IMG_OFF = gImgPath + 'time_off.gif';
var IMG_DISABLED = gImgPath + 'disabled.gif';
var IMG_HIGHLIGHT_ON = gImgPath + 'time_highlight_on.gif'
var IMG_HIGHLIGHT_OFF = gImgPath + 'time_highlight_off.gif'


//Creates a new timetable object
//if bSundayFirstDay es true, significa que el array viene en orden Sunday, Monday...
//la tabla se muestra de lunes a domingo en todo caso
function TimeTable_obj(name, ranges, arrayScheduling, bSundayFirstDay)
{
	this.m_tablename = name;
	this.m_unit = ranges;

	//bitmaps to save range information
	this.m_scheduling;
	
	//the table itself
	this.m_table = new table_obj;
	
	this.m_bEnabled = true; //de inicio
	
	this.m_rows;
	
	this.m_height;
	this.m_width;
	
	//timetable was changed after creation?
	this.m_bChanged = false;
	
	//variables for mantain state between highlights
	this.m_nLastClickedHour		= null;
	this.m_nLastClickedDay		= null;	
	this.m_bLastClickedValue 	= null;
	this.m_arLastState		= null;
	
	
	//timetable functions
	this.ResetScheduling = ResetScheduling;
	this.SetScheduling = SetScheduling;
	this.SetSchedulingDay = SetSchedulingDay;
	this.SetSchedulingDay2 = SetSchedulingDay2;
	this.SetSchedulingDayColumn = SetSchedulingDayColumn;
	this.SetSchedulingDayColumn2 = SetSchedulingDayColumn2;
	
	this.GetScheduling = GetScheduling;
	this.GetSchedulingDay = GetSchedulingDay;
	this.GetSchedulingDayColumn = GetSchedulingDayColumn;	
	
	this.GetColumns = GetColumns;
	this.CreateHeader = CreateHeader;
	this.CreateContent = CreateContent;
	this.GetRows = GetRows;
	this.DimCells = DimCells;
	this.GetCellContent = GetCellContent;
	this.LoadScheduling = LoadScheduling;
	this.LoadSchedulingDay = LoadSchedulingDay;
	this.Column2Hour = Column2Hour;
	
	this.UpdateCellContent = UpdateCellContent;
	this.UpdateCellRangeContent = UpdateCellRangeContent;
	this.SelectHourDay = SelectHourDay;
	this.UpdateWindowStatus = UpdateWindowStatus;
	
	this.PrintScheduling = PrintScheduling;
	this.SerializeScheduling = SerializeScheduling;
	
	this.SetEnabled = SetEnabled;
	this.IsEnabled = IsEnabled;
	
	this.IsChanged = IsChanged;
		
	this.SelectHours = SelectHours;
	this.SelectDay = SelectDay;
	
	this.HighlightSelection = HighlightSelection;
	this.UnhighlightSelection = UnhighlightSelection;
	
	//ranges, sizes... auto
	
	this.m_table.SetControlName(this.name + "_table");
	this.m_table.SetCols(1 + (24*60/this.m_unit));
	this.m_table.SetRows(DAY_7 + 1);
	this.m_rows = DAY_7 + 1;
	this.m_height = (this.GetRows()-1) * (SIZE_CELL_HEIGHT) + SIZE_FIRSTROW_HEIGHT;
	this.m_width = (SIZE_FIRSTCOL_WIDTH+1 + (this.GetColumns() -1) * (SIZE_CELL_WIDTH+2));
	
	this.m_table.SetHeightWidth(this.m_height, this.m_width);
	this.DimCells();
	
	if ( !arrayScheduling)
		this.ResetScheduling();
	else
		this.LoadScheduling(arrayScheduling, bSundayFirstDay);

	this.CreateHeader();
	//alert("CreateHeader done");

	this.CreateContent();

	//alert("CreateContent done");

}

//selects the given hour of all days (selects the column). If all cells active, deselect hour in all days.
function SelectHours(column)
{
	//all cells are active or not?
	var bAllActive = true;	//at start
	var i;
	for ( i = 1; i <= this.GetRows()-1; i++)
	{
		if ( !this.GetSchedulingDayColumn(i, column))
		{
			bAllActive = false;
			break;
		}
	}
	
	for ( i = 1; i <= this.GetRows()-1; i++)
		this.UpdateCellContent(i, column+1, !bAllActive);

	//to avoid undesirable effects
	this.m_nLastClickedHour = null;
	this.m_nLastClickedDay = null;		
	this.m_bLastClickedValue = null;
}


//selects the given day, all hours (if any cell is not activated). If all cells active, deselect all the day.
function SelectDay(day)
{
	//all cells are active or not?
	var bAllActive = true;	//at start
	var i;
	for ( i = 1; i< this.GetColumns(); i++)
	{
		if ( !this.GetSchedulingDayColumn(day, i))
		{
			bAllActive = false;
		}
	}

	for ( i = 1; i< this.GetColumns(); i++)
		this.UpdateCellContent(day, i+1, !bAllActive);
		
	//to avoid undesirable effects
	this.m_nLastClickedHour = null;
	this.m_nLastClickedDay = null;		
	this.m_bLastClickedValue = null;		
}

//before update cell content, checks if a wider range could be selected and ask the user to do this
function SelectHourDay(day, column, value)
{
	var bHighlightSingleCell = false;
	var bSaveLastClick = true;
	var bValue = value;
	
	// selection for the same day? is there a clicked cell before this?
	if(day == this.m_nLastClickedDay && this.m_bLastClickedValue != null)
	{
		bSaveLastClick = false;
		if( (column-1) > this.m_nLastClickedHour + 1 )
		{
			this.HighlightSelection(day, this.m_nLastClickedHour, column -1, this.m_bLastClickedValue)
			if(confirmSelection(this.m_bLastClickedValue) == true)
				this.UpdateCellRangeContent(day, this.m_nLastClickedHour, column -1, this.m_bLastClickedValue);				
			else
			{
				//unhighlight the selection 
				this.UnhighlightSelection(day, this.m_nLastClickedHour, column -1, this.m_bLastClickedValue)
				bHighlightSingleCell = true;
				bValue = this.m_bLastClickedValue;
			}				
		}
		else 
		{
		    if( (column -1) < this.m_nLastClickedHour - 1 )
			{
				this.HighlightSelection(day, column -1, this.m_nLastClickedHour, this.m_bLastClickedValue)
				if(confirmSelection(this.m_bLastClickedValue) == true)
					this.UpdateCellRangeContent(day, column -1, this.m_nLastClickedHour, this.m_bLastClickedValue);
				else
				{
					this.UnhighlightSelection(day, column -1, this.m_nLastClickedHour, this.m_bLastClickedValue)
					bHighlightSingleCell = true;
					bValue = this.m_bLastClickedValue;
				}
			}
			else
				bHighlightSingleCell = true;
				bValue = this.m_bLastClickedValue;
		}
	} 
	else 
		bHighlightSingleCell = true;


	if(bHighlightSingleCell)
		this.UpdateCellContent(day, column, bValue);

	if ( !bSaveLastClick)
	{
		this.m_nLastClickedDay  = null;
		this.m_nLastClickedHour = null;
		this.m_bLastClickedValue = null;
	}	
}

function confirmSelection(onoff)
{
	msg="";
	if (onoff)
		msg = "Click OK to select the area shown in blue, or Cancel to select only the first and last boxes.";
	else
		msg = "Click OK to deselect the area shown in yellow, or Cancel to deselect only the first and last boxes.";
	
	return confirm(msg)
}

function HighlightSelection(day, hourBegin, hourEnd, onoff)
{
	var nHighlight;
   	if (onoff)
   		nHighlight = 1;
   	else
   		nHighlight = 2;
    
    	var x;
	for (x = hourBegin; x <= hourEnd; x++)
		//refresh cell
		this.m_table.UpdateCell(day, x+1, this.GetCellContent(day, x, nHighlight));  
}

function UnhighlightSelection(day, hourBegin, hourEnd)
{
    	var x;
	for (x = hourBegin; x <= hourEnd; x++)
		//refresh cell
		this.m_table.UpdateCell(day, x+1, this.GetCellContent(day, x, 0));  
}

function UpdateCellRangeContent(day, hourBegin, hourEnd, value)
{
	var i;
	for ( i = hourBegin; i <= hourEnd; i++)
		this.UpdateCellContent(day, i+1, value);
}

function SetEnabled(enabled)
{
	if ( this.m_bEnabled != enabled)
	{
		this.m_bEnabled = enabled;
	
		var i;
		for ( i=1; i<=this.GetRows()-1; i++)
		{
			var j;
			for ( j=2; j<= this.GetColumns(); j++)
			{
				this.m_table.UpdateCell(i, j, this.GetCellContent(i, j-1, 0));  
			}
		}	
	}
}

function IsEnabled()
{
	return this.m_bEnabled;
}
//reset timetable scheduling
function ResetScheduling()
{
	this.m_scheduling = new Array();
	var i;
	for ( i = DAY_1; i<=DAY_6; i++)
		this.m_scheduling[i] = new SchedulingDay_obj();
		
}

//carga un array con la info de horarios
function LoadScheduling(arrayScheduling, bSundayFirstDay)
{
	if ( !bSundayFirstDay)
		this.m_scheduling = arrayScheduling;
	else
	{
		this.m_scheduling = new Array();
		var i;
		for ( i = DAY_1; i<=DAY_6; i++)
			this.m_scheduling[i] = arrayScheduling[i+1];
		this.m_scheduling[DAY_7] = arrayScheduling[DAY_1];	
	}
}

//sets timetable scheduling
function SetScheduling(objScheduling)
{
	this.m_scheduling = objScheduling;
}

//sets timetable scheduling
function SetSchedulingDay(objScheduling, day)
{
	if ( day < DAY_1 || day > DAY_7)
		this.m_scheduling[day] = objScheduling;
	else
	{
		alert("SetSchedulingDay::day = " + day + "!!!");
		return null;
	}
}

//sets timetable scheduling by values of structure
function SetSchedulingDay2(objScheduling_lo, objScheduling_hi, day)
{
	if ( day < DAY_1 || day > DAY_7)
	{
		this.m_scheduling[day].Set1(objScheduling_lo);
		this.m_scheduling[day].Set2(objScheduling_hi);
	}
	else
	{
		alert("SetSchedulingDay::day = " + day + "!!!");
		return null;
	}
}

//sets bitmap value for day and given column
function SetSchedulingDayColumn(day, column, value)
{
	if ( day < DAY_1 || day > DAY_7)
	{
		alert("SetSchedulingDayColumn::day = " + day + "!!!");
		return null;
	}
	else if ( column < 1 || column > this.GetColumns())
	{
		alert("SetSchedulingDayColumn::column = " + column + "!!!");
		return null;
	}	
	else
	{
		//alert("SetSchedulingDayColumn:: day = " + day + ", column = " + column + ", value = " + value);
		var dayMap = this.m_scheduling[day];
		dayMap.SetValue(column-1, value);
	}	
}

//sets bitmap value for day and given column by values
function SetSchedulingDayColumn2(day, column, value_lo, value_hi)
{
	if ( day < DAY_1 || day > DAY_7)
	{
		alert("SetSchedulingDayColumn::day = " + day + "!!!");
		return null;
	}
	else if ( column < 1 || column > this.GetColumns())
	{
		alert("SetSchedulingDayColumn::column = " + column + "!!!");
		return null;
	}	
	else
	{
		dayMap = this.m_scheduling[day];
		dayMap.Set1(value_lo);
		dayMap.Set2(value_hi);
	}	
}


//gets timetable scheduling
function GetScheduling()
{
	return this.m_scheduling;
}

//gets timetable scheduling for a given day
function GetSchedulingDay(day)
{
	if ( day < DAY_1 || day > DAY_7)
	{
		alert("GetSchedulingDay::day = " + day + "!!!");
		return null;
	}
	else
		return this.m_scheduling[day];
}

//gets timetable shceduling for an interval in a given day
function GetSchedulingDayColumn(day, column)
{
	if ( day < DAY_1 || day > DAY_7)
	{
		alert("GetSchedulingDayColumn::day = " + day + "!!!");
		return null;
	}
	else if ( column < 1 || column > this.GetColumns())
	{
		alert("GetSchedulingDayColumn::column = " + column + "!!!");
		return null;
	}	
	else
	{
		//alert("GetSchedulingDayColumn:: day = " + day + ", column = " + column);
		
		dayMap = this.m_scheduling[day];
		//alert("GetSchedulingDayColumn: value = " + dayMap.GetValue(column -1));
		return dayMap.GetValue(column -1);
	}
}


//devuelve el num de columnas
function GetColumns()
{
	return this.m_table.No_of_Cols;
}

//devuelve el num de rows 
function GetRows()
{
	return this.m_rows;
}

//dimensiona las celdas de la timetable
function DimCells()
{
	this.m_table.SetCellWidth(1, SIZE_FIRSTCOL_WIDTH);
	var i;
	for ( i=2; i <= this.GetColumns(); i++)
		this.m_table.SetCellWidth(i, SIZE_CELL_WIDTH);
}

//crea el header de la timetable
function CreateHeader()
{
	this.m_table.SetHeadTitle(1, '<div class="header_hour">' + HEADER[0] + '</div>');
	var nHour = 0;
	var i;
	for ( i=0; i <= this.GetColumns()-2; i++)
	{
		if ( i % ((this.GetColumns()-1) / 24) == 0)
		{
			this.m_table.SetHeadTitle(i+2, '<a onClick="' + this.m_tablename + '.SelectHours(' + (i+1) + 
				');"><div class="hours">' + nHour + '</div></a>');
			nHour++;
		}
		else
			this.m_table.SetHeadTitle(i+2, '<a onClick="' + this.m_tablename + '.SelectHours(' + (i+1) + 
				');"><div class="hours">&nbsp;</div></a>');	
	}
	
}

function CreateContent()
{
	var i;
	for (i = 1; i < this.GetRows(); i++)
	{
		this.m_table.SetData(i, 1, '<a onClick="' + this.m_tablename + '.SelectDay(' + i + 
				');"><div class="days">' + HEADER[i] + '</div></a>');
		var j;
		for ( j = 2; j<= this.GetColumns(); j++)
		{
			//alert("row = " + row + ", j = " + j);
			this.m_table.SetData(i, j, this.GetCellContent(i, j-1, 0));
		}
	}
}

function IsChanged()
{
	return this.m_bChanged;	
}

//actualiza el mapa de bits y refresca la celda correpondiente en la timetable
function UpdateCellContent(day, column, value)
{
	//alert("Actualizando: day = " + day + ", column = " + column + ", value=" + value);
	this.m_bChanged = true;

	this.m_nLastClickedHour = column - 1;
	this.m_nLastClickedDay = day;		
	this.m_bLastClickedValue = value;

	//actualiza mapa de bits
	this.SetSchedulingDayColumn(day, column -1, value);
	
	//refresca celda
	this.m_table.UpdateCell(day, column, this.GetCellContent(day, column-1, 0));  
}

//devuelve el contenido HTML a insertar en la celda dada por el dia y la columna (de 1 a 24*60/rango)
// nHighlighted 0 -> contenido normal (activo / no activo,  deshabilitado)
//		  1 -> highlighted on
//		  2 -> highlighted off
function GetCellContent(day, column, nHighlighted)
{
	var szImg;
	var value;
	
	if ( this.GetSchedulingDayColumn(day,column))
	{
		szImg = IMG_ON;
		value = 0;
	}
	else
	{
		szImg = IMG_OFF;
		value = 1;
	}
	
	if ( !this.IsEnabled())
	{
		szImg = IMG_DISABLED;
		return '<img border="0" src="' + 
			szImg + '" width="' + SIZE_CELL_WIDTH + '" height="' + SIZE_CELL_HEIGHT + '">';	
	}
	else if ( nHighlighted == 1)
	{
		szImg = IMG_HIGHLIGHT_ON;
		return '<img border="0" src="' + 
			szImg + '" width="' + SIZE_CELL_WIDTH + '" height="' + SIZE_CELL_HEIGHT + '">';			
	}
	else if ( nHighlighted == 2)
	{
		szImg = IMG_HIGHLIGHT_OFF;
		return '<img border="0" src="' + 
			szImg + '" width="' + SIZE_CELL_WIDTH + '" height="' + SIZE_CELL_HEIGHT + '">';			
	}
	else			
		return '<a href="javascript:;" onClick="' + 
			this.m_tablename + '.SelectHourDay(' + day + ', ' + (column+1) + ', ' + value + 
			');return true;" onMouseOver="' + this.m_tablename + '.UpdateWindowStatus(' + column + 
			');return true;" onMouseOut="window.status=\'\';return true;"><img border="0" src="' + 
			szImg + '" width="' + SIZE_CELL_WIDTH + '" height="' + SIZE_CELL_HEIGHT + '"></a>';
}


//carga un array con la info de horarios de 1 dia
function LoadSchedulingDay(day, dayMap)
{
	if ( day >= DAY_1 && day <= DAY_7)
		this.m_scheduling[day] = dayMap;
}


function PrintScheduling()
{
	var i;
	var szScheduling = "";
	for ( i=DAY_1; i<=DAY_7; i++)
		szScheduling += HEADER[i] + ": " + this.m_scheduling[i].toString() + "\n";
		
	return szScheduling;
}

//serialize the bitmap values. If bSundayFirstDay is false, the first serialized day is monday as usual
function SerializeScheduling(bSundayFirstDay)
{
	var i;
	var szScheduling = "";
	if ( bSundayFirstDay)
	{
		szScheduling += this.m_scheduling[DAY_7].toString();
		for ( i=DAY_1; i<=DAY_7; i++)
			szScheduling += "#" + this.m_scheduling[i].toString();	
	}
	else
	{
		for ( i=DAY_1; i<=DAY_7; i++)
		{
			if ( i != DAY_1)
				szScheduling += "#";
				
			szScheduling += this.m_scheduling[i].toString();
		}
	}
			
	return szScheduling;	
}

//traduce la columna al rango de horas al que equivale
function Column2Hour(col)
{
	var hour, min, hour2, min2;
	
	//alert("this.m_unit = " + this.m_unit + ", col = " + col);
	
	hour = (this.m_unit * col) / 60;
	if ( hour < Math.ceil(hour))
		hour = Math.ceil(hour) - 1;
		
	min = (this.m_unit * col) - (60 * hour);
	
	//alert("hour = " + hour + ", min = " + min);
	
	
	if ( min + this.m_unit >= 60)
	{
		hour2 = hour + 1;
		min2 = this.m_unit + min - 60;
	}
	else
	{
		hour2 = hour;
		min2 = this.m_unit + min;		
	}
	
	var szReturn = "";
	if ( hour < 10) szReturn += "0" + hour
	else szReturn += "" + hour
	szReturn += ":"
	if ( min < 10) szReturn += "0" + min
	else szReturn += "" + min

	szReturn += " - "

	if ( hour2 < 10) szReturn += "0" + hour2
	else szReturn += "" + hour2
	szReturn += ":"
	if ( min2 < 10) szReturn += "0" + min2
	else szReturn += "" + min2
	
	return szReturn;
}

//actualiza la barra de estado de la ventana actual para mostrar el rango de horas de cada celda
function UpdateWindowStatus(col)
{
	window.status = this.Column2Hour(col-1);
}

//************************************



function FindObject(n, d) { //v4.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=FindObject(n,d.layers[i].document);
  if(!x && document.getElementById) x=document.getElementById(n); return x;
}

