//===========================================================================================================================
//	jscControlHighlighter2
//	VERSION: 2.0.0
//	LAST MODIFIED: 16/03/2006
//	PERSON: Jonathan Vitela
//===========================================================================================================================

function CControlHighlighter2 (pDisabledClassName, pErrorClassName)
{
	this.mDisabledClassName = pDisabledClassName;
	this.mErrorClassName = pErrorClassName;
	// mpSetNormal
	this.mpSetIdNormal = function(pIdControl)
	{
		ctrl = document.getElementById(pIdControl);
		if( ctrl ) this.mpSetNormal( ctrl );
		else alert("The element with id: "+pIdControl+" does not exist");
	}
	this.mpSetNormal = function(pControl)
	{
		rgxDisabled = new RegExp(this.mDisabledClassName,"g");
		rgxError 	= new RegExp(this.mErrorClassName,"g");
		pControl.className = pControl.className.replace(rgxDisabled, "");
		pControl.className = pControl.className.replace(rgxError, "");
		pControl.disabled = false;
	}
	// mpSetDisabled
	this.mpSetIdDisabled = function(pIdControl)
	{
		ctrl = document.getElementById(pIdControl);
		if( ctrl ) this.mpSetDisabled( ctrl );
		else alert("The element with id: "+pIdControl+" does not exist");
	}
	this.mpSetDisabled = function(pControl)
	{
		pControl.className += " "+this.mDisabledClassName;
		pControl.disabled = true;
	}
	// mpSetError
	this.mpSetIdError = function(pIdControl)
	{
		ctrl = document.getElementById(pIdControl);
		if( ctrl ) this.mpSetError( ctrl );
		else alert("The element with id: "+pIdControl+" does not exist");
	}
	this.mpSetError = function(pControl)
	{
		pControl.className += " "+this.mErrorClassName;
		pControl.disabled = false;
	}
	// mpSetAllDisabled
	this.mpSetAllDisabled = function(root) {
		this.mpCurrent = this.mpSetDisabled;
		return this.mpSetAll(root);
	}
	// mpSetAllNormal
	this.mpSetAllNormal = function(root) {
		this.mpCurrent = this.mpSetNormal;
		return this.mpSetAll(root);
	}
	// mpSetAllError
	this.mpSetAllError = function(root) {
		this.mpCurrent = this.mpSetError;
		return this.mpSetAll(root);
	}
	
	////////////////////////////////////////////////////////////////////////
	// Deshabilita todos los controles dentro de un elemento con identificador "root"
	this.mpCurrent = null;
	this.mpSetAll = function(root) {
		ctrl = document.getElementById(root);
		if( !ctrl ) return false;		
		// Funciona para los siguientes elementos:
		var elements = "input|textArea|select|a";
		var elemLst = elements.split("|");
		// Parse List
		for( j=0; j<elemLst.length; j++) {
			var elems = ctrl.getElementsByTagName( elemLst[j] );
			for(i=0; i<elems.length; i++) this.mpCurrent( elems[i] );
		}
		return true;
	}
}
